-- -------------------------------------------------------------
-- TablePlus 3.11.0(352)
--
-- https://tableplus.com/
--
-- Database: core.db
-- Generation Time: 2023-08-18 16:33:22.8950
-- -------------------------------------------------------------


DROP TABLE IF EXISTS "actions";
CREATE TABLE `actions` (`id` text NOT NULL,`product_id` text,`code` text,`name` text,`description` text,`require` numeric,`call_type` text,`input_params` text,`output_params` text,`tag` text,`system` numeric,`created` integer,`modified` integer,PRIMARY KEY (`id`),CONSTRAINT `fk_product_actions` FOREIGN KEY (`product_id`) REFERENCES `product`(`id`) ON DELETE CASCADE ON UPDATE CASCADE);

INSERT INTO "actions" ("id", "product_id", "code", "name", "description", "require", "call_type", "input_params", "output_params", "tag", "system", "created", "modified") VALUES
('1007404327', '', 'Call', '呼叫', '', '1', 'ASYNC', '[{"code":"RoomNumber","name":"房号","type_spec":{"type":"text","specs":"{\"length\":\"12\"}"}}]', '', '系统', '1', '1692347066033', '0'),
('100886634', '', 'RemoteUnfreeze', '远程解冻', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065852', '0'),
('1024595217', '', 'setPassword', '设置密码', '', '1', 'SYNC', '[{"code":"operateType","name":"操作类型","type_spec":{"type":"enum","specs":"{\"0\":\"设置密码\",\"1\":\"删除密码\"}"}},{"code":"password","name":"密码","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"number","name":"密码编号","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999999999\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"userId","name":"用户Id","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065864', '0'),
('1056590803', '', 'DefaultDisplay', '默认显示', '默认显示', '0', 'ASYNC', '[{"code":"DisplayContent","name":"显示内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"RowNumber","name":"屏幕行号","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"DefaultSituation","name":"默认场景","type_spec":{"type":"enum","specs":"{\"0\":\"空闲\",\"1\":\"普通权限车辆_白名单车辆过车\",\"2\":\"黑名单车辆过车\",\"3\":\"临时车辆过车\",\"4\":\"无牌车辆过车\"}"}}]', '', '系统', '1', '1692347065790', '0'),
('1059728589', '', 'PeelSensor', '传感器去皮', '', '0', 'ASYNC', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347066031', '0'),
('1090530772', '', 'QueryAlgoAbility', '获取当前算法列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065972', '0'),
('1096023366', '', 'Getweathers', '获取天气信息参数', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066132', '0'),
('1106094501', '', 'WaterTemp_Control', '水温温度调节', '', '0', 'ASYNC', '[{"code":"mode","name":"工作模式","type_spec":{"type":"enum","specs":"{\"0\":\"升温\",\"1\":\"降温\"}"}},{"code":"step","name":"步长_升高一度需要分钟数","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"min\"}"}},{"code":"SwitchNo","name":"开关","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"6\",\"step\":\"1\"}"}}]', '', '系统', '1', '1692347065890', '0'),
('113891838', '', 'DeployAlgorithm', '部署算法模型', '', '1', 'ASYNC', '[{"code":"AlgoURL","name":"算法模型文件URL","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoName","name":"算法模型文件名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoVersion","name":"算法版本","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065893', '0'),
('1144132436', '', 'LoadFile', '下载文件', '从OSS端下载下载裁切文件到裁床文件路径下', '0', 'ASYNC', '[{"code":"AbsoluteDirectoryAndFileName","name":"文件目录和文件名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065949', '0'),
('1152205001', '', 'ImageInference', '图片推理', '', '1', 'SYNC', '[{"code":"Algorithm","name":"算法名","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}},{"code":"Type","name":"类型","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Data","name":"数据","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"AlgoParam","name":"算法参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('1211144967', '', 'CreateAlgoTask', '创建算法任务', '', '1', 'SYNC', '[{"code":"TaskName","name":"任务名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"SubProductKey","name":"子设备产品名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"SubDeviceName","name":"子设备名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmId","name":"算法Id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmParam","name":"算法参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Comment","name":"备注","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('1240688154', '', 'QueryAIBoxDiagData', '查询AIBox的诊断数据', '该服务消息接口通常在调用CaptureAIBoxDiagData之后每隔一段时间查询使用', '1', 'SYNC', '[{"code":"Type","name":"类型","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('1252934194', '', 'RemoteClose', '远程关门', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065852', '0'),
('1253540402', '', 'AddAlgorithmModel', '增加算法模型', '', '1', 'ASYNC', '[{"code":"AlgoURL","name":"算法模型下载URL","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"AlgoID","name":"算法模型ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065897', '0'),
('1262046330', '', 'ReadMachineState', '读取机器状态', '', '1', 'ASYNC', '[{"code":"MachineState","name":"机器状态","type_spec":{"type":"enum","specs":"{\"0\":\"standby\",\"1\":\"locked\",\"2\":\"active\",\"3\":\"jogg\",\"4\":\"pause\"}"}}]', '', '系统', '1', '1692347065985', '0'),
('1262689637', '', 'SwitchAudio', '单曲切换', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066089', '0'),
('1264265580', '', 'StopAlgorithm', '停止算法', '', '1', 'ASYNC', '[{"code":"TaskID","name":"任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065893', '0'),
('1299540462', '', 'CallCycle', '寻车', '', '0', 'ASYNC', '[{"code":"TerminalID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"8\"}"}},{"code":"SerialNumber","name":"指令编号","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}}]', '', '系统', '1', '1692347066006', '0'),
('1327701036', '', 'StartAlgorithmTask', '启动算法任务', '', '1', 'SYNC', '[{"code":"ProductKey","name":"子设备产品名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"DeviceName","name":"子设备名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Algorithm","name":"算法","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgorithmParam","name":"算法参数","type_spec":{"type":"text","specs":"{\"length\":\"4096\"}"}}]', '', '系统', '1', '1692347065970', '0'),
('1328053457', '', 'SetTimerTask', '时间任务下发', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066247', '0'),
('1328910147', '', 'GetBarrierList', '获取道闸列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065854', '0'),
('1343174440', '', 'Restart', '重新启动', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065942', '0'),
('1345655588', '', 'SyncSipNumber', '可视对讲-颁发SipNumber', '', '0', 'SYNC', '[{"code":"sipNumber","name":"sipNumber","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"password","name":"密码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"sipServerPort","name":"sipServer端口号","type_spec":{"type":"text","specs":"{\"length\":\"5\"}"}},{"code":"sipServerAddr","name":"sipServer地址","type_spec":{"type":"text","specs":"{\"length\":\"40\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('1359642303', '', 'DiskFormat', '磁盘格式化', '磁盘格式化', '1', 'ASYNC', '', '', '系统', '1', '1692347065828', '0'),
('136161699', '', 'ConfigQrCodePermission', '配置二维码权限', '', '1', 'ASYNC', '[{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"effectiveTime","name":"生效时间","type_spec":{"type":"date","specs":"{}"}},{"code":"expireTime","name":"过期时间","type_spec":{"type":"date","specs":"{}"}},{"code":"permission","name":"楼层权限","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"text\"}}"}}]', '', '系统', '1', '1692347065831', '0'),
('1399618408', '', 'GetRelationAreaList', '查询关联区域列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065857', '0'),
('1404289554', '', 'StartAlgorithmModel', '启动算法模型', '', '1', 'ASYNC', '[{"code":"VideoSrcURL","name":"视频源URL","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"TaskID","name":"算法任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoID","name":"算法模型ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065897', '0'),
('145496669', '', 'SetAlgoUnitBinding', '设置算法配置', '', '1', 'SYNC', '[{"code":"BindingList","name":"绑定列表","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}}]', '', '系统', '1', '1692347065973', '0'),
('146348318', '', 'StartAlgoTask', '开启算法任务', '', '1', 'SYNC', '[{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('1466246836', '', 'Reboot', '重启', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065788', '0'),
('1482058877', '', 'SyncFacePictures', '人脸-同步人脸库图片', '', '0', 'SYNC', '[{"code":"FacePicURL","name":"同步文件URL地址","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('1487692239', '', 'ToggleLightSwitch', '翻转主灯开关', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065904', '0'),
('1488657724', '', 'VehDtcService', 'ECO故障码', '', '0', 'ASYNC', '[{"code":"DeviceID","name":"设备码","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065822', '0'),
('1489814881', '', 'set', '设备控制', '', '0', 'SYNC', '[{"code":"Set_Temputer","name":"设定温度","type_spec":{"type":"int","specs":"{\"min\":\"35\",\"max\":\"75\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}},{"code":"Safety_Temputer_Lock","name":"防烫保护锁","type_spec":{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}},{"code":"Preheat_Mode","name":"预热模式","type_spec":{"type":"enum","specs":"{\"0\":\"关闭预热\",\"1\":\"单次预热\",\"2\":\"定时预热\",\"3\":\"全天预热\"}"}},{"code":"Timer_Quantum","name":"定时信息","type_spec":{"type":"text","specs":"{\"length\":\"254\"}"}},{"code":"PowerSwitch","name":"电源开关","type_spec":{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}}]', '', '系统', '1', '1692347066162', '0'),
('1496446943', '', 'SetLightSwitchTimer', '设置主灯开关倒计时', '', '0', 'ASYNC', '[{"code":"Timer","name":"计时器","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"LightSwitch","name":"主灯开关","type_spec":{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}}]', '', '系统', '1', '1692347066213', '0'),
('1514209312', '', 'addQrCode', '新增二维码', '', '1', 'SYNC', '[{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"expiryTime","name":"截止时间","type_spec":{"type":"date","specs":"{}"}},{"code":"userId","name":"用户Id","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"effectiveTime","name":"生效时间","type_spec":{"type":"date","specs":"{}"}}]', '', '系统', '1', '1692347065873', '0'),
('1531668270', '', 'ClearAllAlgorithms', '清除所有算法', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065893', '0'),
('1552218795', '', 'DeleteSingleAlgo', '删除指定算法模型', '', '1', 'ASYNC', '[{"code":"AlgoName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoVersion","name":"算法版本","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065893', '0'),
('1570082692', '', 'StopJob', '停止任务', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065985', '0'),
('1574622278', '', 'QueryDeviceDiagnosisResult', '查询诊断结果', '', '1', 'SYNC', '[{"code":"ProductKey","name":"子设备PK","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"DeviceName","name":"子设备DN","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"DiagnosisType","name":"诊断类型","type_spec":{"type":"enum","specs":"{\"0\":\"连接诊断\",\"1\":\"视频诊断\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('1602876723', '', 'CtrlCommand', '控制指令', '', '0', 'ASYNC', '[{"code":"CommandType","name":"指令类型","type_spec":{"type":"enum","specs":"{\"0\":\"重置无车\",\"1\":\"重置标尺\",\"2\":\"关机\",\"3\":\"强制重启\"}"}}]', '', '系统', '1', '1692347065914', '0'),
('162579971', '', 'DeleteAlgoTask', '删除算法任务', '', '1', 'SYNC', '[{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('1632936933', '', 'StopCountdown', '停止倒计时', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065918', '0'),
('1681864743', '', 'AddVehicleInfo', '新增车辆信息', '', '1', 'SYNC', '[{"code":"UserName","name":"用户姓名","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"CellPhoneNumber","name":"车主手机号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"IdNumber","name":"身份证号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StateLocked","name":"锁定状态","type_spec":{"type":"enum","specs":"{\"0\":\"没有锁定\",\"1\":\"锁定\"}"}},{"code":"LockStartExpireTime","name":"锁车起始时间","type_spec":{"type":"date","specs":"{}"}},{"code":"LockEndExpireTime","name":"锁车截止时间","type_spec":{"type":"date","specs":"{}"}},{"code":"AccessBarrierListUrl","name":"通行权限道闸列表Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065854', '0'),
('168496869', '', 'QueryContent', '查询内容', '内容推荐', '0', 'SYNC', '[{"code":"CreativeID","name":"内容创意ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}}]', '', '系统', '1', '1692347066063', '0'),
('1692944920', '', 'remoteOpen', '通用-远程开门', '', '0', 'SYNC', '', '', '系统', '1', '1692347065806', '0'),
('1712718609', '', 'StopVod', '停止录像观看', '', '0', 'ASYNC', '[{"code":"SessionID","name":"会话ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065799', '0'),
('1725918157', '', 'StopAlgoTask', '关闭算法任务', '', '1', 'SYNC', '[{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('1809426428', '', 'QueryAlgorithmList', '查询已部署的所有算法', '调用者根据StoreID获取设备上已部署的算法名称、算法版本信息。', '1', 'ASYNC', '', '', '系统', '1', '1692347065893', '0'),
('1825723909', '', 'StartP2PStreaming', '开始P2P直播', '', '0', 'ASYNC', '[{"code":"StunUrl","name":"STUN服务地址","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"SignalUrl","name":"信号服务地址","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065800', '0'),
('184368697', '', 'listInventory', '批量库存查询', '批量库存查询', '1', 'SYNC', '', '', '系统', '1', '1692347066113', '0'),
('1908213066', '', 'AddVehicleIOfBlackList', '新增黑名单车辆', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065857', '0'),
('1955873582', '', 'TriggerRecognition', '触发抓拍', '触发抓拍', '1', 'SYNC', '', '', '系统', '1', '1692347065790', '0'),
('1959262538', '', 'Reset', '复位', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065949', '0'),
('2002354250', '', 'SendDecryptionKey', '发送解密密钥', '', '1', 'ASYNC', '[{"code":"Code","name":"结果","type_spec":{"type":"enum","specs":"{\"0\":\"成功\",\"1\":\"失败\"}"}},{"code":"Message","name":"信息","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}},{"code":"DecryptionKey","name":"解密秘钥","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}},{"code":"ModelId","name":"模型id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('2027438631', '', 'ReceiveEvents', '事件触发', '', '0', 'ASYNC', '[{"code":"EventID","name":"事件编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EventTime","name":"事件发生时间","type_spec":{"type":"date","specs":"{}"}},{"code":"EventCode","name":"事件类型编号","type_spec":{"type":"text","specs":"{\"length\":\"8\"}"}},{"code":"EventPos","name":"事件位置编号","type_spec":{"type":"text","specs":"{\"length\":\"8\"}"}}]', '', '系统', '1', '1692347065949', '0'),
('2048585526', '', 'deliverCommodity', '出货', '出货', '1', 'ASYNC', '[{"code":"x","name":"横坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"y","name":"纵坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"quantity","name":"数量","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"orderNo","name":"订单号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347066113', '0'),
('2067098976', '', 'ReleaseFloors', '释放受控楼层', '', '1', 'ASYNC', '[{"code":"targetFloorsList","name":"要释放的楼层","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"text\"}}"}}]', '', '系统', '1', '1692347065831', '0'),
('2083687562', '', 'querySipNumber', '可视对讲_查询SipNumber', '', '0', 'SYNC', '', '', '系统', '1', '1692347065806', '0'),
('2098018341', '', 'StartVodByTime', '开始录像按时间观看', '', '1', 'ASYNC', '[{"code":"EncryptType","name":"加密类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"EncryptKey","name":"密钥","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Scheme","name":"流协议","type_spec":{"type":"enum","specs":"{\"0\":\"RTMP\",\"1\":\"RTSP\"}"}},{"code":"PushUrl","name":"推流地址","type_spec":{"type":"text","specs":"{\"length\":\"512\"}"}},{"code":"SessionID","name":"会话ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"BeginTime","name":"开始时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}},{"code":"EndTime","name":"结束时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}}]', '', '系统', '1', '1692347065788', '0'),
('2115176952', '', 'SetBackUpAndDown', '设置靠背升降', '', '0', 'ASYNC', '[{"code":"BackLiftingMode","name":"靠背升降模式","type_spec":{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"靠背升\",\"2\":\"靠背降\",\"3\":\"靠背升降停\"}"}}]', '', '系统', '1', '1692347066048', '0'),
('2117432909', '', 'SetSpeed', '调整速度', '', '1', 'ASYNC', '[{"code":"SetSpeedMode","name":"速度调整模式","type_spec":{"type":"enum","specs":"{\"0\":\"未设置\",\"1\":\"加速\",\"2\":\"减速\"}"}}]', '', '系统', '1', '1692347065928', '0'),
('2120408295', '', 'UnSubscribeEvent', '取消事件订阅', '', '0', 'SYNC', '[{"code":"EventTypes","name":"事件类型","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"int\"}}"}}]', '', '系统', '1', '1692347065847', '0'),
('2142648230', '', 'QueryAlgoList', '查询设备算法列表', '', '1', 'SYNC', '[{"code":"AlgorithmName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"PageNum","name":"分页码","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PageSize","name":"分页码大小","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"50\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065970', '0'),
('2143992982', '', 'DeleteKey', '删除钥匙', '', '1', 'ASYNC', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}}]', '', '系统', '1', '1692347066116', '0'),
('2181229806', '', 'QuerySyncPicSchedule', '人脸-查询人脸布控进度', '', '0', 'SYNC', '[{"code":"GroupID","name":"人脸库组ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('2208251258', '', 'SyncFaceFeatures', '人脸-人脸特征下发', '用于人脸特征下发，请求参数URL是特征文件。每批次最大100个人脸特征。
基于人脸门禁1.0物模型', '0', 'SYNC', '[{"code":"FacePicFeaturesURL","name":"同步特征文件URL地址","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('2231030824', '', 'ControlDevice', '控制设备', '', '0', 'SYNC', '[{"code":"HostId","name":"主机ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EfenceId","name":"围栏ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Action","name":"动作","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065849', '0'),
('223565922', '', 'AddVehicleIOfPermission', '通行车辆权限下发', '', '1', 'ASYNC', '[{"code":"VehiclePermissionUrl","name":"车辆权限Url地址","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('2244187842', '', 'GetWhiteList', '查询白名单车辆', '', '1', 'SYNC', '[{"code":"WhiteListUrl","name":"白名单车辆Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065858', '0'),
('2245373351', '', 'stopRecord', '停止录像', '', '0', 'ASYNC', '[{"code":"RecordID","name":"录像ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065943', '0'),
('2258034628', '', 'QrCodeDisplay', '显示二维码', '显示二维码', '0', 'SYNC', '[{"code":"QrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065790', '0'),
('2264084315', '', 'ResetZero', '清零', '', '0', 'ASYNC', '[{"code":"ZeroInstruction","name":"清零指令","type_spec":{"type":"text","specs":"{\"length\":\"20\"}"}}]', '', '系统', '1', '1692347065996', '0'),
('2277439790', '', 'NoticeBroadcast', '提示语音', '提示语音', '0', 'SYNC', '[{"code":"VoiceContent","name":"语音播报内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlaySpeed","name":"语音播报速度","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"10\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('229092007', '', 'DeleteAlgorithmModel', '删除算法模型', '', '1', 'SYNC', '[{"code":"AlgoID","name":"算法模型ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065897', '0'),
('2293892365', '', 'SetShankfFex', '设置小腿伸缩', '', '0', 'ASYNC', '[{"code":"ShankfFexMode","name":"小腿升降模式","type_spec":{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"小腿伸\",\"2\":\"小腿缩\",\"3\":\"小腿伸缩停\"}"}}]', '', '系统', '1', '1692347066048', '0'),
('2317320016', '', 'RouterUpgrade', '网关升级', '', '0', 'ASYNC', '[{"code":"RouterSerialNumber","name":"网关串码","type_spec":{"type":"text","specs":"{\"length\":\"9\"}"}}]', '', '系统', '1', '1692347066058', '0'),
('2324600382', '', 'Rhythm2', 'Rhythm2', '', '0', 'SYNC', '', '', '系统', '1', '1692347066213', '0'),
('2328484825', '', 'StartVod', '开始录像观看', '', '1', 'ASYNC', '[{"code":"FileName","name":"录像名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"SessionID","name":"会话ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"PushUrl","name":"推流地址","type_spec":{"type":"text","specs":"{\"length\":\"512\"}"}},{"code":"Scheme","name":"流协议","type_spec":{"type":"enum","specs":"{\"0\":\"RTMP\",\"1\":\"RTSP\"}"}},{"code":"EncryptKey","name":"密钥","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"EncryptType","name":"加密类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065788', '0'),
('2336154452', '', 'DeleteModel', '删除模型', '内容推荐', '0', 'SYNC', '[{"code":"AlgorithmID","name":"算法任务唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('242356738', '', 'delQrCode', '删除二维码', '', '1', 'SYNC', '[{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065873', '0'),
('2436395457', '', 'NoticeDisplay', '提示显示', '提示显示', '0', 'SYNC', '[{"code":"DisplayContent","name":"显示内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"RowNumber","name":"屏幕行号","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"MovingSpeed","name":"文字移动速度","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"10\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"DisplayTime","name":"显示时长","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"3600\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}},{"code":"MovingType","name":"文字移动方式","type_spec":{"type":"enum","specs":"{\"0\":\"禁止\",\"1\":\"从右到左\",\"2\":\"从左到右\",\"3\":\"从下到上\",\"4\":\"从上到下\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('2479915721', '', 'StartAlgorithm', '启动算法', '', '1', 'ASYNC', '[{"code":"AlgoName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoVersion","name":"算法版本","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"VideoSrcURL","name":"视频源URL","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"TaskID","name":"算法任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065893', '0'),
('2538569033', '', 'SyncTime', '同步时间', '把本地时间同步到NVR上', '0', 'ASYNC', '[{"code":"LocalTime","name":"本地时间","type_spec":{"type":"date","specs":"{}"}}]', '', '系统', '1', '1692347065825', '0'),
('2586489397', '', 'send_epd_table_datas', '刷屏数据', '给电子纸桌签下发桌签需要显示的数据。黑白红三色电子纸特定的数据格式', '0', 'ASYNC', '', '', '系统', '1', '1692347065953', '0'),
('2600026788', '', 'TimeReset', '设备校时服务', '', '0', 'ASYNC', '[{"code":"TimeReset","name":"TimeReset","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347066247', '0'),
('2616839497', '', 'QueryQrCodePermission', '查询二维码权限', '', '1', 'SYNC', '[{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065831', '0'),
('2618108939', '', 'GetStates', '获取设备状态', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065914', '0'),
('2650067192', '', 'RecordScreen', '监播录屏', '内容推荐 - 完成后通过MonitorActionEvent事件上报操作结果', '0', 'ASYNC', '[{"code":"Duration","name":"录屏时长","type_spec":{"type":"int","specs":"{\"min\":\"5\",\"max\":\"60\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('2659323361', '', 'AddLedData', '下发LED数据', '下发LED数据', '0', 'ASYNC', '[{"code":"LedData","name":"LED数据","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('2667939359', '', 'GetVehicleInfo', '查询车辆信息', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065854', '0'),
('2692428189', '', 'QueryAlgorithmTasklList', '查询算法任务列表', '', '1', 'SYNC', '[{"code":"ALgoID","name":"算法模型ID","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"text\"}}"}},{"code":"TaskID","name":"算法执行任务号","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"text\"}}"}}]', '', '系统', '1', '1692347065897', '0'),
('270966040', '', 'FormatTFCard', 'TF卡格式化', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066075', '0'),
('2738211501', '', 'UpdateModel', '更新模型', '内容推荐', '0', 'ASYNC', '[{"code":"UpdateTaskID","name":"更新任务ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"AlgorithmID","name":"算法任务唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"AlgorithmName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Threshold","name":"结果置信度阈值","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1\",\"step\":\"0.0001\",\"unitName\":\"无\"}"}},{"code":"NumThreads","name":"使用线程数","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"128\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"ModelID","name":"模型唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ModelName","name":"模型名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelVersion","name":"模型版本","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelURL","name":"模型地址","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"ModelMD5","name":"模型文件MD5","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ModelPlatform","name":"模型平台","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelTaskID","name":"模型生成任务ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ModelEncryptType","name":"模型加密方式","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelExtension","name":"扩展信息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('2767194636', '', 'QueryModel', '查询模型', '内容推荐', '0', 'SYNC', '[{"code":"AlgorithmID","name":"算法任务唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('2809596084', '', 'GetParkSpaceList', '查询车位列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065857', '0'),
('2814199038', '', 'SendChallenge', '发送挑战字', '', '1', 'ASYNC', '[{"code":"Code","name":"结果","type_spec":{"type":"enum","specs":"{\"0\":\"成功\",\"1\":\"失败\"}"}},{"code":"Message","name":"信息","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}},{"code":"Challenge","name":"挑战字","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('2824158121', '', 'CalibrateParameter', '校准参数', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065989', '0'),
('283152180', '', 'DeleteSensor', '删除传感器', '', '0', 'ASYNC', '[{"code":"SensorSerialNumber","name":"传感器串码","type_spec":{"type":"text","specs":"{\"length\":\"9\"}"}}]', '', '系统', '1', '1692347066058', '0'),
('2863706626', '', 'CalibrateSensor', '传感器校准', '', '0', 'ASYNC', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"SensorID","name":"传感器ID","type_spec":{"type":"text","specs":"{\"length\":\"4\"}"}},{"code":"Weight","name":"重量","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unit\":\"g\",\"unitName\":\"克\"}"}}]', '', '系统', '1', '1692347066031', '0'),
('2890209654', '', 'Monitor', '监视', '', '1', 'ASYNC', '[{"code":"RoomNumber","name":"房号","type_spec":{"type":"text","specs":"{\"length\":\"12\"}"}}]', '', '系统', '1', '1692347066033', '0'),
('2913779213', '', 'ReBootTerminal', '传输模块复位', '', '0', 'ASYNC', '[{"code":"TerminalID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"8\"}"}},{"code":"SerialNumber","name":"指令编号","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}}]', '', '系统', '1', '1692347066006', '0'),
('2938253232', '', 'Peel', '去皮', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065996', '0'),
('2946430963', '', 'TriggerAudioPlay', '触发设备播放音频', '', '0', 'ASYNC', '[{"code":"AudioUrl","name":"音频地址","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"AudioType","name":"音频格式","type_spec":{"type":"enum","specs":"{\"0\":\"MP3\",\"1\":\"WAVE\",\"2\":\"AAC\",\"3\":\"Ogg\",\"4\":\"AMR\"}"}}]', '', '系统', '1', '1692347065799', '0'),
('2989369628', '', 'DelVehicleIOfWhiteList', '删除白名单车辆', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065858', '0'),
('3046437078', '', 'SwitchChannel', '频道切换', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066089', '0'),
('3048347231', '', 'CreateOrder', '创建订单', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InBarrierPK","name":"进场道闸PK","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InBarrierDN","name":"进场道闸DN","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InTime","name":"进场时间","type_spec":{"type":"date","specs":"{}"}},{"code":"OutBarrierPK","name":"出场道闸PK","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OutBarrierDN","name":"出场道闸DN","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OutTime","name":"出场时间","type_spec":{"type":"date","specs":"{}"}},{"code":"PayStatus","name":"支付状态","type_spec":{"type":"enum","specs":"{\"0\":\"支付完成\",\"4\":\"未支付\"}"}}]', '', '系统', '1', '1692347065857', '0'),
('3049640575', '', 'SCraftAlarm', '工艺参数报警', '触发设备的工艺参数报警', '0', 'ASYNC', '[{"code":"E_CraftAlarm","name":"参数报警标识","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065907', '0'),
('3051082588', '', 'DeleteAllAlgorithmModels', '清除所有算法模型', '', '1', 'SYNC', '', '', '系统', '1', '1692347065897', '0'),
('3062434807', '', 'ResetTime', '设备校时服务', '', '1', 'ASYNC', '[{"code":"ResetTime","name":"校时","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065949', '0'),
('3074497164', '', 'ModifyVehicleInfo', '修改车辆信息', '', '1', 'SYNC', '[{"code":"UserName","name":"用户姓名","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"IdNumber","name":"身份证号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StateLocked","name":"锁定状态","type_spec":{"type":"enum","specs":"{\"0\":\"没有锁定\",\"1\":\"锁定\"}"}},{"code":"LockStartExpireTime","name":"锁车起始时间","type_spec":{"type":"date","specs":"{}"}},{"code":"LockEndExpireTime","name":"锁车截止时间","type_spec":{"type":"date","specs":"{}"}},{"code":"AccessBarrierListUrl","name":"通行权限道闸列表Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"CellPhoneNumber","name":"用户手机号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065854', '0'),
('3079825896', '', 'StopRecord', '停止录像', '', '0', 'ASYNC', '[{"code":"RecordID","name":"录像ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347066086', '0'),
('3112716042', '', 'UpdateToken', '更新OSS服务token', '内容推荐 - 当云端收到ContentSdkInitCompleteEvent事件或密钥泄露导致安全问题需要更新密钥时调用该服务', '0', 'SYNC', '[{"code":"SlsToken","name":"SLS访问Token信息","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"OssToken","name":"OSS访问Token信息","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"TInfo","name":"Token-Info","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '', '系统', '1', '1692347066063', '0'),
('3114427007', '', 'VoiceMessageDownstream', '语音消息下发', '', '0', 'ASYNC', '[{"code":"MessageData","name":"语音消息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065862', '0'),
('3124170868', '', 'QueryAlgorithmTask', '查询算法任务', '', '1', 'SYNC', '[{"code":"PageNum","name":"分页号","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"256\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PageSize","name":"分页大小","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065970', '0'),
('314189156', '', 'QueryHost', '查询主机', '', '0', 'SYNC', '', '', '系统', '1', '1692347065849', '0'),
('3169498612', '', 'RestoreFactorySettings', '恢复出厂设置', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065942', '0'),
('3170146518', '', 'GetKeyList', '获取钥匙列表', '', '1', 'ASYNC', '[{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"0\":\"全部\",\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}}]', '', '系统', '1', '1692347066117', '0'),
('3176677693', '', 'StopPTZAction', '停止PTZ控制', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066085', '0'),
('3212810849', '', 'get', '状态同步', '', '0', 'SYNC', '[{"code":"Selected_Property","name":"状态同步属性","type_spec":{"type":"enum","specs":"{\"0\":\"Set_Temputer\",\"1\":\"Safety_Temputer_Loc\",\"2\":\"Preheat_Mode\",\"3\":\"Timer_Quantum\",\"4\":\"OutputWaterTempute\",\"5\":\"Flame_State\",\"6\":\"CombustibleGasCheck\",\"7\":\"Error_Code\",\"8\":\"PowerSwitch\"}"}}]', '', '系统', '1', '1692347066162', '0'),
('3214173402', '', 'AuthVerifySDK', '设备授权文件下发', '', '1', 'SYNC', '[{"code":"LicenseData","name":"授权文件","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StatusCode","name":"状态码","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"StatusCodeDescription","name":"状态码描述","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347066046', '0'),
('3215726589', '', 'UnlockVehicle', '接触车辆锁定', '', '1', 'SYNC', '[{"code":"UserID","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065882', '0'),
('3226046074', '', 'AddKey', '添加钥匙', '', '1', 'ASYNC', '[{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}},{"code":"UserLimit","name":"用户权限","type_spec":{"type":"enum","specs":"{\"1\":\"普通用户\",\"2\":\"管理员\",\"3\":\"劫持用户\"}"}}]', '', '系统', '1', '1692347066116', '0'),
('3227446299', '', 'QueryAlgoTaskDetails', '查询算法任务详细信息', '', '1', 'SYNC', '[{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('3249018258', '', 'DeployAlgorithmModel', '算法部署', '', '1', 'ASYNC', '[{"code":"AlgorithmId","name":"算法id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmType","name":"算法类型","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"65536\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"AlgorithmName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelId","name":"模型id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ModelVersion","name":"模型版本","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"ModelUrl","name":"模型下载url","type_spec":{"type":"text","specs":"{\"length\":\"512\"}"}},{"code":"Platform","name":"模型平台","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"TaskId","name":"部署任务id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"MD5","name":"模型md5值","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Encryption","name":"模型是否加密","type_spec":{"type":"bool","specs":"{\"0\":\"不加密\",\"1\":\"加密\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('3249857998', '', 'StartVoiceIntercom', '开始语音对讲', '语音对讲启动指令', '1', 'ASYNC', '[{"code":"IntercomUrl","name":"对讲地址","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Key","name":"加解密秘钥","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"EncryptType","name":"加解密类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065799', '0'),
('3264686405', '', 'QueryAlgorithmModelList', '查询算法模型列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065897', '0'),
('3270211723', '', 'CaptureScreen', '监播截屏', '内容推荐 - 完成后通过MonitorActionEvent事件上报操作结果', '0', 'ASYNC', '', '', '系统', '1', '1692347066064', '0'),
('3291503391', '', 'QueryAddedUserInfo', '人脸-查询布控成功的人脸图', '', '0', 'SYNC', '[{"code":"GroupID","name":"人脸库组ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('3303956624', '', 'addInventory', '增加库存', '增加库存', '1', 'ASYNC', '[{"code":"x","name":"横坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"y","name":"纵坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"c","name":"库存","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100000000\",\"step\":\"1\"}"}}]', '', '系统', '1', '1692347066113', '0'),
('3328337202', '', 'VehAlertService', '车辆告警服务', '', '0', 'ASYNC', '[{"code":"Vin","name":"车架号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"EventID","name":"事件ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"TboxID","name":"tboxID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"OwnerID","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"StartTime","name":"时间段起始","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"EndTime","name":"时间段末尾","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065822', '0'),
('3338991485', '', 'StopAlgorithmTask', '停止算法任务', '', '1', 'ASYNC', '[{"code":"TaskID","name":"算法任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065897', '0'),
('3374227233', '', 'AngleSelfAdaption', '角度自适应校准', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065949', '0'),
('3377509400', '', 'StartPTZAction', '开始PTZ控制', '', '0', 'ASYNC', '[{"code":"ActionType","name":"动作类型","type_spec":{"type":"enum","specs":"{\"0\":\"左\",\"1\":\"右\",\"2\":\"上\",\"3\":\"下\",\"4\":\"上左\",\"5\":\"上右\",\"6\":\"下左\",\"7\":\"下右\",\"8\":\"放大\",\"9\":\"缩小\"}"}},{"code":"Speed","name":"速度","type_spec":{"type":"enum","specs":"{\"0\":\"慢速\",\"1\":\"中速\",\"2\":\"快速\"}"}}]', '', '系统', '1', '1692347066085', '0'),
('3384783941', '', 'StopVoiceIntercom', '停止语音对讲', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065799', '0'),
('3583780158', '', 'QueryStatus', '查询电梯状态', '', '0', 'SYNC', '[{"code":"Params","name":"输入参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065832', '0'),
('3584979892', '', 'Start', '启动', '', '0', 'ASYNC', '[{"code":"Menu","name":"菜单","type_spec":{"type":"enum","specs":"{\"0\":\"默认菜单\",\"1\":\"冻薯条\",\"2\":\"牛排\",\"3\":\"鸡腿\",\"4\":\"蛋糕\",\"5\":\"虾\",\"6\":\"披萨\",\"7\":\"鱼\"}"}},{"code":"WorkTime","name":"工作时间","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"ToastTemperature","name":"烘烤温度","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"460\",\"step\":\"1\",\"unit\":\"℉\",\"unitName\":\"华氏度\"}"}},{"code":"NotificationTime","name":"提醒时间点","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"PauseSwtich","name":"暂停开关","type_spec":{"type":"bool","specs":"{\"0\":\"开始\",\"1\":\"暂停\"}"}}]', '', '系统', '1', '1692347065871', '0'),
('3604882330', '', 'QueryUserData', '人脸-查询用户是否存在', '人脸2.0（不推荐）', '0', 'ASYNC', '[{"code":"UserId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('3606595346', '', 'GetVehicleList', '获取车辆信息列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065882', '0'),
('3623250714', '', 'StopPlay', '停止功放播放', '', '1', 'ASYNC', '', '', '系统', '1', '1692347066074', '0'),
('3624054354', '', 'CallElevator', '呼梯', '', '1', 'ASYNC', '[{"code":"targetFloor","name":"目标楼层","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"startFloor","name":"起始楼层","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"startFloorDoor","name":"起始楼层电梯门","type_spec":{"type":"enum","specs":"{\"0\":\"起始楼层电梯A门\",\"1\":\"起始楼层电梯B门\"}"}},{"code":"targetFloorDoor","name":"目标楼层电梯门","type_spec":{"type":"enum","specs":"{\"0\":\"目标楼层电梯A门\",\"1\":\"目标楼层电梯B门\"}"}}]', '', '系统', '1', '1692347065831', '0'),
('3643687118', '', 'CommonService', '标准服务', '', '0', 'ASYNC', '[{"code":"method","name":"方法","type_spec":{"type":"enum","specs":"{\"0\":\"setProps\"}"}},{"code":"params","name":"参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"flag","name":"特性","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"seq","name":"序列号","type_spec":{"type":"text","specs":"{\"length\":\"30\"}"}}]', '', '系统', '1', '1692347066213', '0'),
('3646295719', '', 'DelQrCodePermission', '删除二维码权限', '', '1', 'ASYNC', '[{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065831', '0'),
('3652773755', '', 'SensorPeelAllSensor', '全部传感器去皮', '', '0', 'ASYNC', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347066031', '0'),
('3663421648', '', 'GetPlateNumberList', '查询车牌号列表', '', '1', 'SYNC', '', '', '系统', '1', '1692347065854', '0'),
('3694737859', '', 'QueryAlgoTaskList', '查询算法任务列表', '', '1', 'SYNC', '[{"code":"PageNum","name":"分页码","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PageSize","name":"分页大小","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"50\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"TaskName","name":"任务名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('3712624659', '', 'UpdateContent', '将内容全量下发到边缘端', '内容推荐', '0', 'ASYNC', '[{"code":"UpdateTaskID","name":"更新任务ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ContentUrl","name":"Content内容下载地址","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '', '系统', '1', '1692347066063', '0'),
('372080696', '', 'ConfigModel', '配置模型', '内容推荐', '1', 'SYNC', '[{"code":"AlgorithmID","name":"算法任务-人脸识别","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"Threshold","name":"结果置信度阈值","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1\",\"step\":\"0.0001\",\"unitName\":\"无\"}"}},{"code":"Switch","name":"功能开关","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"NumThreads","name":"使用线程数","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"128\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('37428985', '', 'OrderCompleted', '订单确认', '', '1', 'SYNC', '[{"code":"OrderNumber","name":"订单编号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PayStatus","name":"支付状态","type_spec":{"type":"enum","specs":"{\"0\":\"支付完成\",\"1\":\"免费\",\"2\":\"本地支付\",\"3\":\"取消订单\"}"}}]', '', '系统', '1', '1692347065857', '0'),
('3759356248', '', 'SubscribeEvent', '订阅事件', '', '1', 'SYNC', '[{"code":"EventTypes","name":"事件类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"EventDest","name":"指定事件接收地址","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"SubType","name":"订阅类型","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"EventLevel","name":"事件等级","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"int\"}}"}}]', '', '系统', '1', '1692347065847', '0'),
('3759439606', '', 'QueryLicenseList', '查询授权列表', '', '1', 'SYNC', '[{"code":"AlgorithmName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"PageNum","name":"分页码","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PageSize","name":"分页大小","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"50\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065970', '0'),
('381144077', '', 'PTZCalibrate', 'PTZ校准', '', '0', 'ASYNC', '[{"code":"Direction","name":"方向","type_spec":{"type":"enum","specs":"{\"0\":\"完全校准\",\"1\":\"水平校准\",\"2\":\"垂直校准\"}"}}]', '', '系统', '1', '1692347066088', '0'),
('3825853839', '', 'SetShankUpAndDown', '设置小腿升降', '', '0', 'ASYNC', '[{"code":"ShankLiftingModeMode","name":"小腿升降模式","type_spec":{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"小腿升\",\"2\":\"小腿降\",\"3\":\"小腿升降停\"}"}}]', '', '系统', '1', '1692347066049', '0'),
('3867540414', '', 'FactoryReset', '恢复出厂设置', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066066', '0'),
('3898930490', '', 'LockVehicle', '锁定车辆', '', '1', 'SYNC', '[{"code":"UserID","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StartExpireTime","name":"起始有效时间","type_spec":{"type":"date","specs":"{}"}},{"code":"EndExpireTime","name":"截止有效时间","type_spec":{"type":"date","specs":"{}"}}]', '', '系统', '1', '1692347065882', '0'),
('3903274353', '', 'QueryFacePermTotal', '人脸-查询设备上人脸权限总数', '直接查询设备上的人脸权限数，由设备直接返回，不经过SDK统计', '0', 'SYNC', '', '', '系统', '1', '1692347065806', '0'),
('3905443156', '', 'ClearAlarm', '一键消除报警', '', '0', 'ASYNC', '', '', '系统', '1', '1692347066058', '0'),
('3907732657', '', 'Unlock', '开锁', '', '1', 'ASYNC', '[{"code":"UnlockCode","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"0\":\"室内机开锁\",\"1\":\"刷卡开锁\",\"2\":\"密码开锁\",\"3\":\"蓝牙开锁\",\"4\":\"人脸开锁\",\"5\":\"指纹开锁\",\"6\":\"手机开锁\"}"}}]', '', '系统', '1', '1692347066033', '0'),
('3948958799', '', 'SyncGroupIdAndRoomId', '可视对讲-同步组号和房间号', '', '0', 'SYNC', '[{"code":"groupRoomMappingFileUrl","name":"映射关系文件url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('3983499418', '', 'QueryAlgoConfig', '获取算法配置信息', '', '1', 'SYNC', '', '', '系统', '1', '1692347065972', '0'),
('4010779479', '', 'QueryDataCheckCode', '查询设备数据校验码', '', '1', 'ASYNC', '[{"code":"CheckTime","name":"校验截止时间戳","type_spec":{"type":"date","specs":"{}"}}]', '', '系统', '1', '1692347065816', '0'),
('4033075399', '', 'StartPushStreaming', '开始直播', '', '1', 'ASYNC', '[{"code":"PushUrl","name":"推流地址","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"StreamType","name":"码流类型","type_spec":{"type":"enum","specs":"{\"0\":\"主码流\",\"1\":\"辅码流\"}"}},{"code":"Scheme","name":"流协议","type_spec":{"type":"enum","specs":"{\"0\":\"RTMP\",\"1\":\"RTSP\"}"}},{"code":"EncryptKey","name":"密钥","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"EncryptType","name":"加密类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PreTime","name":"提前推流时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('4054791395', '', 'ReadMaxCutSpeed', '读取最大速度', '', '1', 'ASYNC', '[{"code":"MaxCutSpeed","name":"最大速度","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}}]', '', '系统', '1', '1692347065985', '0'),
('4064087256', '', 'RemoteFreeze', '远程冻结', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065852', '0'),
('4086910445', '', 'AddVehicleIOfWhiteList', '新增白名单车辆', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065858', '0'),
('4110580212', '', 'TriggerPicCapture', '触发设备抓图', '', '1', 'ASYNC', '[{"code":"UPloadUrl","name":"上传地址","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065788', '0'),
('4128506212', '', 'GetVehiclePermission', '查询车辆权限信息', '', '1', 'SYNC', '', '', '系统', '1', '1692347065789', '0'),
('4149136510', '', 'SyncFaceData', '人脸-同步人脸数据', '人脸2.0（不推荐）', '0', 'ASYNC', '[{"code":"FaceDataUrl","name":"人脸数据URL地址","type_spec":{"type":"text","specs":"{\"length\":\"512\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('4164946181', '', 'ConfigContentSDK', '配置内容推荐SDK', '内容推荐', '0', 'SYNC', '[{"code":"RecommendOn","name":"内容推荐开关","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"LogMaxCount","name":"日志批量上传配置","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"4096\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"LogMaxSize","name":"每批次最大size","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"5\",\"step\":\"1\",\"unit\":\"MB\",\"unitName\":\"兆字节\"}"}},{"code":"LogPeriod","name":"上报周期","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"86400\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}}]', '', '系统', '1', '1692347066064', '0'),
('4166875204', '', 'SendOssStsToken', '下发OssStsToken', '', '1', 'ASYNC', '[{"code":"Credentials","name":"加密的访问凭证","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"BucketName","name":"OSSbucket名称","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"EndPoint","name":"OSS的EndPoint名称","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"ObjectName","name":"OSS存储空间名称","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('4168830484', '', 'Rhythm', 'Rhythm', '音乐律动的标准服务', '0', 'ASYNC', '[{"code":"Hue","name":"Hue","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"360\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}},{"code":"Saturation","name":"Saturation","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}},{"code":"Value","name":"Value","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}},{"code":"LightDuration","name":"LightDuration","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"250\",\"step\":\"1\",\"unit\":\"ms\",\"unitName\":\"毫秒\"}"}}]', '', '系统', '1', '1692347066213', '0'),
('4177958097', '', 'ActivateAlarm', '触发报警', '', '1', 'ASYNC', '[{"code":"AlarmMode","name":"报警模式","type_spec":{"type":"enum","specs":"{\"0\":\"停止报警\",\"1\":\"系统撤防提示\",\"2\":\"系统布防提示\",\"3\":\"防盗报警\",\"4\":\"火警\",\"5\":\"紧急情况报警\",\"6\":\"110报警\"}"}}]', '', '系统', '1', '1692347065928', '0'),
('41794594', '', 'DelVehicleIOfBlackList', '删除黑名单车辆', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065857', '0'),
('4210650454', '', 'MeasureBodyFat', '测量体脂', '', '0', 'ASYNC', '[{"code":"UserAge","name":"用户年龄","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"UserGender","name":"用户性别","type_spec":{"type":"enum","specs":"{\"1\":\"男\",\"2\":\"女\"}"}},{"code":"UserHeight","name":"用户身高","type_spec":{"type":"float","specs":"{\"min\":\"1\",\"max\":\"300\",\"step\":\"0.01\",\"unit\":\"cm\",\"unitName\":\"厘米\"}"}},{"code":"UserID","name":"用户ID","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347066066', '0'),
('4214506480', '', 'RemoteControl', '通用-远程控制', '', '0', 'SYNC', '[{"code":"Command","name":"控制指令","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Params","name":"控制参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('4229101637', '', 'QueryDeployStatus', '查询部署状态', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065893', '0'),
('424470297', '', 'StartRecord', '开始录像', '', '0', 'ASYNC', '[{"code":"RecordType","name":"录像方式","type_spec":{"type":"enum","specs":"{\"0\":\"本地录像\",\"1\":\"云端录像\"}"}},{"code":"RecordDuration","name":"录制时长","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"PreRecordDuration","name":"预录时长","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"20\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"UploadUrl","name":"上传地址","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '', '系统', '1', '1692347065943', '0'),
('4264383615', '', 'P2PSignalDownstream', 'P2P信令下发', '', '0', 'ASYNC', '[{"code":"Data","name":"信令数据","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347066086', '0'),
('4268103547', '', 'FormatStorageMedium', '格式化存储介质', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065942', '0'),
('4275171575', '', 'UpdateDisplay', '更新显示', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065953', '0'),
('468257159', '', 'StopPushStreaming', '停止直播', '', '1', 'ASYNC', '[{"code":"StreamType","name":"码流类型","type_spec":{"type":"enum","specs":"{\"0\":\"主码流\",\"1\":\"辅码流\"}"}}]', '', '系统', '1', '1692347065788', '0'),
('503083712', '', 'OperatGate', '道闸操作', '道闸操作', '1', 'SYNC', '[{"code":"OperatType","name":"操作类型","type_spec":{"type":"enum","specs":"{\"0\":\"关闸\",\"1\":\"开闸\",\"2\":\"长开\"}"}}]', '', '系统', '1', '1692347065790', '0'),
('535853173', '', 'QueryRecordTimeList', '查询录像时间列表', '', '1', 'SYNC', '[{"code":"BeginTime","name":"开始时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}},{"code":"EndTime","name":"结束时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}},{"code":"QuerySize","name":"查询数量","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"128\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"Type","name":"录像类型","type_spec":{"type":"enum","specs":"{\"0\":\"计划录像\",\"1\":\"报警录像\",\"2\":\"主动录像\",\"99\":\"所有类型\"}"}}]', '', '系统', '1', '1692347065788', '0'),
('565072604', '', 'CaptureAIBoxDiagData', '采集AIBox的诊断数据', '类型为采集数据的类型，如果是algopipe表明是算法时序，如果是topo表明是设备拓扑图；如果type为algopipe，任务编号必填；如果是topo时，任务编号填空字符串', '1', 'SYNC', '[{"code":"Type","name":"类型","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('578330224', '', 'QueryMonthRecord', '查询设备端月录像', '月份格式为yyyyMM，如"201806"。输出参数为字符串，长度为当月天数，1表示当天有录像，0表示当天无录像。', '0', 'SYNC', '[{"code":"Month","name":"月份","type_spec":{"type":"text","specs":"{\"length\":\"16\"}"}}]', '', '系统', '1', '1692347066088', '0'),
('610847651', '', 'GetEventSubscription', '查询事件订阅信息', '', '0', 'SYNC', '', '', '系统', '1', '1692347065847', '0'),
('613546171', '', 'GetBlackList', '查询黑名单车辆', '', '1', 'SYNC', '[{"code":"BlackListUrl","name":"黑名单车辆Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065857', '0'),
('615282483', '', 'PlayQuickResponseRing', '播放快捷回复声音', '', '1', 'ASYNC', '[{"code":"RingType","name":"铃声类型","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065800', '0'),
('626029104', '', 'SetKeyPermission', '配置钥匙权限', '', '0', 'ASYNC', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}},{"code":"UserLimit","name":"用户权限","type_spec":{"type":"enum","specs":"{\"1\":\"普通用户\",\"2\":\"管理员\",\"3\":\"劫持用户\"}"}}]', '', '系统', '1', '1692347066117', '0'),
('6347913', '', 'Position', '定位', '', '0', 'ASYNC', '[{"code":"TerminalID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"8\"}"}},{"code":"SerialNumber","name":"指令编号","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}}]', '', '系统', '1', '1692347066006', '0'),
('63738309', '', 'syncPermissions', '通用-同步门禁权限', '', '0', 'SYNC', '[{"code":"permissionUrl","name":"权限url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('639912852', '', 'DoorOpen', '开门', '', '0', 'ASYNC', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347066031', '0'),
('692675557', '', 'QueryRecordList', '查询录像列表', '', '1', 'SYNC', '[{"code":"BeginTime","name":"开始时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}},{"code":"EndTime","name":"结束时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}},{"code":"Type","name":"录像类型","type_spec":{"type":"enum","specs":"{\"0\":\"计划录像\",\"1\":\"报警录像\",\"2\":\"主动录像\",\"99\":\"所有类型\"}"}},{"code":"QuerySize","name":"查询数量","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"128\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065789', '0'),
('709547439', '', 'DeleteScene', '删除场景', '', '0', 'ASYNC', '[{"code":"SceneID","name":"场景ID","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347065995', '0'),
('719645717', '', 'NotifyPhoneNumberCheckResult', '可视对讲-下发手机号校验结果', '', '0', 'SYNC', '[{"code":"phoneNumber","name":"手机号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"checkResult","name":"校验结果","type_spec":{"type":"enum","specs":"{\"0\":\"成功\",\"1\":\"失败\"}"}}]', '', '系统', '1', '1692347065806', '0'),
('73637539', '', 'ReCenterOpMessage', '救援消息推送', '', '0', 'ASYNC', '[{"code":"ReCenterMessageType","name":"消息类型","type_spec":{"type":"enum","specs":"{\"0\":\"10000\",\"1\":\"10001\",\"10\":\"10010\",\"11\":\"10011\",\"12\":\"10012\",\"2\":\"10002\",\"3\":\"10003\",\"4\":\"10004\",\"5\":\"10005\",\"7\":\"10007\",\"9\":\"10009\"}"}}]', '', '系统', '1', '1692347065824', '0'),
('743644423', '', 'UpdateAlgoTask', '更新算法任务', '', '1', 'SYNC', '[{"code":"TaskId","name":"任务编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"TaskName","name":"任务名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"SubProductKey","name":"子设备产品名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"SubDeviceName","name":"子设备名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmId","name":"算法Id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmParam","name":"算法参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Comment","name":"备注","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}}]', '', '系统', '1', '1692347065971', '0'),
('767254582', '', 'QueryExecutingAlgorithm', '查询正在运行的算法', '', '1', 'ASYNC', '', '', '系统', '1', '1692347065893', '0'),
('768185331', '', 'DeleteVehicleInfo', '删除车辆信息', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065854', '0'),
('778405373', '', 'GetAreaList', '获取停车区域列表', '', '1', 'SYNC', '[{"code":"type","name":"获取类型","type_spec":{"type":"enum","specs":"{\"0\":\"全量\",\"1\":\"1级区域\"}"}}]', '', '系统', '1', '1692347065853', '0'),
('778729599', '', 'PTZActionControl', 'PTZ步进控制', '', '0', 'ASYNC', '[{"code":"ActionType","name":"动作类型","type_spec":{"type":"enum","specs":"{\"0\":\"左\",\"1\":\"右\",\"2\":\"上\",\"3\":\"下\",\"4\":\"上左\",\"5\":\"上右\",\"6\":\"下左\",\"7\":\"下右\",\"8\":\"放大\",\"9\":\"缩小\"}"}},{"code":"Step","name":"步进量","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '', '系统', '1', '1692347066087', '0'),
('799878865', '', 'AppointmentStart', '预约启动', '', '0', 'ASYNC', '[{"code":"Menu","name":"菜单","type_spec":{"type":"enum","specs":"{\"0\":\"默认菜单\",\"1\":\"冻薯条\",\"2\":\"牛排\",\"3\":\"鸡腿\",\"4\":\"蛋糕\",\"5\":\"虾\",\"6\":\"披萨\",\"7\":\"鱼\"}"}},{"code":"WorkTime","name":"工作时间","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"ToastTemperature","name":"烘烤温度","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"460\",\"step\":\"1\",\"unit\":\"℉\",\"unitName\":\"华氏度\"}"}},{"code":"NotificationTime","name":"提醒时间点","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"AppointmentTime","name":"预约时间","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"720\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}},{"code":"PauseSwtich","name":"暂停开关","type_spec":{"type":"bool","specs":"{\"0\":\"开始\",\"1\":\"暂停\"}"}}]', '', '系统', '1', '1692347065871', '0'),
('807670334', '', 'AnnounceTTSText', '播报TTS文本', '', '1', 'ASYNC', '[{"code":"text","name":"TTS文本","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"voice","name":"音色","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}}]', '', '系统', '1', '1692347065791', '0'),
('845297896', '', 'RemoteOpen', '远程开门', '', '0', 'ASYNC', '', '', '系统', '1', '1692347065852', '0'),
('85966050', '', 'EnvHumidity_Control', '环境湿度调节', '', '0', 'ASYNC', '[{"code":"mode","name":"工作模式","type_spec":{"type":"enum","specs":"{\"0\":\"增加湿度\",\"1\":\"降低湿度\"}"}},{"code":"step","name":"步长_升高1个百分比需要的分钟数","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"min\"}"}},{"code":"SwitchNo","name":"开关","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"6\",\"step\":\"1\"}"}}]', '', '系统', '1', '1692347065891', '0'),
('879367166', '', 'ControlLockState', '车锁控制', '', '1', 'ASYNC', '[{"code":"OperationCode","name":"操作码","type_spec":{"type":"enum","specs":"{\"0\":\"解锁\",\"1\":\"上锁\"}"}}]', '', '系统', '1', '1692347066011', '0'),
('887813673', '', 'QueryEfence', '查询围栏', '', '0', 'SYNC', '[{"code":"HostId","name":"主机ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065849', '0'),
('891806454', '', 'StartDeviceDiagnosis', '开始设备诊断', '', '1', 'SYNC', '[{"code":"DiagnosisType","name":"诊断类型","type_spec":{"type":"enum","specs":"{\"0\":\"连接诊断\",\"1\":\"视频诊断\"}"}},{"code":"ProductKey","name":"子设备PK","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"DeviceName","name":"子设备DN","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '', '系统', '1', '1692347065972', '0'),
('909010428', '', 'getInventory', '单个库存查询', '单个库存查询', '1', 'SYNC', '[{"code":"x","name":"横坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}},{"code":"y","name":"纵坐标","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\"}"}}]', '', '系统', '1', '1692347066113', '0'),
('958196170', '', 'EnvTemp_Control', '环境温度调节', '', '0', 'ASYNC', '[{"code":"mode","name":"工作模式","type_spec":{"type":"enum","specs":"{\"0\":\"升温\",\"1\":\"降温\"}"}},{"code":"step","name":"步长_升高一度需要分钟数","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"min\"}"}},{"code":"SwitchNo","name":"开关","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"6\",\"step\":\"1\"}"}}]', '', '系统', '1', '1692347065890', '0'),
('958302043', '', 'GetPermissionDownloadProgress', '查询车辆权限下发进度', '', '1', 'SYNC', '', '', '系统', '1', '1692347065789', '0'),
('97913898', '', 'CorrectPlateNumber', '车牌号校正', '', '1', 'SYNC', '[{"code":"PlateNumber","name":"正确车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"RecordID","name":"本地停车系统记录ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '', '系统', '1', '1692347065854', '0');
