-- -------------------------------------------------------------
-- TablePlus 3.11.0(352)
--
-- https://tableplus.com/
--
-- Database: core.db
-- Generation Time: 2023-08-18 16:34:16.9980
-- -------------------------------------------------------------


DROP TABLE IF EXISTS "events";
CREATE TABLE `events` (`id` text NOT NULL,`product_id` text,`event_type` text,`code` text,`name` text,`description` text,`require` numeric,`output_params` text,`tag` text,`system` numeric,`created` integer,`modified` integer,PRIMARY KEY (`id`),CONSTRAINT `fk_product_events` FOREIGN KEY (`product_id`) REFERENCES `product`(`id`) ON DELETE CASCADE ON UPDATE CASCADE);

INSERT INTO "events" ("id", "product_id", "event_type", "code", "name", "description", "require", "output_params", "tag", "system", "created", "modified") VALUES
('1011664504', '', 'alert', 'KeepFreshTempExceptional', '保鲜温度异常', '', '0', '[{"code":"Error","name":"保鲜温度异常","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"保鲜温度异常\"}"}}]', '系统', '1', '1692347065844', '0'),
('1064265265', '', 'info', 'UpdateVehicleInfoFromLocal', '车辆信息变更', '', '1', '[{"code":"UserName","name":"用户姓名","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"TypeOperation","name":"操作类型","type_spec":{"type":"enum","specs":"{\"0\":\"新增\",\"1\":\"修改\",\"2\":\"删除\"}"}},{"code":"IdNumber","name":"身份证号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StateLocked","name":"锁定状态","type_spec":{"type":"enum","specs":"{\"0\":\"没有锁定\",\"1\":\"锁定\"}"}},{"code":"LockStartExpireTime","name":"锁车起始时间","type_spec":{"type":"date","specs":"{}"}},{"code":"LockEndExpireTime","name":"锁车截止时间","type_spec":{"type":"date","specs":"{}"}},{"code":"AccessBarrierListUrl","name":"通行权限道闸列表Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065853', '0'),
('1068262344', '', 'info', 'AbnormalBehaviorAlarm', '非正常状态告警', '', '0', '[{"code":"AlarmType","name":"告警类型","type_spec":{"type":"enum","specs":"{\"0\":\"学习错误\",\"1\":\"开门遇阻错误\",\"10\":\"温度过高\",\"11\":\"制动错误\",\"12\":\"锁错误\",\"2\":\"关门遇阻错误\",\"3\":\"开门错误\",\"4\":\"关门错误\",\"5\":\"减速超时\",\"6\":\"霍尔错误\",\"7\":\"位置错误\",\"8\":\"双门通信错误\",\"9\":\"电流过大\"}"}}]', '系统', '1', '1692347065852', '0'),
('1091299760', '', 'info', 'OnMatched', '人脸-人脸比对事件上报', '人脸1.0 - 上报可识别人脸事件', '0', '[{"code":"UserPicID","name":"用户人脸图ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"FaceMatchedPicStorID","name":"人脸比对图片StorID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Similarity","name":"人脸比对相似度结果","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}},{"code":"UserInfo","name":"人脸ID相关属性","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"GroupID","name":"人脸组ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '系统', '1', '1692347065804', '0'),
('1141511061', '', 'info', 'BlackListRecognition', '黑名单车辆识别', '', '1', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumberImageUrl","name":"车牌号照片Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Direction","name":"方向","type_spec":{"type":"enum","specs":"{\"0\":\"进场\",\"1\":\"出场\"}"}}]', '系统', '1', '1692347065855', '0'),
('1147269780', '', 'alert', 'StabilityEvent', '车辆稳定性', '', '0', '[{"code":"StabilityAccP","name":"加速度峰值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}},{"code":"StabilityAccE","name":"加速度原始值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}}]', '系统', '1', '1692347065824', '0'),
('1205296604', '', 'alert', 'LowTemperatureWarning', '低温报警', '', '0', '[{"code":"Error","name":"低温报警","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"低温报警\"}"}}]', '系统', '1', '1692347065843', '0'),
('1241926447', '', 'info', 'ExicutingAlgorithm', '单条算法执行结果', '', '1', '[{"code":"AlgoName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoVersion","name":"算法版本","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"TaskID","name":"任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"result","name":"执行结果","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '系统', '1', '1692347065893', '0'),
('1268509166', '', 'error', 'RolloverEvent', '翻车', '', '0', '[{"code":"RolloverAccP","name":"加速度峰值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}},{"code":"RolloverAccE","name":"加速度原始值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}}]', '系统', '1', '1692347065819', '0'),
('1276453964', '', 'info', 'RequestDecryptionKey', '请求解密密钥', '', '1', '[{"code":"ModelId","name":"模型id","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ID2ProductKey","name":"ID2产品秘钥","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ID2","name":"ID2信息","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AuthCode","name":"授权码","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}}]', '系统', '1', '1692347065970', '0'),
('1301215743', '', 'info', 'UpdateContentCompleteEvent', '内容加载完成', '内容推荐 - 云端内容推送内容并且 SDK 下载完成后发送该事件', '0', '[{"code":"UpdateTaskID","name":"下发任务ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"Status","name":"状态","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"FailedCreativeIDs","name":"失败创意列表","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}}]', '系统', '1', '1692347066063', '0'),
('1349799208', '', 'info', 'OnSync', '人脸库同步确认', '人脸2.0（不推荐）', '0', '[{"code":"SyncTime","name":"同步时间戳","type_spec":{"type":"date","specs":"{}"}},{"code":"Payload","name":"透传参数","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Code","name":"状态码","type_spec":{"type":"enum","specs":"{\"200\":\"同步成功\",\"201\":\"同步失败重试\",\"202\":\"同步失败不重试\"}"}}]', '系统', '1', '1692347065804', '0'),
('1358009479', '', 'info', 'TamperAlarm', '防撬报警', '', '0', '', '系统', '1', '1692347065948', '0'),
('1374850905', '', 'info', 'TemperatureAlarm', '温度报警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"恢复正常\",\"1\":\"高温报警\"}"}}]', '系统', '1', '1692347065889', '0'),
('1433128647', '', 'info', 'RefreshSchedule', '显示内容更新', '', '1', '[{"code":"Result","name":"更新结果","type_spec":{"type":"enum","specs":"{\"0\":\"更新失败\",\"1\":\"更新成功\"}"}}]', '系统', '1', '1692347065901', '0'),
('1473918390', '', 'info', 'LowVoltageNotification', '低电压上报', '', '1', '[{"code":"VoltageValue","name":"电压值","type_spec":{"type":"float","specs":"{\"min\":\"3.5\",\"max\":\"7.0\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}}]', '系统', '1', '1692347066011', '0'),
('1485680428', '', 'info', 'passEvent', '通用-通行事件', '', '0', '[{"code":"code","name":"通行结果","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"message","name":"结果说明","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"type","name":"认证类型","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"content","name":"认证内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"extInfo","name":"扩展信息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065804', '0'),
('1494066698', '', 'alert', 'LowBatteyEvent', '电量低告警', '', '0', '[{"code":"BatteryLevel","name":"电量水平","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '系统', '1', '1692347065798', '0'),
('1511012411', '', 'info', 'NeedAuthVerifySDK', '人脸算法SDK需授权', '', '1', '[{"code":"PackageName","name":"包名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"ClientID","name":"设备唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"PublicKey","name":"包公钥信息","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Token","name":"设备Token值","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"DeviceEncrypt","name":"设备加密信息唯一标识","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '系统', '1', '1692347066045', '0'),
('1575935271', '', 'info', 'OnDetect', '人脸-人脸检测事件上报', '人脸1.0 - 上报人脸检测（非识别）事件，一般用于陌生人脸上报', '0', '[{"code":"StoreID","name":"人脸检测图StoreID","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"GroupID","name":"人脸组ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '系统', '1', '1692347065806', '0'),
('1585069676', '', 'info', 'ModifyVehicleInfoFromLocal', '本地系统修改车辆信息', '', '1', '[{"code":"UserID","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"UserName","name":"用户姓名","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PayType","name":"付费渠道","type_spec":{"type":"enum","specs":"{\"0\":\"免费\",\"1\":\"本地系统收费\",\"2\":\"云端系统收费\",\"3\":\"本地或云端收费\"}"}},{"code":"StartExpireTime","name":"起始有效时间","type_spec":{"type":"date","specs":"{}"}},{"code":"EndExpireTime","name":"截止有效时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065881', '0'),
('1611096095', '', 'info', 'Health_Oil_Temperature', '健康油温', '', '0', '[{"code":"Health_Oil_Temprature_check","name":"健康油温监测状态","type_spec":{"type":"bool","specs":"{\"0\":\"未触发\",\"1\":\"已触发\"}"}}]', '系统', '1', '1692347066165', '0'),
('1626574925', '', 'info', 'TimeNotification', '时间点提醒', '', '0', '[{"code":"Time","name":"提醒时间点","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}}]', '系统', '1', '1692347065871', '0'),
('1692236711', '', 'info', 'ScanQrCodeForElevatorEvent', '二维码刷梯释放楼层事件', '', '1', '[{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"qrCode","name":"二维码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"releaseFloors","name":"已释放的楼层","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"text\"}}"}}]', '系统', '1', '1692347065831', '0'),
('1834391684', '', 'alert', 'LowVoltageAlarm', '电压过低告警', '', '0', '[{"code":"Error","name":"电压过低告警","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"电压过低告警\"}"}}]', '系统', '1', '1692347065843', '0'),
('1838376918', '', 'info', 'AIEvent', 'AI事件', '', '0', '[{"code":"EventContent","name":"事件信息","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}}]', '系统', '1', '1692347065847', '0'),
('1855065626', '', 'info', 'RightWarning', '右炉告警', '', '0', '', '系统', '1', '1692347066165', '0'),
('1857498019', '', 'info', 'IntelligentAlarmEvent', '智能报警', '', '1', '[{"code":"AlarmType","name":"告警类型","type_spec":{"type":"enum","specs":"{\"10001\":\"违章停车\",\"10002\":\"占道经营\",\"10003\":\"摩托车识别\",\"10004\":\"行人识别\",\"10005\":\"车辆识别\",\"20003\":\"人脸检测\",\"20004\":\"人体检测\",\"60005\":\"人脸质量分\",\"60006\":\"人脸特征提取\",\"60007\":\"叠衣计数\",\"60008\":\"目标检测\",\"60009\":\"年龄性别检测\",\"60010\":\"表情检测\",\"60011\":\"人体姿态估计\",\"60012\":\"车辆和车牌检测\",\"60013\":\"车牌识别\"}"}},{"code":"Algorithm","name":"算法","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"ProductKey","name":"子设备产品名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"DeviceName","name":"子设备名","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Data","name":"告警内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"AlarmPicID","name":"图片ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065897', '0'),
('1884327063', '', 'info', 'VehiclePowerWarning', '车辆断电告警', '', '0', '', '系统', '1', '1692347066006', '0'),
('1910732581', '', 'info', 'CrashDetectedEvent', '碰撞事件', '', '0', '[{"code":"vehRPM","name":"发送机转速","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"12750\",\"step\":\"0.01\",\"unit\":\"r/min(rpm)\",\"unitName\":\"转每分\"}"}},{"code":"VehSeatBeltDrv","name":"主驾安全带","type_spec":{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}}]', '系统', '1', '1692347065821', '0'),
('1914513880', '', 'info', 'DeleteVehicleInfoFromLocal', '本地系统删除车辆信息', '', '1', '[{"code":"UserID","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065881', '0'),
('1940201418', '', 'info', 'KeyDeletedNotification', '删除钥匙通知', '', '1', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}}]', '系统', '1', '1692347066116', '0'),
('1993334348', '', 'alert', 'TimeoutWarning', '超时告警', '', '0', '', '系统', '1', '1692347065829', '0'),
('2030517330', '', 'info', 'GetState', '获取状态', '', '1', '', '系统', '1', '1692347065892', '0'),
('2048302034', '', 'info', 'DeployAlgorithmModelResult', '算法模型部署结果', '', '1', '[{"code":"TaskId","name":"任务ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Process","name":"部署进度","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"Code","name":"返回码","type_spec":{"type":"enum","specs":"{\"0\":\"成功\",\"1\":\"算法平台不支持\",\"2\":\"下载模型失败\",\"3\":\"MD5校验失败\",\"4\":\"解压失败\",\"5\":\"解密失败\"}"}},{"code":"Message","name":"返回信息","type_spec":{"type":"text","specs":"{\"length\":\"256\"}"}}]', '系统', '1', '1692347065970', '0'),
('205298887', '', 'info', 'abnormalCreditCard', '异常刷卡', '', '1', '[{"code":"cardId","name":"门禁卡ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"eventType","name":"事件类型","type_spec":{"type":"enum","specs":"{\"0\":\"无效卡\",\"1\":\"异常通信\"}"}}]', '系统', '1', '1692347065863', '0'),
('2139365487', '', 'info', 'CarPassOrder', '通行订单', '', '1', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InTime","name":"进场时间","type_spec":{"type":"date","specs":"{}"}},{"code":"OutTime","name":"出场时间","type_spec":{"type":"date","specs":"{}"}},{"code":"Amount","name":"订单金额","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999\",\"step\":\"0.01\",\"unitName\":\"无\"}"}},{"code":"OrderNumber","name":"订单编号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PayStatus","name":"支付状态","type_spec":{"type":"enum","specs":"{\"0\":\"支付完成\",\"4\":\"未支付\"}"}},{"code":"InBarrierPK","name":"进场道闸PK","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InBarrierDN","name":"进场道闸DN","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OutBarrierPK","name":"出场道闸PK","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OutBarrierDN","name":"出场道闸DN","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OutImageUrl","name":"出场照片文件URL","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"InImageUrl","name":"入场照片文件URL","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065857', '0'),
('2202126164', '', 'info', 'OTA_Event', '固件升级通知', '', '0', '[{"code":"OTA_Status","name":"固件升级状态","type_spec":{"type":"bool","specs":"{\"0\":\"未在升级\",\"1\":\"正在升级\"}"}}]', '系统', '1', '1692347066162', '0'),
('2215803733', '', 'info', 'LowElectricityAlarm', '低电量报警', '', '1', '', '系统', '1', '1692347065953', '0'),
('2250273641', '', 'info', 'doorOpenEvent', '可视对讲-开门事件', '', '0', '[{"code":"sourceType","name":"源类型","type_spec":{"type":"enum","specs":"{\"0\":\"云对讲\",\"1\":\"固话对讲\"}"}},{"code":"number","name":"源号码","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"extInfo","name":"附加信息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065804', '0'),
('2257679795', '', 'info', 'DoorOpenedNotification', '开门通知', '', '0', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ReportTime","name":"上报时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065852', '0'),
('2286870042', '', 'info', 'ota_status', '固件升级', '', '0', '[{"code":"OTA_Status","name":"固件升级状态","type_spec":{"type":"bool","specs":"{\"0\":\"未在进行固件升级\",\"1\":\"正在进行固件升级\"}"}}]', '系统', '1', '1692347066002', '0'),
('2339426223', '', 'alert', 'TDSAlarm', 'TDS报警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"高\"}"}},{"code":"TDS","name":"TDS","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"30000\",\"step\":\"1\"}"}}]', '系统', '1', '1692347065889', '0'),
('2357840716', '', 'alert', 'StarvingWarning', '缺料报警', '', '0', '[{"code":"Error","name":"缺料报警","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"缺料报警\"}"}}]', '系统', '1', '1692347065843', '0'),
('2374980569', '', 'info', 'CallElevatorEvent', '呼梯事件', '', '1', '[{"code":"identityId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"startFloor","name":"起始楼层","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"targetFloor","name":"目标楼层","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}},{"code":"targetFloorDoor","name":"目标楼层电梯门","type_spec":{"type":"enum","specs":"{\"0\":\"目标楼层电梯A门\",\"1\":\"目标楼层电梯B门\"}"}},{"code":"startFloorDoor","name":"起始楼层电梯门","type_spec":{"type":"enum","specs":"{\"0\":\"起始楼层电梯A门\",\"1\":\"起始楼层电梯B门\"}"}}]', '系统', '1', '1692347065831', '0'),
('2402140697', '', 'alert', 'EnvironmentalTemperatureAlarm', '环境温度报警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"高温报警\",\"2\":\"低温报警\"}"}},{"code":"Temperature","name":"当前温度","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\"}"}}]', '系统', '1', '1692347065890', '0'),
('2482402570', '', 'info', 'AbnormalAlarm', '异常告警', '', '1', '[{"code":"AlarmType","name":"告警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"强磁干扰\",\"2\":\"低电量\"}"}}]', '系统', '1', '1692347066094', '0'),
('2536417341', '', 'info', 'ContentSdkInitCompleteEvent', 'SDK初始化完成', '内容推荐', '0', '[{"code":"DeviceInfo","name":"设备基本信息","type_spec":{"type":"text","specs":"{\"length\":\"4096\"}"}}]', '系统', '1', '1692347066062', '0'),
('2566041865', '', 'alert', 'AlarmEvent', '侦测报警', '', '1', '[{"code":"AlarmType","name":"告警类型","type_spec":{"type":"enum","specs":"{\"1\":\"移动侦测\",\"10\":\"异响侦测\",\"11\":\"哭声侦测\",\"12\":\"笑声侦测\",\"13\":\"火警侦测\",\"14\":\"人群聚集\",\"15\":\"人流统计\",\"2\":\"声音侦测\",\"3\":\"人形侦测\",\"4\":\"宠物侦测\",\"5\":\"越界侦测\",\"6\":\"区域入侵侦测\",\"7\":\"跌倒侦测\",\"8\":\"人脸检测\",\"9\":\"笑脸检测\"}"}},{"code":"AlarmPicID","name":"报警抓图ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"Data","name":"告警内容","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '系统', '1', '1692347065785', '0'),
('2571115998', '', 'alert', 'alarmEvent', '通用-报警事件', '', '0', '[{"code":"alarmType","name":"报警类型","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065804', '0'),
('257167943', '', 'info', 'MachineStateChangedEvent', '机器状态变更事件', '', '1', '[{"code":"MachineState","name":"机器状态","type_spec":{"type":"enum","specs":"{\"0\":\"Standby\",\"1\":\"Locked\",\"2\":\"Active\",\"3\":\"Jogg\",\"4\":\"Pause\"}"}}]', '系统', '1', '1692347065985', '0'),
('2578040422', '', 'info', 'AlgorithmModelDeployResult', '算法模型部署结果', '', '1', '[{"code":"AlgoID","name":"算法模型ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Result","name":"增加结果","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"DeployType","name":"模型部署类型","type_spec":{"type":"enum","specs":"{\"0\":\"删除算法模型\",\"1\":\"增加算法模型\"}"}}]', '系统', '1', '1692347065896', '0'),
('258017166', '', 'info', 'OssStsTokenRequest', 'StsToken请求上报', '', '1', '[{"code":"RequestType","name":"请求上传文件类型","type_spec":{"type":"enum","specs":"{\"0\":\"图片文件上传\",\"1\":\"文本文件上传\",\"2\":\"其他类型文件上传\"}"}}]', '系统', '1', '1692347065787', '0'),
('261181743', '', 'info', 'Error_alarm', '设备故障', '', '0', '', '系统', '1', '1692347065914', '0'),
('2630322778', '', 'info', 'TimeoutAlarm', '超时未关门报警', '当检测到超时未关门时，上报该事件', '0', '', '系统', '1', '1692347066220', '0'),
('2647352045', '', 'info', 'EmergencyTriggerAlarm', '紧急触发报警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"解除报警\",\"1\":\"紧急报警\"}"}}]', '系统', '1', '1692347066029', '0'),
('2689785063', '', 'info', 'HijackingAlarm', '劫持报警', '', '1', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}}]', '系统', '1', '1692347066116', '0'),
('2767758251', '', 'info', 'ReportASRText', '上报ASR文本', '', '1', '[{"code":"text","name":"ASR文本内容","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"age","name":"声纹识别的年龄","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"gender","name":"声纹识别的性别","type_spec":{"type":"enum","specs":"{\"0\":\"女\",\"1\":\"男\",\"2\":\"未知\"}"}},{"code":"VoiceprintFeature","name":"声纹识别特征向量","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"double\"}}"}}]', '系统', '1', '1692347065791', '0'),
('2792455891', '', 'alert', 'FreezeCylindersTempExceptional', '冷冻缸温度异常', '', '0', '[{"code":"Error","name":"冷冻缸温度异常","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"冷冻缸温度异常\"}"}}]', '系统', '1', '1692347065844', '0'),
('2792749070', '', 'alert', 'HighEnvironmentTempWarning', '环境温度过高告警', '', '0', '[{"code":"Error","name":"环境温度过高告警","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"环境温度过高告警\"}"}}]', '系统', '1', '1692347065843', '0'),
('2843505984', '', 'info', 'TurnoverWarning', '翻倒告警', '', '0', '', '系统', '1', '1692347065949', '0'),
('2845909856', '', 'info', 'IntelligentEvent', '设备智能事件', '', '0', '[{"code":"EventType","name":"事件类型","type_spec":{"type":"enum","specs":"{\"1\":\"人流统计\"}"}},{"code":"EventPicID","name":"图片ID","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"Data","name":"事件内容","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '系统', '1', '1692347066084', '0'),
('2904713580', '', 'info', 'DeployedAlorithm', '单条算法部署结果', '', '1', '[{"code":"AlgoName","name":"算法名称","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"AlgoVweision","name":"算法版本","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"result","name":"部署结果","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '系统', '1', '1692347065893', '0'),
('2979554320', '', 'info', 'IllegalMoveWarning', '非法移动告警', '', '1', '', '系统', '1', '1692347066005', '0'),
('2989136850', '', 'info', 'AddVehicleInfoFromLocal', '本地系统新增车辆信息', '', '1', '[{"code":"UserName","name":"用户姓名","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"StartExpireTime","name":"起始有效时间","type_spec":{"type":"date","specs":"{}"}},{"code":"EndExpireTime","name":"截止有效时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065881', '0'),
('3000546209', '', 'info', 'LowBatteryAlarm', '低电量告警', '', '0', '', '系统', '1', '1692347065996', '0'),
('3014018141', '', 'alert', 'CurrentOverload', '电流过载', '', '0', '[{"code":"CurrentOverload","name":"电流过载","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"电流过载\"}"}}]', '系统', '1', '1692347065843', '0'),
('3052901254', '', 'info', 'deliverCommodityEvent', '订单出货事件', '订单出货事件', '0', '[{"code":"orderNo","name":"订单号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"deliverTime","name":"出货时间","type_spec":{"type":"date","specs":"{}"}},{"code":"result","name":"结果","type_spec":{"type":"enum","specs":"{\"0\":\"失败\",\"1\":\"成功\"}"}},{"code":"code","name":"错误说明","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}}]', '系统', '1', '1692347066112', '0'),
('3082704538', '', 'info', 'CarReverseSignal', '倒车信号', '', '0', '[{"code":"ReverseStatus","name":"倒车状态","type_spec":{"type":"bool","specs":"{\"0\":\"OFF\",\"1\":\"ON\"}"}},{"code":"ReverseTime","name":"倒车切换时间","type_spec":{"type":"date","specs":"{}"}},{"code":"gnssHead","name":"方向","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"359\",\"step\":\"0.01\",\"unitName\":\"无\"}"}}]', '系统', '1', '1692347065819', '0'),
('309549582', '', 'info', 'RequestChallenge', '请求挑战字', '', '1', '[{"code":"ID2","name":"ID2信息","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '系统', '1', '1692347065970', '0'),
('310528543', '', 'info', 'FrontDoorStatus', '前门状态反馈', '', '1', '[{"code":"DoorStatus","name":"门状态","type_spec":{"type":"enum","specs":"{\"1\":\"已开门\",\"2\":\"正在开门\",\"3\":\"已关门\",\"4\":\"正在关门\"}"}}]', '系统', '1', '1692347065998', '0'),
('3126846568', '', 'info', 'FinalItemNotification', '关门时拿取物品通知', '', '0', '[{"code":"Name","name":"名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Code","name":"编号","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"Count","name":"数量","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"Price","name":"价格","type_spec":{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"1\"}"}},{"code":"Property","name":"规格","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ImageURL","name":"图片链接","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"CreateTime","name":"创建时间","type_spec":{"type":"date","specs":"{}"}},{"code":"OrderID","name":"订单ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}}]', '系统', '1', '1692347066031', '0'),
('3128574779', '', 'info', 'OTA_Success_Event', '固件升级成功', '', '0', '[{"code":"OTA_Status","name":"固件升级状态","type_spec":{"type":"bool","specs":"{\"0\":\"未在进行固件升级\",\"1\":\"正在进行固件升级\"}"}}]', '系统', '1', '1692347066165', '0'),
('3179991617', '', 'info', 'SensorError', '传感器故障上报', '', '1', '[{"code":"ErrorCode","name":"故障代码","type_spec":{"type":"enum","specs":"{\"0\":\"无故障\"}"}},{"code":"SensorSerialNumber","name":"传感器串码","type_spec":{"type":"text","specs":"{\"length\":\"9\"}"}}]', '系统', '1', '1692347066057', '0'),
('3185489567', '', 'info', 'UpdateModelCompleteEvent', '模型更新完成', '内容推荐', '0', '[{"code":"UpdateTaskID","name":"下发任务ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"AlgorithmID","name":"算法ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ModelID","name":"模型ID","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"Status","name":"状态","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '系统', '1', '1692347066063', '0'),
('3247526290', '', 'alert', 'HighVoltageAlarm', '电压过高告警', '', '0', '[{"code":"Error","name":"电压过高告警","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"电压过高告警\"}"}}]', '系统', '1', '1692347065843', '0'),
('3313774332', '', 'alert', 'WaterTemperatureAlarm', '水温报警', '', '1', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"高温异常\",\"2\":\"低温异常\"}"}},{"code":"Temperature","name":"当前温度","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\"}"}}]', '系统', '1', '1692347065889', '0'),
('3328340152', '', 'info', 'StopAlgorithm', '单条算法停止结果', '', '0', '[{"code":"TaskID","name":"任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"result","name":"算法停止结果","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '系统', '1', '1692347065893', '0'),
('3403674667', '', 'info', 'Machine_Fault_Event', '机器故障告警', '', '0', '[{"code":"Error_Code","name":"错误信息","type_spec":{"type":"enum","specs":"{\"0\":\"恢复正常\",\"1\":\"发生异常\"}"}}]', '系统', '1', '1692347066162', '0'),
('3442610346', '', 'info', 'KeyAddedNotification', '添加钥匙通知', '', '1', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}},{"code":"UserLimit","name":"用户权限","type_spec":{"type":"enum","specs":"{\"1\":\"普通用户\",\"2\":\"管理员\",\"3\":\"劫持用户\"}"}}]', '系统', '1', '1692347066116', '0'),
('3490842997', '', 'alert', 'OnFacePicError', '同步人脸图片失败', '人脸2.0（不推荐）', '0', '[{"code":"SyncTime","name":"同步时间戳","type_spec":{"type":"date","specs":"{}"}},{"code":"Code","name":"错误码","type_spec":{"type":"int","specs":"{\"min\":\"16001\",\"max\":\"16200\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"FaceMd5","name":"图片MD5值","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"UserId","name":"用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"AlgorithmId","name":"算法ID","type_spec":{"type":"text","specs":"{\"length\":\"32\"}"}}]', '系统', '1', '1692347065805', '0'),
('349560321', '', 'info', 'UpdateParkSpaceStatus', '车位状态变化', '', '1', '[{"code":"StateParked","name":"驻车状态","type_spec":{"type":"enum","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}},{"code":"ParkedNumber","name":"驻车车牌","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065858', '0'),
('3521784337', '', 'info', 'CustomAlarm', '智能告警', '', '0', '[{"code":"EventList","name":"事件列表","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}}]', '系统', '1', '1692347065798', '0'),
('3601273853', '', 'info', 'MonitorActionEvent', '监播动作结果上报事件', '内容推荐', '0', '[{"code":"ActionType","name":"监播操作类型","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"FileKey","name":"上传文件ossKey","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}},{"code":"Extension","name":"扩展信息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347066063', '0'),
('3605987335', '', 'info', 'UnlockNotification', '开锁动作上报', '', '0', '[{"code":"UnlockState","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"0\":\"室内机开锁\",\"1\":\"刷卡开锁\",\"2\":\"密码开锁\",\"3\":\"蓝牙开锁\",\"4\":\"人脸开锁\",\"5\":\"指纹开锁\",\"6\":\"手机开锁\"}"}}]', '系统', '1', '1692347066033', '0'),
('3624153632', '', 'info', 'KeyInformationNotification', '钥匙信息上报', '', '1', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}},{"code":"UserLimit","name":"用户权限","type_spec":{"type":"enum","specs":"{\"1\":\"普通用户\",\"2\":\"管理员\",\"3\":\"劫持用户\"}"}}]', '系统', '1', '1692347066116', '0'),
('3634107550', '', 'alert', 'RotateSpeedSensorExceptional', '转速传感器异常', '', '0', '[{"code":"Error","name":"转速传感器异常","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"转速传感器异常\"}"}}]', '系统', '1', '1692347065843', '0'),
('3634907374', '', 'info', 'KeyValueNotification', '键值信息上报', '', '0', '[{"code":"KeyValue","name":"键值","type_spec":{"type":"int","specs":"{\"min\":\"1\",\"max\":\"6\",\"step\":\"1\",\"unitName\":\"无\"}"}}]', '系统', '1', '1692347065928', '0'),
('3660075023', '', 'alert', 'BeltSlip', '皮带打滑', '', '0', '[{"code":"Error","name":"皮带打滑","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"皮带打滑\"}"}}]', '系统', '1', '1692347065843', '0'),
('3671750357', '', 'info', 'checkPhoneNumber', '可视对讲-校验手机号', '', '0', '[{"code":"phoneNumber","name":"手机号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065804', '0'),
('3705146098', '', 'alert', 'IntelligentAlarm', '智能告警', '', '1', '[{"code":"EventList","name":"事件列表","type_spec":{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}}]', '系统', '1', '1692347065787', '0'),
('3705798727', '', 'info', 'SensorNetstateAlarm', '传感器离线告警', '', '0', '[{"code":"SensorState","name":"传感器状态","type_spec":{"type":"enum","specs":"{\"0\":\"在线\",\"1\":\"离线\"}"}},{"code":"SensorSerialNumber","name":"传感器串码","type_spec":{"type":"text","specs":"{\"length\":\"9\"}"}}]', '系统', '1', '1692347066057', '0'),
('3742287838', '', 'info', 'CarPassEvent', '通行事件', '', '1', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"TypePermission","name":"权限类型","type_spec":{"type":"enum","specs":"{\"0\":\"普通车辆\",\"1\":\"临时车辆\",\"2\":\"白名单\"}"}},{"code":"PlateNumberImageUrl","name":"车牌号照片Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OrderNumber","name":"订单编号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"OpenType","name":"抬杆类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常抬杆\",\"1\":\"异常抬杆\"}"}},{"code":"Direction","name":"方向","type_spec":{"type":"enum","specs":"{\"0\":\"进场\",\"1\":\"出场\"}"}},{"code":"RecordId","name":"本地停车系统记录ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065855', '0'),
('3763641175', '', 'info', 'DoorClosedNotification', '关门通知', '', '0', '[{"code":"DeviceID","name":"设备ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"ReportTime","name":"上报时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065852', '0'),
('3764209992', '', 'info', 'ParkingChangeNotification', '车位状态变化上报', '', '1', '[{"code":"ParkingEvent","name":"车位事件","type_spec":{"type":"bool","specs":"{\"0\":\"出车\",\"1\":\"入车\"}"}}]', '系统', '1', '1692347066012', '0'),
('3776200902', '', 'info', 'PlayLogEvent', '播放日志', '', '1', '[{"code":"AdPlanID","name":"广告计划标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"ChannelId","name":"渠道标识","type_spec":{"type":"text","specs":"{\"length\":\"128\"}"}},{"code":"AdFileUrl","name":"广告文件链接","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"AdFileType","name":"广告文件类型","type_spec":{"type":"enum","specs":"{\"0\":\"图片\",\"1\":\"视频\"}"}},{"code":"StartTime","name":"开始播放时间","type_spec":{"type":"date","specs":"{}"}},{"code":"EndTime","name":"结束播放时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065812', '0'),
('3804150115', '', 'alert', 'AbnormalOpenGate', '异常抬杆', '异常抬杆', '0', '[{"code":"OpenType","name":"抬杆方式","type_spec":{"type":"enum","specs":"{\"0\":\"遥控器控制抬杆\",\"1\":\"设备自身按键抬杆\",\"99\":\"其他方式\"}"}},{"code":"ImagePath","name":"抓拍图片地址","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065787', '0'),
('3809811826', '', 'info', 'UpdateWhiteList', '白名单变更', '', '1', '[{"code":"Type","name":"变更类型","type_spec":{"type":"enum","specs":"{\"0\":\"新增\",\"1\":\"删除\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065857', '0'),
('3884254233', '', 'alert', 'EnvironmentalHumidityAlarm', '环境湿度报警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"高湿报警\",\"2\":\"低湿报警\"}"}},{"code":"Humidity","name":"当前湿度","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\"}"}}]', '系统', '1', '1692347065890', '0'),
('3907654116', '', 'error', 'Faultreport', '故障上报', '', '0', '[{"code":"error","name":"故障","type_spec":{"type":"enum","specs":"{\"0\":\"无故障\",\"1\":\"水超温\",\"2\":\"传感器故障\",\"3\":\"加热器缺水\"}"}}]', '系统', '1', '1692347065868', '0'),
('391457889', '', 'alert', 'TemperatureSensorExceptional', '环境温度传感器异常', '', '0', '[{"code":"Error","name":"环境温度传感器异常","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"环境温度传感器异常\"}"}}]', '系统', '1', '1692347065844', '0'),
('3938619587', '', 'alert', 'RefrigeratingExceptional', '制冷不良', '', '0', '[{"code":"Error","name":"制冷不良","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"制冷不良\"}"}}]', '系统', '1', '1692347065843', '0'),
('3963909453', '', 'alert', 'EnterAirTempSensorExceptional', '进气温度传感器异常', '', '0', '[{"code":"Error","name":"进气温度传感器异常","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"进气温度传感器异常\"}"}}]', '系统', '1', '1692347065844', '0'),
('3985158012', '', 'info', 'UpdateBlackList', '黑名单变更', '', '1', '[{"code":"Type","name":"变更类型","type_spec":{"type":"enum","specs":"{\"0\":\"新增\",\"1\":\"删除\"}"}},{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347065857', '0'),
('4012413282', '', 'info', 'HeartbeatNotification', '心跳事件上报', '', '0', '[{"code":"ParkingState","name":"车位状态","type_spec":{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}},{"code":"VoltageValue","name":"电压值","type_spec":{"type":"float","specs":"{\"min\":\"2.5\",\"max\":\"4.5\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}}]', '系统', '1', '1692347065949', '0'),
('4029117601', '', 'info', 'Error', '故障上报', '', '1', '[{"code":"ErrorCode","name":"故障代码","type_spec":{"type":"enum","specs":"{\"0\":\"恢复正常\",\"1\":\"网络异常\",\"2\":\"存储介质异常\"}"}}]', '系统', '1', '1692347065787', '0'),
('4039883476', '', 'info', 'Status_alarm', '门禁状态告警', '', '1', '', '系统', '1', '1692347065951', '0'),
('4069638291', '', 'info', 'DoorUnlockedAlarm', '门未锁好报警', '', '1', '', '系统', '1', '1692347066116', '0'),
('4122979178', '', 'info', 'LeftWarning', '左炉告警', '', '0', '', '系统', '1', '1692347066165', '0'),
('4145483167', '', 'alert', 'PHAlarm', 'PH告警', '', '0', '[{"code":"AlarmType","name":"报警类型","type_spec":{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"高\",\"2\":\"低\"}"}},{"code":"PH","name":"PH","type_spec":{"type":"float","specs":"{\"min\":\"0\",\"max\":\"14\",\"step\":\"0.1\"}"}}]', '系统', '1', '1692347065890', '0'),
('4163701626', '', 'info', 'ElectricValueStateNotification', '电阀门状态报告', '', '0', '[{"code":"ElectricValveState","name":"电阀门状态","type_spec":{"type":"bool","specs":"{\"0\":\"分闸\",\"1\":\"合闸\"}"}}]', '系统', '1', '1692347066027', '0'),
('4238357100', '', 'info', 'EfenceEvent', '通用事件', '', '0', '[{"code":"HostId","name":"主机ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EfenceId","name":"围栏ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EfenceName","name":"围栏名称","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EventType","name":"事件类型","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EventCode","name":"事件编码","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"UserId","name":"事件相关的用户ID","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"UserName","name":"事件相关的用户名","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"EventTime","name":"事件时间","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065849', '0'),
('46739182', '', 'info', 'ContentSdkStatusEvent', 'SDK运行状态', '内容推荐', '0', '[{"code":"Status","name":"状态类型值","type_spec":{"type":"int","specs":"{\"min\":\"-1024\",\"max\":\"1024\",\"step\":\"1\",\"unitName\":\"无\"}"}},{"code":"Message","name":"消息内容","type_spec":{"type":"text","specs":"{\"length\":\"1024\"}"}}]', '系统', '1', '1692347066062', '0'),
('492753336', '', 'error', 'CommunicationFault', '通讯故障', '', '0', '[{"code":"Error","name":"通讯故障","type_spec":{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"通讯故障\"}"}}]', '系统', '1', '1692347065843', '0'),
('558850459', '', 'info', 'LockedVehicleRecognition', '锁定车辆识别', '', '1', '[{"code":"PlateNumber","name":"车牌号","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PlateNumberImageUrl","name":"车牌号照片Url","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"Direction","name":"方向","type_spec":{"type":"enum","specs":"{\"0\":\"进场\",\"1\":\"出场\"}"}}]', '系统', '1', '1692347065855', '0'),
('58382700', '', 'info', 'DoorSensorNotification', '门磁状态上报', '', '0', '[{"code":"DoorState","name":"门磁状态","type_spec":{"type":"enum","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}}]', '系统', '1', '1692347066033', '0'),
('624092258', '', 'info', 'PublishDataCheckCode', '上报设备数据校验码', '', '1', '[{"code":"Code","name":"状态码","type_spec":{"type":"enum","specs":"{\"0\":\"获取校验码成功\",\"1\":\"获取校验码失败\",\"2\":\"取消获取校验码\"}"}},{"code":"UserInfoCheckCode","name":"用户消息校验码","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"PicCheckCode","name":"人脸图片校验码","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"FeatureCheckCode","name":"特征值校验码","type_spec":{"type":"text","specs":"{\"length\":\"64\"}"}},{"code":"CheckTime","name":"校验截止时间戳","type_spec":{"type":"date","specs":"{}"}}]', '系统', '1', '1692347065814', '0'),
('652354800', '', 'info', 'P2PSignalUpstream', 'P2P信令上报', '', '0', '[{"code":"Data","name":"信令数据","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347066083', '0'),
('72879488', '', 'alert', 'Offline_alarm', '离线告警', '', '1', '', '系统', '1', '1692347065828', '0'),
('735772469', '', 'info', 'AlgorithmTaskResult', '算法任务执行结果', '', '1', '[{"code":"AlgoID","name":"算法模型ID","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"TaskID","name":"算法任务号","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"Result","name":"执行结果","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"TaskType","name":"任务类型","type_spec":{"type":"enum","specs":"{\"0\":\"停止算法\",\"1\":\"启动算法\"}"}}]', '系统', '1', '1692347065896', '0'),
('764055094', '', 'info', 'GetWeather', '获取天气信息', '', '0', '', '系统', '1', '1692347066132', '0'),
('768661561', '', 'info', 'PicUploadResult', '图片上传结果', '', '0', '[{"code":"Result","name":"上传结果","type_spec":{"type":"enum","specs":"{\"0\":\"成功\",\"1\":\"网络异常\",\"2\":\"鉴权错误\",\"3\":\"文件内容错误\"}"}},{"code":"ErrorMessage","name":"错误描述","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"PicInfo","name":"图片信息","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}}]', '系统', '1', '1692347066084', '0'),
('771438591', '', 'info', 'GasCheck_Event', '可燃气体告警', '', '0', '[{"code":"Gas_Result","name":"可燃气体检测结果","type_spec":{"type":"enum","specs":"{\"0\":\"未检测到可燃气体\",\"1\":\"检测到可燃气体\"}"}}]', '系统', '1', '1692347066162', '0'),
('808796615', '', 'info', 'ControlResult', '遥控处理结果', '', '1', '[{"code":"function","name":"功能名称","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}},{"code":"success","name":"处理结果","type_spec":{"type":"bool","specs":"{\"0\":\"error\",\"1\":\"success\"}"}},{"code":"errorMessage","name":"错误消息","type_spec":{"type":"text","specs":"{\"length\":\"255\"}"}}]', '系统', '1', '1692347065901', '0'),
('829839713', '', 'error', 'CrashEvent', '水平碰撞', '', '0', '[{"code":"crashAccP","name":"加速度峰值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}},{"code":"CrashAccE","name":"加速度原始值","type_spec":{"type":"float","specs":"{\"min\":\"-2000\",\"max\":\"2000\",\"step\":\"0.1\",\"unit\":\"m/s²\",\"unitName\":\"米每二次方秒\"}"}}]', '系统', '1', '1692347065819', '0'),
('890919722', '', 'error', 'TyrePressureEvent', '胎压事件', '', '0', '[{"code":"VehTyrePressFault","name":"胎压故障","type_spec":{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}}]', '系统', '1', '1692347065821', '0'),
('904837718', '', 'info', 'DoorOpenNotification', '开门通知', '', '1', '[{"code":"KeyID","name":"钥匙ID","type_spec":{"type":"text","specs":"{\"length\":\"10\"}"}},{"code":"LockType","name":"开锁方式","type_spec":{"type":"enum","specs":"{\"1\":\"指纹\",\"2\":\"密码\",\"3\":\"卡\",\"4\":\"机械钥匙\"}"}}]', '系统', '1', '1692347066116', '0'),
('929118685', '', 'alert', 'abnormalBleCard', '异常刷卡', '', '1', '[{"code":"cardId","name":"门禁卡ID","type_spec":{"type":"text","specs":"{\"length\":\"2048\"}"}},{"code":"eventType","name":"事件类型","type_spec":{"type":"enum","specs":"{\"0\":\"无效卡\"}"}}]', '系统', '1', '1692347065816', '0');
