-- -------------------------------------------------------------
-- TablePlus 3.11.0(352)
--
-- https://tableplus.com/
--
-- Database: core.db
-- Generation Time: 2023-08-18 16:34:47.1500
-- -------------------------------------------------------------


DROP TABLE IF EXISTS "properties";
CREATE TABLE `properties` (`id` text NOT NULL,`product_id` text,`name` text,`code` text,`access_mode` text,`require` numeric,`type_spec` text,`description` text,`tag` text,`system` numeric,`created` integer,`modified` integer,PRIMARY KEY (`id`),CONSTRAINT `fk_product_properties` FOREIGN KEY (`product_id`) REFERENCES `product`(`id`) ON DELETE CASCADE ON UPDATE CASCADE);

INSERT INTO "properties" ("id", "product_id", "name", "code", "access_mode", "require", "type_spec", "description", "tag", "system", "created", "modified") VALUES
('100046232', '', '面粉量', 'FlourValue', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"g\",\"unitName\":\"克\"}"}', '', '系统', '1', '1692347065864', '0'),
('100107350', '', '制冷开关', 'CoolingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065997', '0'),
('1001229197', '', '随机定时4', 'RandomTimer_4', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066197', '0'),
('1001893442', '', '断路器远程控制使能', 'CircuitBreakerRemoteControlEnable', 'R', '0', '{"type":"bool","specs":"{\"0\":\"能\",\"1\":\"不能\"}"}', '', '系统', '1', '1692347066054', '0'),
('1003871902', '', '图片地址', 'PicPath', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '图片地址', '系统', '1', '1692347065945', '0'),
('1015439630', '', '商品详情', 'ItemDetail', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Item\",\"name\":\"商品\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}},{\"code\":\"NetWeight\",\"name\":\"净重\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}},{\"code\":\"TareWeight\",\"name\":\"皮重\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}},{\"code\":\"UnitPrice\",\"name\":\"单价\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}},{\"code\":\"TotalPrice\",\"name\":\"总价\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}}]"}', '', '系统', '1', '1692347065996', '0'),
('1017074698', '', 'PH高值报警阈值', 'PH_High_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"14\",\"step\":\"0.1\"}"}', '', '系统', '1', '1692347065889', '0'),
('101913715', '', '运行状态', 'RunningState', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"空闲\",\"1\":\"清理\",\"2\":\"清空\",\"3\":\"重置\"}"}', '', '系统', '1', '1692347065828', '0'),
('1019876083', '', '屏幕亮度', 'LCDLuminance', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066075', '0'),
('1026091802', '', '卫浴运行', 'BathRunning', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065982', '0'),
('102705796', '', '剩余电流', 'RC', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000000\",\"step\":\"0.01\",\"unit\":\"mA\",\"unitName\":\"毫安\"}"}', '', '系统', '1', '1692347065878', '0'),
('1033664682', '', '当前秒', 'CurrentTime_s', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"360\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065868', '0'),
('1034267375', '', '场景触发_3', 'SceneTrigger_3', 'R', '0', '{"type":"bool","specs":"{\"0\":\"场景无触发\",\"1\":\"场景触发\"}"}', '', '系统', '1', '1692347065994', '0'),
('1034676720', '', '循环定时5', 'PeriodTimer_5', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066203', '0'),
('1037535146', '', '输出电流', 'OutputCurrent', 'R', '0', '{"type":"int","specs":"{\"min\":\"-32768\",\"max\":\"32767\",\"step\":\"10\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065809', '0'),
('1039912621', '', '氟化物浓度', 'Fluoride', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/d㎡·d\",\"unitName\":\"每天每平方分米微克\"}"}', '', '系统', '1', '1692347066230', '0'),
('1043291484', '', '空调循环模式', 'VehACCircDirection', 'R', '0', '{"type":"enum","specs":"{\"0\":\"Face\",\"1\":\"Face_Foot\",\"2\":\"Foot\",\"3\":\"Foot_Defrost\",\"4\":\"Defrost\",\"5\":\"Face_Foot_Defrost\",\"6\":\"Face_Defrost\",\"7\":\"NoMode\"}"}', '', '系统', '1', '1692347065821', '0'),
('1045092784', '', '窗5状态', 'WindowStatus05', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066237', '0'),
('1053699495', '', '漂洗次数', 'RinshTimes', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"10\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066050', '0'),
('1056208589', '', '单元格数量', 'CellCount', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065997', '0'),
('1065964789', '', '按摩开关', 'MassageSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066176', '0'),
('1066539182', '', '风速_16', 'WindSpeed_16', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('106970884', '', '灯具故障使能', 'LightErrorEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('1072606242', '', '燃气类型', 'GasType', 'R', '0', '{"type":"enum","specs":"{\"0\":\"天然气\",\"1\":\"人工煤气\",\"2\":\"液化石油气\"}"}', '', '系统', '1', '1692347066221', '0'),
('107265718', '', '目标温度_20', 'TargetTemperature_20', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('1074995253', '', '负离子开关', 'IonsSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('1080414156', '', '保温开关', 'HeatPreservationSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065986', '0'),
('1082874432', '', '按摩速度', 'MassageSpeed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"6\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066048', '0'),
('1088834900', '', '画面翻转状态', 'ImageFlipState', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"正常状态\",\"1\":\"翻转状态\"}"}', '', '系统', '1', '1692347065783', '0'),
('1089740005', '', '窗3状态', 'WindowStatus03', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066236', '0'),
('1092951444', '', '门锁状态', 'LockState', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065861', '0'),
('1098790611', '', '目标时间', 'TargetTime', 'RW', '0', '{"type":"date","specs":"{}"}', '定时切换状态', '系统', '1', '1692347065927', '0'),
('1102054843', '', 'A相视在功率', 'Sa', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('110245058', '', '内窗帘操作模式', 'InnerCurtainOperation', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关窗帘\",\"1\":\"开窗帘\",\"2\":\"暂停窗帘\"}"}', '', '系统', '1', '1692347066188', '0'),
('1106605957', '', '目标温度_6', 'TargetTemperature_6', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('1108557785', '', '总功率因数', 'COSQ', 'R', '1', '{"type":"float","specs":"{\"min\":\"-1.00\",\"max\":\"1.00\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065876', '0'),
('1110448112', '', '播放进度', 'PlayProgress', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066089', '0'),
('1112532405', '', '烘干剩余时间', 'DryingRemainingTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"120\",\"step\":\"1\",\"unit\":\"′\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066132', '0'),
('1114813849', '', 'C相电流', 'Ic', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065875', '0'),
('1117450064', '', '照明开关', 'LightSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065887', '0'),
('1123601484', '', '烤色', 'Color', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"浅\",\"1\":\"标准\",\"2\":\"深\"}"}', '', '系统', '1', '1692347066040', '0'),
('1131423372', '', '位置记忆', 'PositionSet', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065807', '0'),
('1137619673', '', '故障功率门限', 'ErrorPowerThreshold', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '故障功率门限', '系统', '1', '1692347066245', '0'),
('1137720486', '', '网络配置', 'NetConfiguration', 'R', '1', '{"type":"struct","specs":"[{\"code\":\"IP\",\"name\":\"IP地址\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"16\\\"}\"}},{\"code\":\"Netmask\",\"name\":\"子网掩码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"16\\\"}\"}},{\"code\":\"Gateway\",\"name\":\"默认网关\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"16\\\"}\"}},{\"code\":\"MAC\",\"name\":\"MAC地址\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"17\\\"}\"}}]"}', '', '系统', '1', '1692347065948', '0'),
('1139890415', '', '本地食谱', 'LocalRecipes', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"快速面\",\"10\":\"挤面\",\"2\":\"劲道面\",\"3\":\"宝宝面\",\"4\":\"饺子皮\",\"5\":\"和面团\",\"6\":\"荞麦面\",\"7\":\"果蔬面\",\"8\":\"鸡蛋面\",\"9\":\"搅拌\"}"}', '', '系统', '1', '1692347065865', '0'),
('1143005039', '', '水温高温报警阈值', 'WaterTemp_High_Threshold', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065887', '0'),
('1144295706', '', '驻车状态', 'StateParked', 'R', '1', '{"type":"enum","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '', '系统', '1', '1692347065858', '0'),
('1145035188', '', '当前温度_12', 'CurrentTemperature_12', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('1146543994', '', '图片传输类型', 'UploadPictureType', 'R', '0', '{"type":"enum","specs":"{\"0\":\"全部支持\",\"1\":\"OSS\",\"2\":\"HTTP2\"}"}', '', '系统', '1', '1692347066083', '0'),
('1153170887', '', '燃气爆炸危险度', 'LelPercentage', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066221', '0'),
('1155153090', '', '转叉开关', 'TurnSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066009', '0'),
('1155153943', '', '冷冻室温度', 'FreezerTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-18\",\"max\":\"0\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066185', '0'),
('1157598123', '', '上室暖盘开关', 'WarmplateUpperSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066001', '0'),
('1170794153', '', '汞', 'Mercury', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('1171818617', '', '食材ID', 'FoodID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"80\"}"}', '', '系统', '1', '1692347066016', '0'),
('11726635', '', '移车助力', 'MoveHelp', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"EnabledSwitch\",\"name\":\"使能开关\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"SteepSlowLevel\",\"name\":\"陡缓级别\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}}]"}', '', '系统', '1', '1692347066005', '0'),
('117465180', '', '土壤温度', 'soilTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065929', '0'),
('1179853768', '', '正向累计流量', 'ForwardIntegratedFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347065879', '0'),
('117986489', '', '蒸箱开关', 'SteamerPower', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065845', '0'),
('1181386110', '', '继电器断开温度', 'PressureOffTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"90\",\"max\":\"230\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066053', '0'),
('1182368674', '', '继电器常开触点', 'NO', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"闭合\"}"}', '', '系统', '1', '1692347065846', '0'),
('1189192066', '', '风速_8', 'WindSpeed_8', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('1193465146', '', '语音开关', 'VoiceSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066105', '0'),
('119569494', '', '电子狗开关', 'WatchDogSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}', '', '系统', '1', '1692347065819', '0'),
('1200653831', '', '饮用温度类型', 'DrinkTemperatureType', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"温饮\",\"1\":\"热饮\"}"}', '', '系统', '1', '1692347066072', '0'),
('1200690012', '', '湿度', 'mhumi', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065916', '0'),
('1201585254', '', '受损程度', 'ExtentOfDamage', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"完好\",\"1\":\"轻微受损\",\"2\":\"严重受损\"}"}', '', '系统', '1', '1692347065839', '0'),
('1202480876', '', '蓝牙音响开关', 'BluetoothSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065981', '0'),
('1204936007', '', '报警灵敏度', 'AlarmSensitivity', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"低灵敏度\",\"1\":\"高灵敏度\"}"}', '', '系统', '1', '1692347065941', '0'),
('1208305573', '', '周一定时', 'MondayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('1208575921', '', '多媒体资源', 'MediaSource', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"CD\",\"1\":\"USB\",\"10\":\"AM\",\"11\":\"DAB\",\"2\":\"SD_MMC\",\"3\":\"Tape\",\"4\":\"Phone\",\"5\":\"Aux1\",\"6\":\"Aux2\",\"7\":\"LineIn\",\"8\":\"Guitar\",\"9\":\"FM\"}"}', '', '系统', '1', '1692347065990', '0'),
('1223079643', '', '滤芯寿命状态_2', 'FilterStatus_2', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"需要替换\"}"}', '', '系统', '1', '1692347066153', '0'),
('1224645851', '', '3号车位状态', 'Parking_3', 'R', '1', '{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '135_o_3', '系统', '1', '1692347065976', '0'),
('1226301660', '', '全自动模式开关', 'FullAutoModeSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('1226702668', '', '呼叫门牌号', 'DoorNumber', 'RW', '1', '{"type":"text","specs":"{\"length\":\"64\"}"}', '', '系统', '1', '1692347065861', '0'),
('1235584623', '', '空气质量指数', 'AQI', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066074', '0'),
('1240148824', '', '人脸库MD5签名', 'FaceSetMD5Sign', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066045', '0'),
('1244961585', '', '原水硬度', 'RawHardness', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999\",\"step\":\"1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '', '系统', '1', '1692347065868', '0'),
('1245548083', '', 'PH', 'PH', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"14\",\"step\":\"0.1\"}"}', '', '系统', '1', '1692347065889', '0'),
('1255796786', '', '电源开关左', 'LeftPowerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066171', '0'),
('1262852395', '', '目标足浴时间', 'TargetFootbathTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"75\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066176', '0'),
('1263555302', '', '模块状态', 'HumitureModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066239', '0'),
('1271711259', '', '窗帘伸缩', 'cts', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065918', '0'),
('1273200153', '', '小槽工作状态', 'Small_Work_Status', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"空闲中\",\"1\":\"工作中\",\"2\":\"暂停\"}"}', '', '系统', '1', '1692347066110', '0'),
('1277034340', '', '单元格门开关', 'CellDoorSwitch', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"CellCode\",\"name\":\"编号\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"100\\\"}\"}},{\"code\":\"Status\",\"name\":\"状态\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065998', '0'),
('1277069986', '', '倒计时剩余时间', 'CountdownRemainingTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066211', '0'),
('1279140302', '', '冲洗状态', 'WashingState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"冲洗中\"}"}', '', '系统', '1', '1692347066158', '0'),
('1281617097', '', '电源电压', 'voltage', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065930', '0'),
('1286653880', '', '土壤湿度', 'soilHumidity', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065929', '0'),
('1287746313', '', '蒸箱当前温度', 'SteamerCurrentTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065846', '0'),
('1288985721', '', '信号强度', 'CellSignalStrength', 'R', '0', '{"type":"int","specs":"{\"min\":\"-128\",\"max\":\"127\",\"step\":\"1\",\"unit\":\"dBm\",\"unitName\":\"分贝毫瓦\"}"}', '', '系统', '1', '1692347065819', '0'),
('1289044392', '', '室内人体探测开关', 'IndoorHumanDetectionSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066075', '0'),
('1290202720', '', '系统音量', 'SystemVolume', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066032', '0'),
('129345219', '', '回路出线侧A相温度', 'T_OUTa', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100\",\"max\":\"100000\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065877', '0'),
('1297948071', '', '冷藏门状态', 'FridgeDoorStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066185', '0'),
('1298923534', '', '状态字', 'StatusWord', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065808', '0'),
('1301365032', '', '插播素材', 'Insert_material', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/materialSendSpot.action', '系统', '1', '1692347065950', '0'),
('1301750042', '', '左炉工作状态', 'LeftWorkState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"待机\",\"1\":\"工作中\"}"}', '', '系统', '1', '1692347066163', '0'),
('1304959635', '', '有功需量', 'Pdmd', 'R', '1', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('1308061810', '', '硫化物', 'sulfide', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '硫化物', '系统', '1', '1692347065778', '0'),
('1308272414', '', '强制脱冰', 'IceShedding', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065920', '0'),
('1308785826', '', '当前电压', 'CurrentVoltage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"36\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065884', '0'),
('1310760664', '', 'WIFI名称', 'WifiName', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065796', '0'),
('1314532281', '', '链条速度', 'E_Craft_Speed_China_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-100000\",\"max\":\"100000\",\"step\":\"0.1\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}', '', '系统', '1', '1692347065909', '0'),
('1318952236', '', '2号车位状态', 'Parking_2', 'R', '1', '{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '135_o_2', '系统', '1', '1692347065976', '0'),
('1327430160', '', '烟机电源开关', 'HoodPower', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065845', '0'),
('1332173605', '', '腔体当前温度', 'current_temperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066001', '0'),
('1338809703', '', '线路功率因数', 'LinePowerFactor', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066055', '0'),
('1339986181', '', 'PM1', 'PM1', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('1340734226', '', '鉴权信息', 'Permission', 'RW', '1', '{"type":"text","specs":"{\"length\":\"32\"}"}', '', '系统', '1', '1692347065978', '0'),
('1351693062', '', '当前温度_7', 'CurrentTemperature_7', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('1355423113', '', '状态切换', 'StatusSwitching', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"警告错误\",\"1\":\"茶台状态\",\"2\":\"茶几状态\"}"}', '', '系统', '1', '1692347065924', '0'),
('1355469712', '', '车位状态', 'ParkingState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '', '系统', '1', '1692347066011', '0'),
('135588157', '', '门锁语言', 'Language', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"中文\",\"1\":\"英文\"}"}', '', '系统', '1', '1692347066115', '0'),
('1360202063', '', '周三定时', 'WednesdayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('1361262626', '', 'PM10', 'PM10', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('1363846676', '', '当前水量', 'CurrentWaterVolume', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347065927', '0'),
('1369580040', '', '时间配置信息', 'TimeConfig', 'R', '1', '{"type":"struct","specs":"[{\"code\":\"ntpEnable\",\"name\":\"ntp使能\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"ntpServer\",\"name\":\"ntp服务地址\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"ntpPort\",\"name\":\"ntp端口\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"65536\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"ntpSynInterval\",\"name\":\"ntp同步间隔\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"256\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"systemTime\",\"name\":\"系统时间\",\"data_type\":{\"type\":\"date\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065965', '0'),
('1374063236', '', '电源开关_6', 'PowerSwitch_6', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('1376205881', '', '启用自动关门', 'AutoCloseEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065850', '0'),
('1378595630', '', '二氧化氮浓度', 'NO2', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('1384451937', '', '终止插播', 'Stop_insertion', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/endSpot.action', '系统', '1', '1692347065950', '0'),
('1386426792', '', '1号车位状态', 'Parking_1', 'R', '1', '{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '135_o_1', '系统', '1', '1692347065976', '0'),
('1388282273', '', '充电状态', 'ChargingState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"未充电\",\"1\":\"充电中\"}"}', '', '系统', '1', '1692347065942', '0'),
('1390939295', '', '线路用电功率阈值', 'LinePowerThreshold', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347066054', '0'),
('1395388875', '', '设备ID', 'DeviceID', 'R', '0', '{"type":"text","specs":"{\"length\":\"256\"}"}', '设备生产商的设备编号', '系统', '1', '1692347065797', '0'),
('1397406251', '', '开启排水', 'DrainOn', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066128', '0'),
('1398641447', '', '卡号ID', 'CardID', 'R', '0', '{"type":"text","specs":"{\"length\":\"20\"}"}', '', '系统', '1', '1692347066034', '0'),
('1401538546', '', '加湿缺水状态', 'WaterShortageStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"缺水\"}"}', '', '系统', '1', '1692347066154', '0'),
('1411809809', '', '剩余工作时间', 'RemainWorkTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065864', '0'),
('1412552779', '', '启用检测遇阻', 'DetectResistEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('1412969040', '', '气压监测', 'Airpressure', 'R', '0', '{"type":"float","specs":"{\"min\":\"300\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"Pa\",\"unitName\":\"帕\"}"}', '', '系统', '1', '1692347065891', '0'),
('1425140482', '', '耗水总量', 'TotalWaterConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"65535.9\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347066109', '0'),
('1430150702', '', '灯类型', 'LightType', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"C\",\"1\":\"CW\",\"2\":\"RGB\",\"3\":\"RGBC\",\"4\":\"RGBCW\"}"}', '', '系统', '1', '1692347066211', '0'),
('1445788183', '', '工况流量', 'WorkingConditionInstantaneousFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³/h\",\"unitName\":\"立方米每小时\"}"}', '', '系统', '1', '1692347065879', '0'),
('1458059240', '', '防烫保护锁', 'Safety_Temputer_Lock', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347066160', '0'),
('1462142549', '', '菜谱名称', 'MenuName', 'RW', '0', '{"type":"text","specs":"{\"length\":\"14\"}"}', '', '系统', '1', '1692347066016', '0'),
('1475847733', '', '油烟机的工作模式', 'KitchenVentilator_WorkMode', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"4\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066178', '0'),
('1477439701', '', '内置是否开启录音', 'IcRecordAudio', 'R', '0', '{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}', '', '系统', '1', '1692347065823', '0'),
('1478667299', '', '滤芯寿命状态_4', 'FilterStatus_4', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"需要更换\"}"}', '', '系统', '1', '1692347066153', '0'),
('1485600436', '', '循环定时9', 'PeriodTimer_9', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066206', '0'),
('1486257885', '', '3号车牌', 'Car_number_3', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '135_c_3', '系统', '1', '1692347065975', '0'),
('1488025254', '', '门锁状态', 'Lock_status', 'R', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065884', '0'),
('1492607181', '', 'B相视在功率', 'Sb', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('1499296020', '', '滑块分配阀压润滑次数', 'E_Craft_C3_Oiling_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065906', '0'),
('1499346162', '', '大槽清洗强度', 'Large_Clean_Strength', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"中\",\"1\":\"强\",\"2\":\"轻\"}"}', '', '系统', '1', '1692347066110', '0'),
('1501583325', '', 'A相视在功率', 'electric_psa', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065866', '0'),
('1509060922', '', '磁盘容量', 'DiskCapacity', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"GB\",\"unitName\":\"吉字节\"}"}', 'NVR磁盘容量', '系统', '1', '1692347065827', '0'),
('1509344986', '', '功放音量', 'PlayVolume', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066073', '0'),
('1514517805', '', '上报平台属性', 'Platform', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '设备连接LP后，上报平台属性(X86、Linux、Android等)，服务端根据此属性选择对应平台的算法进行部署。', '系统', '1', '1692347065893', '0'),
('1516612478', '', '充电状态', 'ChargeState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"未插充电器\",\"1\":\"充电中\",\"2\":\"已充满\"}"}', '', '系统', '1', '1692347066075', '0'),
('1517675213', '', '蓝光抑菌开关', 'BacteriostatSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065838', '0'),
('1522240274', '', '出水TDS', 'FinishedWaterTDS', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999\",\"step\":\"1\",\"unit\":\"ppm\",\"unitName\":\"百万分率\"}"}', '', '系统', '1', '1692347066156', '0'),
('1523709792', '', '自动按摩', 'MassageProgram', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"运动恢复\",\"2\":\"舒展活络\",\"3\":\"休憩促眠\",\"4\":\"工作减压\",\"5\":\"肩颈重点\",\"6\":\"腰椎舒缓\",\"7\":\"总裁养身\",\"8\":\"女王纤体\",\"9\":\"心灵SPA\"}"}', '', '系统', '1', '1692347066048', '0'),
('1528400163', '', '紫外强度', 'UV', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"15\",\"step\":\"0.01\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '紫外线强度', '系统', '1', '1692347065945', '0'),
('1528525541', '', '过压告警', 'OverVoltError', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '', '系统', '1', '1692347065936', '0'),
('1529536675', '', 'USB开关4', 'USBSwitch_4', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('1532852327', '', '信道', 'WIFI_Channel', 'RW', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"255\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066118', '0'),
('1539049399', '', '设备时区', 'DeviceTimeZone', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"UTC\",\"1\":\"UTCplus1\",\"10\":\"UTCplus10\",\"11\":\"UTCplus11\",\"12\":\"东西十二区\",\"13\":\"UTCminus11\",\"14\":\"UTCminus10\",\"15\":\"UTCminus9\",\"16\":\"UTCminus8\",\"17\":\"UTCminus7\",\"18\":\"UTCminus6\",\"19\":\"UTCminus5\",\"2\":\"UTCplus2\",\"20\":\"UTCminus4\",\"21\":\"UTCminus3\",\"22\":\"UTCminus2\",\"23\":\"UTCminus1\",\"3\":\"UTCplus3\",\"4\":\"UTCplus4\",\"5\":\"UTCplus5\",\"6\":\"UTCplus6\",\"7\":\"UTCplus7\",\"8\":\"UTCplus8\",\"9\":\"UTCplus9\"}"}', '', '系统', '1', '1692347065827', '0'),
('154053883', '', '保鲜温度', 'KeepFreshTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"-100\",\"max\":\"200\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065843', '0'),
('154234139', '', '电源开关_19', 'PowerSwitch_19', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('1543168878', '', '场景面板亮度', 'ScreenLevel', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065995', '0'),
('1545885757', '', '磁盘总容量', 'DiskTotalCapacity', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066043', '0'),
('1548397726', '', '设备时间稼动率', 'E_A', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '设备时间稼动率', '系统', '1', '1692347065907', '0'),
('1548959753', '', '暂停开关', 'PauseSwtich', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"开始\",\"1\":\"暂停\"}"}', '', '系统', '1', '1692347065847', '0'),
('1551391456', '', '多屏状态', 'MultiScreenApp_state', 'R', '1', '{"type":"bool","specs":"{\"0\":\"关机\",\"1\":\"开机\"}"}', 'state_/ids/checkAPIStatus.action', '系统', '1', '1692347065950', '0'),
('155451586', '', '烘干强度', 'DryOpt', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"无\",\"1\":\"弱\",\"2\":\"中\",\"3\":\"强\"}"}', '', '系统', '1', '1692347066051', '0'),
('155551069', '', '屏幕长度', 'ScreenLength', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"99999\",\"step\":\"1\",\"unit\":\"mm\",\"unitName\":\"毫米\"}"}', '', '系统', '1', '1692347065953', '0'),
('1555996865', '', '音效', 'SoundEffect', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"原声\",\"1\":\"古典\",\"2\":\"现代\",\"3\":\"摇滚\",\"4\":\"流行\",\"5\":\"舞曲\"}"}', '', '系统', '1', '1692347065859', '0'),
('1558075445', '', '故障发生值', 'errValue', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065937', '0'),
('1561860769', '', '目标温度_4', 'TargetTemperature_4', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('1562478152', '', '信号强度', 'SignalIntensity', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065953', '0'),
('1563507086', '', '颜色数组', 'ColorArr', 'RW', '0', '{"type":"array","specs":"{\"size\":\"6\",\"item\":{\"type\":\"struct\"}}"}', '', '系统', '1', '1692347066211', '0'),
('1569255867', '', '当前温度_2', 'CurrentTemperature_2', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('1569257278', '', '播放类型', 'PlayType', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"停止\",\"1\":\"播放\",\"2\":\"暂停\"}"}', '', '系统', '1', '1692347065991', '0'),
('1569875375', '', '正向有功总电能', 'ActiveEnergyImport', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065984', '0'),
('157135180', '', 'B相电压', 'Ub', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('1573173027', '', '推窗器操作模式', 'ActuatorOperationMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关窗\",\"1\":\"开窗\",\"2\":\"暂停\"}"}', '', '系统', '1', '1692347066175', '0'),
('1588561106', '', '绑定连接', 'Associate_url', 'RW', '1', '{"type":"text","specs":"{\"length\":\"512\"}"}', '', '系统', '1', '1692347065956', '0'),
('1592440722', '', '循环定时6', 'PeriodTimer_6', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066204', '0'),
('1593893518', '', '加热模式', 'HeatingMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"无加热器\",\"1\":\"整体加热\",\"2\":\"单独加热\"}"}', '', '系统', '1', '1692347065997', '0'),
('1601179186', '', 'B相有功功率', 'electric_frb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('1601648166', '', '上报考勤时间', 'AttendanceTimeNotification', 'R', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347066034', '0'),
('1603571699', '', '滤芯剩余寿命时间_4', 'FilterLifeTimeDays_4', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"day\",\"unitName\":\"日\"}"}', '', '系统', '1', '1692347066153', '0'),
('1614918908', '', '当前功率', 'CurrentPower', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"4000\",\"step\":\"0.01\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347065918', '0'),
('1621422186', '', '耗电总量', 'TotalPowerConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"65535.99\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347066109', '0'),
('1622030875', '', '右灶定时关闭时间', 'RightFociTimer', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"5999\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347066164', '0'),
('1624424439', '', '风速_6', 'WindSpeed_6', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('1628996949', '', '空开电表控制变量', 'AirConElectricMeterControl', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066240', '0'),
('1635687066', '', '高水位状态', 'HighWaterLevel', 'R', '0', '{"type":"bool","specs":"{\"0\":\"不到高水位\",\"1\":\"达到高水位\"}"}', '', '系统', '1', '1692347066225', '0'),
('1637350529', '', '运行时间累积', 'InverterRunTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '', '系统', '1', '1692347065809', '0'),
('1640376633', '', 'A相电压', 'nUa', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065866', '0'),
('1643352342', '', '信号强度', 'WiFI_RSSI', 'RW', '1', '{"type":"int","specs":"{\"min\":\"-127\",\"max\":\"-1\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066118', '0'),
('1643602682', '', '低功耗模式', 'LowPowerMode', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"LowPowerStatus\",\"name\":\"低功耗状态\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}},{\"code\":\"WakeUpData\",\"name\":\"唤醒数据\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}}]"}', '', '系统', '1', '1692347065796', '0'),
('1643925192', '', '自动门工作状态', 'AutoDoorWorkState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"就绪\",\"1\":\"学习\",\"2\":\"已关门\",\"3\":\"已落锁\",\"4\":\"已开门\",\"5\":\"开门中\",\"6\":\"关门中\",\"7\":\"错误\"}"}', '', '系统', '1', '1692347065851', '0'),
('164704655', '', '目标水温', 'TargetWaterTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"20\",\"max\":\"90\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066051', '0'),
('1648205683', '', '上室臭氧开关', 'OzoneUpperSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('1648549418', '', '睡眠状态', 'SleepStatus', 'R', '0', '{"type":"enum","specs":"{\"1\":\"清醒\",\"2\":\"浅睡\",\"3\":\"深睡\",\"4\":\"离床\"}"}', '', '系统', '1', '1692347065840', '0'),
('1652030418', '', '网络秘钥', 'NETWORK_KEY', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065932', '0'),
('1655495429', '', '心跳周期', 'HeartBeatInterval', 'RW', '0', '{"type":"int","specs":"{\"min\":\"10\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347066224', '0'),
('1656590472', '', '屏幕亮度', 'Brightness', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '屏幕亮度', '系统', '1', '1692347065784', '0'),
('1657184510', '', 'CPU使用率', 'cpu_usage', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066133', '0'),
('1658572386', '', '上室温度', 'TemperatureUpper', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"300\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066000', '0'),
('1658765317', '', '查询车位余量', 'query', 'R', '1', '{"type":"bool","specs":"{\"0\":\"未查询\",\"1\":\"查询\"}"}', '', '系统', '1', '1692347065949', '0'),
('1661330855', '', '温度模块状态', 'TemperatureModelStatus', 'R', '1', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066240', '0'),
('1661996750', '', '总有功谷电能', 'EP_4', 'R', '0', '{"type":"float","specs":"{\"min\":\"-999999999999999\",\"max\":\"999999999999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('1671252401', '', '右灶关火', 'RPowerOff', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065845', '0'),
('1672150235', '', '当前坡度', 'CurrentGradient', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"18\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066089', '0'),
('1672498962', '', '门锁SN', 'SN', 'R', '0', '{"type":"text","specs":"{\"length\":\"50\"}"}', '', '系统', '1', '1692347066115', '0'),
('1678466558', '', '热点BSSID', 'WIFI_AP_BSSID', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066118', '0'),
('1683189718', '', '断路器分合闸状态', 'CircuitBreakerReclosingState', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"分闸\",\"1\":\"合闸\"}"}', '', '系统', '1', '1692347066054', '0'),
('1685807693', '', '工作模式_8', 'WorkMode_8', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('1690188878', '', '风速_15', 'WindSpeed_15', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('1693727882', '', '屏幕音量大小', 'Volume', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '屏幕音量大小', '系统', '1', '1692347065784', '0'),
('1695176346', '', '总无功功率', 'Q', 'R', '1', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('1698765678', '', '左灶温度', 'LeftFociTemputer', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066164', '0'),
('1719290909', '', '打赏按钮开关', 'RewardButtonSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066071', '0'),
('1722015520', '', '状态上报', 'StatusReport', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"HoldingTemperature\",\"name\":\"保温温度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"℃\\\",\\\"unitName\\\":\\\"摄氏度\\\"}\"}},{\"code\":\"CurrentTemperature\",\"name\":\"当前温度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"℃\\\",\\\"unitName\\\":\\\"摄氏度\\\"}\"}},{\"code\":\"AddWaterCountdown\",\"name\":\"加水倒计时\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"65535\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"HeatingCountdown\",\"name\":\"加热倒计时\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"65535\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"EliminateCountdown\",\"name\":\"消毒倒计时\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"65535\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"WorkState\",\"name\":\"工作状态\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}},{\"code\":\"KettleState\",\"name\":\"水壶状态\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}},{\"code\":\"IsOpen\",\"name\":\"开关机状态\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065925', '0'),
('1722992651', '', '砷', 'Arsenic', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('172566203', '', '开关2', 'PowerSwitch_2', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065921', '0'),
('1726794823', '', '区域名称', 'AreaName', 'R', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065857', '0'),
('173893699', '', '倾斜告警使能', 'OverTiltEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('1740258895', '', '中央空调通道数量', 'ChannelCount', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066141', '0'),
('1741419971', '', '系统开关', 'SysPower', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065845', '0'),
('1749089902', '', '功率因数', 'PowerRatio', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0.1\",\"max\":\"1\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065936', '0'),
('1750113412', '', '土壤温度', 'SoilTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-40.0\",\"max\":\"55.0\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '土壤温度', '系统', '1', '1692347065945', '0'),
('1752959284', '', '调光等级', 'LightAdjustLevel', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065935', '0'),
('1754030735', '', 'C相无功功率', 'Qc', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065876', '0'),
('1757147454', '', '空调开关', 'VehACSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}', '', '系统', '1', '1692347065821', '0'),
('1759507509', '', '腔体当前臭氧浓度', 'O3', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066002', '0'),
('1761124953', '', '滤芯剩余寿命百分比_3', 'FilterLifeTimePercent_3', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066154', '0'),
('1762083374', '', '总累计量', 'IntegratedFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347065832', '0'),
('1764908587', '', '电量大小', 'PowerSize', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065795', '0'),
('1766218587', '', '缺盐报警', 'NoSaltFlag', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无\",\"1\":\"有\"}"}', '', '系统', '1', '1692347065868', '0'),
('1767116414', '', '客流数据', 'customerData', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065955', '0'),
('177295996', '', '窗4状态', 'WindowStatus04', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066236', '0'),
('1772976183', '', '车载蓝牙开关', 'BtSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065823', '0'),
('1773035141', '', '标签ID', 'LabelID', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065953', '0'),
('1773363228', '', '碰撞状态', 'CollideStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"是\",\"1\":\"否\"}"}', '', '系统', '1', '1692347065823', '0'),
('1774171775', '', '倾斜阈值', 'TiltThreshold', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"90\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347066246', '0'),
('177445794', '', '水浸检测状态', 'WaterSensorState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"有水浸入\"}"}', '', '系统', '1', '1692347066221', '0'),
('1779203871', '', '速度', 'Speed', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}', '', '系统', '1', '1692347065979', '0'),
('1780069090', '', '品牌', 'Brand', 'R', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065819', '0'),
('1781692975', '', '传感器型号', 'SensorType', 'R', '0', '{"type":"enum","specs":"{\"1\":\"被动红外\",\"10\":\"红外对射\",\"2\":\"烟感\",\"3\":\"门磁\",\"4\":\"可燃气感\",\"5\":\"水浸\",\"6\":\"幕帘探测器\",\"7\":\"紧急按钮\",\"8\":\"单体门磁\",\"9\":\"烟感B\"}"}', '', '系统', '1', '1692347066056', '0'),
('1783714347', '', '左右扫风', 'HorizontalAngle', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭左右扫风\",\"1\":\"打开左右扫风\"}"}', '', '系统', '1', '1692347066218', '0'),
('1783953487', '', '场景触发_4', 'SceneTrigger_4', 'R', '0', '{"type":"bool","specs":"{\"0\":\"场景无触发\",\"1\":\"场景触发\"}"}', '', '系统', '1', '1692347065995', '0'),
('1789058114', '', '传感器类别', 'SensorClass', 'R', '0', '{"type":"enum","specs":"{\"1\":\"探测器\",\"2\":\"遥控器\",\"3\":\"报警器\",\"4\":\"键盘\"}"}', '', '系统', '1', '1692347066056', '0'),
('1791660523', '', '目标水量', 'TargetWaterVolume', 'RW', '1', '{"type":"int","specs":"{\"min\":\"30\",\"max\":\"240\",\"step\":\"1\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347066090', '0'),
('1799986567', '', 'PM25模块状态', 'PM25ModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066238', '0'),
('1802547384', '', '工作模式_1', 'WorkMode_1', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066146', '0'),
('1808271531', '', '语音对讲类型列表', 'VoiceIntercomType', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066083', '0'),
('1810422279', '', '电池电量', 'BatteryLevel', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066020', '0'),
('1812109094', '', '拳击力量', 'boxing_strength', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"kg\",\"unitName\":\"千克（公斤）\"}"}', '', '系统', '1', '1692347065914', '0'),
('1815967432', '', '摄像机版本号', 'IpcVersion', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066083', '0'),
('181758349', '', '口感选择', 'MouthFeel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"软\",\"1\":\"标准\",\"2\":\"硬\"}"}', '', '系统', '1', '1692347066052', '0'),
('1818187101', '', '湿度', 'CurrentHumidity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065905', '0'),
('1818726197', '', '打扫方向', 'CleanDirection', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"前进\",\"2\":\"后退\",\"3\":\"左转\",\"4\":\"右转\"}"}', '', '系统', '1', '1692347066070', '0'),
('1821683897', '', '体温', 'BodyTemp', 'R', '0', '{"type":"float","specs":"{\"min\":\"35\",\"max\":\"43\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065840', '0'),
('1824040168', '', '人体温度', 'BodyTemperature', 'R', '1', '{"type":"float","specs":"{\"min\":\"2000\",\"max\":\"5000\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066071', '0'),
('1828662993', '', '档位', 'VehGearPos', 'R', '0', '{"type":"enum","specs":"{\"0\":\"BetweenRanges\",\"1\":\"ParkRange\",\"10\":\"ForwardRangeG\",\"11\":\"ForwardRangeH\",\"12\":\"Reserved1\",\"13\":\"Reserved2\",\"15\":\"LeverPositionUnknown\",\"2\":\"ReverseRange\",\"3\":\"NeutralRange\",\"4\":\"ForwardRangeA\",\"5\":\"ForwardRangeB\",\"6\":\"ForwardRangeC\",\"7\":\"ForwardRangeD\",\"8\":\"ForwardRangeE\",\"9\":\"ForwardRangeF\"}"}', '', '系统', '1', '1692347065821', '0'),
('1830607626', '', '气囊部位', 'GasbagPosition', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"全身气囊\",\"2\":\"臂肩气囊\",\"3\":\"背腰部气囊\",\"4\":\"坐垫部气囊\",\"5\":\"腿部气囊\"}"}', '', '系统', '1', '1692347066047', '0'),
('1834223904', '', '当前温度_16', 'CurrentTemperature_16', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('1834641806', '', '滤芯剩余寿命百分比_2', 'FilterLifeTimePercent_2', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066154', '0'),
('1834855798', '', '侦测距离', 'DetectDistance', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"1\",\"unit\":\"cm\",\"unitName\":\"厘米\"}"}', '', '系统', '1', '1692347065795', '0'),
('184250719', '', '工作模式_12', 'WorkMode_12', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('1843872655', '', '工作模式_20', 'WorkMode_20', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('1848790980', '', '拳击速度', 'boxing_speed', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"20.0\",\"step\":\"0.01\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065914', '0'),
('1849802695', '', '传感器串码', 'SensorSerialNumber', 'R', '0', '{"type":"text","specs":"{\"length\":\"9\"}"}', '', '系统', '1', '1692347066056', '0'),
('1850964361', '', '滤芯剩余寿命百分比_1', 'FilterLifeTimePercent_1', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066153', '0'),
('1856193487', '', '视频自定义数据', 'VideoCustomData', 'R', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347066083', '0'),
('1861911987', '', '内置铃声设置', 'BellType', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065796', '0'),
('1865194024', '', '探针温度', 'ProbeTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"30\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065993', '0'),
('1869710179', '', '剩余足浴时间', 'LeftFootbathTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"75\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066176', '0'),
('188535046', '', '班级ID', 'ClassID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"20\"}"}', '', '系统', '1', '1692347066035', '0'),
('18860108', '', '冲水', 'Flush', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066128', '0'),
('1886353584', '', '当前人脸库大小', 'FaceSetSize', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"200000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066045', '0'),
('1886398794', '', '抗菌开关', 'AntibacteriaSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066184', '0'),
('1887340139', '', 'A相正向有功电能', 'ActiveEnergyImportInPhaseL1', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065984', '0'),
('1888492344', '', '内存使用率', 'MemoryUsage', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065964', '0'),
('1892591056', '', '供电模式', 'PowerSupplyMode', 'R', '0', '{"type":"enum","specs":"{\"0\":\"电源\",\"1\":\"电池\"}"}', '', '系统', '1', '1692347066071', '0'),
('1895831740', '', '加热剩余时间', 'HeatTimeLeft', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066169', '0'),
('1896254012', '', 'ECO', 'ECO', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066141', '0'),
('1896468513', '', '回路出线侧C相温度', 'T_OUTc', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100\",\"max\":\"100000\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065877', '0'),
('1898456275', '', '预热模式', 'Preheat_Mode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭预热\",\"1\":\"单次预热\",\"2\":\"定时预热\",\"3\":\"全天预热\"}"}', '', '系统', '1', '1692347066160', '0'),
('1904597285', '', '大棚空气湿度', 'airHumidity', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065929', '0'),
('1905812794', '', '电源开关_14', 'PowerSwitch_14', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('1908959178', '', '湿度', 'Humidity', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%RH\",\"unitName\":\"相对湿度\"}"}', '湿度', '系统', '1', '1692347065778', '0'),
('1910215907', '', '屏显开关', 'ScreenSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066119', '0'),
('1912801716', '', '升降控制', 'LiftingControl', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"停止\",\"1\":\"上升\",\"2\":\"下降\"}"}', '', '系统', '1', '1692347065926', '0'),
('1913425819', '', '用电量', 'ElectricityConsumption', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"°\"}"}', '', '系统', '1', '1692347065889', '0'),
('1914293262', '', '硫氰酸根', 'thiocyanate_radical', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '硫氰酸根', '系统', '1', '1692347065778', '0'),
('1915169356', '', '告警信息', 'Alarm', 'R', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '', '系统', '1', '1692347066225', '0'),
('1915936571', '', '电源开关_4', 'PowerSwitch_4', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('1919602700', '', '右灶火力调节', 'RightFociFire', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066164', '0'),
('1921350171', '', '环境高温报警阈值', 'EnvTemp_High_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065887', '0'),
('1921835047', '', '上层强消毒开关', 'VigorousDisinfectionUpperSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066001', '0'),
('1923186565', '', 'LED开关', 'LEDSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066071', '0'),
('1923232666', '', '是否支持直存', 'DirectUploadSupport', 'R', '0', '{"type":"bool","specs":"{\"0\":\"不支持\",\"1\":\"支持\"}"}', '', '系统', '1', '1692347065795', '0'),
('1925309406', '', '滤芯剩余寿命时间_2', 'FilterLifeTimeDays_2', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"day\",\"unitName\":\"日\"}"}', '', '系统', '1', '1692347066153', '0'),
('1927510423', '', '手动运行体积', 'ManualRunVolume', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"9999.9\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347065988', '0'),
('193136259', '', '窗帘工作状态', 'CurtainWorkState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"反转\",\"2\":\"校准中\"}"}', '', '系统', '1', '1692347065922', '0'),
('1932360802', '', '运行时间', 'SRuntime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2100000000\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065808', '0'),
('1932491071', '', '人脸库图片存储能力', 'FaceSetPicStoreAbility', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"200000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066045', '0'),
('1933982296', '', 'HSL调色', 'HSLColor', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Hue\",\"name\":\"色调\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"360\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"°\\\",\\\"unitName\\\":\\\"度\\\"}\"}},{\"code\":\"Saturation\",\"name\":\"饱和度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}},{\"code\":\"Lightness\",\"name\":\"亮度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}}]"}', '', '系统', '1', '1692347065904', '0'),
('193490802', '', '烹饪模式', 'CookingMode', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"爆炒\",\"2\":\"红烧\",\"3\":\"焖炖\",\"4\":\"煲汤\",\"5\":\"蛋类\"}"}', '', '系统', '1', '1692347066016', '0'),
('1937595441', '', '消毒柜故障号', 'Disinfection_Error_Code', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"传感器故障\",\"2\":\"消毒故障\",\"3\":\"加热故障\",\"4\":\"通讯故障\"}"}', '', '系统', '1', '1692347066001', '0'),
('1940935495', '', '目标温度_9', 'TargetTemperature_9', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('1946001729', '', '油烟机的烟道阻力大检测结果', 'ExhaustPressure', 'R', '0', '{"type":"bool","specs":"{\"0\":\"未感应到\",\"1\":\"感应到\"}"}', '', '系统', '1', '1692347066178', '0'),
('1946979075', '', '目标容量', 'TargetCapacity', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"150ml\",\"2\":\"250ml\"}"}', '', '系统', '1', '1692347066044', '0'),
('1947594751', '', '吊扇正反转', 'RotationDirection', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"正转\",\"1\":\"反转\"}"}', '', '系统', '1', '1692347065981', '0'),
('1954323111', '', '素材下发', 'Download_material', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/materialDownload.action', '系统', '1', '1692347065950', '0'),
('1963945652', '', '网关串码', 'RouterSerialNumber', 'R', '0', '{"type":"text","specs":"{\"length\":\"9\"}"}', '', '系统', '1', '1692347066057', '0'),
('1964278933', '', '高度', 'Height', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unit\":\"cm\",\"unitName\":\"厘米\"}"}', '', '系统', '1', '1692347065807', '0'),
('1966010884', '', '绑定请求', 'Associate_request', 'RW', '1', '{"type":"text","specs":"{\"length\":\"512\"}"}', '', '系统', '1', '1692347065956', '0'),
('1967740577', '', '心率', 'HeartRate', 'R', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065840', '0'),
('1970031417', '', '目标奶粉量', 'TargetMilkPowderVolume', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0.1\",\"max\":\"50\",\"step\":\"0.01\",\"unit\":\"g\",\"unitName\":\"克\"}"}', '', '系统', '1', '1692347066090', '0'),
('1971132262', '', '前置摄像头录制状态', 'FcRecordOn', 'R', '0', '{"type":"enum","specs":"{\"0\":\"invalid\",\"1\":\"preview\",\"2\":\"record\",\"3\":\"off\"}"}', '', '系统', '1', '1692347065818', '0'),
('1972128129', '', '音量大小', 'VolumeSize', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065795', '0'),
('1972563967', '', '土壤湿度', 'SoilMoisture', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '土壤湿度', '系统', '1', '1692347065945', '0'),
('1985408448', '', '摇头开关', 'OscillatingSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066217', '0'),
('1990807386', '', '欠压告警', 'UnderVoltError', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '', '系统', '1', '1692347065937', '0'),
('1991879931', '', '随机定时1', 'RandomTimer_1', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066195', '0'),
('1997377769', '', '欠压阈值', 'UnderVoltThreshold', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"400\",\"step\":\"1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066246', '0'),
('1998795713', '', '总洗涤次数', 'TotalWashCount', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066109', '0'),
('1998927000', '', '搅拌速度', 'StirringSpeed', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"8\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066106', '0'),
('2006782267', '', '电池电量百分比', 'BatteryPercentage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065847', '0'),
('2008434599', '', '接收信号强度', 'RSSI', 'R', '0', '{"type":"float","specs":"{\"min\":\"-127\",\"max\":\"127\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065994', '0'),
('2008971998', '', '周五定时', 'FridayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('2013201141', '', 'PM2D5', 'PM2D5', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', 'PM2.5浓度', '系统', '1', '1692347065944', '0'),
('2020917561', '', '温度单位', 'TemperatureUnit', 'R', '1', '{"type":"bool","specs":"{\"0\":\"华氏度\",\"1\":\"摄氏度\"}"}', '', '系统', '1', '1692347065870', '0'),
('2027252532', '', '湿垃圾桶盖', 'HouseholdFoodWasteCover', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065826', '0'),
('2027921745', '', '流速', 'Velocity', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}', '', '系统', '1', '1692347065880', '0'),
('2028113728', '', '上管加热时间', 'TopTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066009', '0'),
('2028477301', '', '设备运行时长', 'RunningTimeOfEquipment', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"525600\",\"step\":\"1\",\"unit\":\"min\"}"}', '', '系统', '1', '1692347065889', '0'),
('2028851948', '', '产品序列号', 'Pnumber', 'R', '0', '{"type":"text","specs":"{\"length\":\"32\"}"}', '', '系统', '1', '1692347065808', '0'),
('2032143887', '', '随机定时', 'RandomTimer', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066195', '0'),
('2035118031', '', '功耗模式', 'PowerMode', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"标准模式\",\"1\":\"低功耗模式\"}"}', '', '系统', '1', '1692347065797', '0'),
('203903533', '', '设备固件版本', 'FirmwareVersion', 'RW', '0', '{"type":"text","specs":"{\"length\":\"64\"}"}', '用于人脸特征下发，基于人脸门禁1.0物模型', '系统', '1', '1692347065803', '0'),
('2039182346', '', '冬夏模式', 'WinSumMode', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"夏季模式\",\"1\":\"冬季模式\"}"}', '', '系统', '1', '1692347065982', '0'),
('2043767071', '', '电机实际电流', 'ActI', 'R', '0', '{"type":"int","specs":"{\"min\":\"-30000\",\"max\":\"30000\",\"step\":\"1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065808', '0'),
('2044371101', '', '反向有功总电能', 'ActiveEnergyExport', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065984', '0'),
('2044781983', '', '存储介质录像模式', 'StorageRecordMode', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"不录像\",\"1\":\"事件录像\",\"2\":\"连续录像\"}"}', '', '系统', '1', '1692347065941', '0'),
('204722885', '', '电源开关_17', 'PowerSwitch_17', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('2053013166', '', '风速_7', 'WindSpeed_7', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('2054956191', '', '风速_17', 'WindSpeed_17', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('2059239875', '', '定时启动', 'Start_Timer', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"86399\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347066001', '0'),
('2060611551', '', '出箱数量', 'ExitHiveNumber', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"1\",\"unit\":\"pcs\",\"unitName\":\"只\"}"}', '', '系统', '1', '1692347065954', '0'),
('2065453531', '', '主回路开关合闸状态', 'C_SWITCH', 'R', '0', '{"type":"bool","specs":"{\"0\":\"断开\",\"1\":\"闭合\"}"}', '', '系统', '1', '1692347065878', '0'),
('2070545282', '', '降雨量', 'Rainfall', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unit\":\"mm\",\"unitName\":\"毫米\"}"}', '降雨量', '系统', '1', '1692347065945', '0'),
('2071791781', '', '镉', 'Cadmium', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('2073791166', '', '风速_12', 'WindSpeed_12', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('2077633064', '', 'TDS值', 'TDS', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"3000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065888', '0'),
('2078436010', '', '节能模式', 'PowerSavingMode', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066172', '0'),
('208140276', '', '车位余量信息', 'remain', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065949', '0'),
('2092080085', '', '跑步距离', 'RunningDistance', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"1\",\"unit\":\"m\",\"unitName\":\"米\"}"}', '', '系统', '1', '1692347066089', '0'),
('2094438871', '', '冲压行程', 'E_Craft_Stroke_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1000000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"cm\",\"unitName\":\"厘米\"}"}', '', '系统', '1', '1692347065906', '0'),
('2095782813', '', 'PH值', 'pH', 'RW', '1', '{"type":"float","specs":"{\"min\":\"1\",\"max\":\"14\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '氢离子浓度指数(hydrogen ion concentration)是衡量水体酸碱度的一个值，亦称氢离子浓度指数、酸碱值，是溶液中氢离子活度的一种标度，也就是通常意义上溶液酸碱程度的衡量标准', '系统', '1', '1692347065778', '0'),
('2099914274', '', '循环定时3', 'PeriodTimer_3', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066202', '0'),
('2101207605', '', '苯并芘', 'BaP', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('2102671153', '', '编程开关', 'AutoSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065988', '0'),
('2109690459', '', '音频信号源', 'AudioSource', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"本地\",\"1\":\"蓝牙\",\"2\":\"外音\"}"}', '', '系统', '1', '1692347065859', '0'),
('2111495773', '', '气体浓度', 'GasConcentration', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065920', '0'),
('211183914', '', '烘干室温度', 'E_Craft_TT_Drying_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-10000\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065909', '0'),
('2112785158', '', '二氧化硫浓度', 'SO2', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065979', '0'),
('2114712236', '', 'C相正向有功电能', 'ActiveEnergyImportInPhaseL3', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065984', '0'),
('2122103959', '', '下加热管温度', 'DownTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066009', '0'),
('2122640153', '', '总悬浮颗粒物', 'TSP', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('2123960769', '', 'B相电压总谐波', 'UbTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065877', '0'),
('2124373106', '', '报警提醒计划', 'AlarmNotifyPlan', 'RW', '0', '{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}', '报警时间段列表，其中的BeginTine和EndTime分别代表时间段开始和结束的秒数，0表示00:00:00，86399表示23:59:59', '系统', '1', '1692347066081', '0'),
('2125273571', '', '最大录像时长', 'MaxRecordTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065795', '0'),
('2126748746', '', '局部按摩', 'LocalMassage', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"头部按摩\",\"2\":\"颈肩按摩\",\"3\":\"颈按摩\",\"4\":\"肩按摩\",\"5\":\"背部按摩\",\"6\":\"腰部按摩\",\"7\":\"臀部按摩\",\"8\":\"膝盖按摩\",\"9\":\"腿部集中按摩\"}"}', '', '系统', '1', '1692347066047', '0'),
('2127447307', '', '锁定开关', 'LockSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"解锁\",\"1\":\"锁定\"}"}', '', '系统', '1', '1692347065859', '0'),
('2131060619', '', '音量控制', 'VolumeControl', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"降低音量\",\"1\":\"提高音量\"}"}', '', '系统', '1', '1692347065859', '0'),
('2142087754', '', '继电器线圈', 'Coil', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"断电\",\"1\":\"通电\"}"}', '', '系统', '1', '1692347065846', '0'),
('2143451062', '', '环境低温报警阈值', 'EnvTemp_Low_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065887', '0'),
('2143487842', '', 'C相电压', 'nUc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065867', '0'),
('21496797', '', '电源开关', 'PowerSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065816', '0'),
('2150172179', '', 'C相无功功率', 'electric_pqc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000\",\"step\":\"0.01\",\"unit\":\"kvar\",\"unitName\":\"千乏\"}"}', '', '系统', '1', '1692347065866', '0'),
('2155066372', '', '当前温度', 'CurrentTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"50\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065841', '0'),
('2157004469', '', '减速', 'decrease_speed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065915', '0'),
('2157024272', '', '心电信号', 'ECGSignal', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999\",\"step\":\"0.01\",\"unit\":\"mV\",\"unitName\":\"毫伏\"}"}', '', '系统', '1', '1692347066071', '0'),
('216127694', '', '开门方向调整', 'DoorOpenDirectionAdjustment', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('216525024', '', '大气压', 'Atmosphere', 'RW', '0', '{"type":"float","specs":"{\"min\":\"55\",\"max\":\"106\",\"step\":\"0.1\",\"unit\":\"kPa\",\"unitName\":\"千帕\"}"}', '大气压强', '系统', '1', '1692347065945', '0'),
('2166133198', '', '工作模式_17', 'WorkMode_17', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('2166176937', '', '有功电能', 'nActiveEnergy', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065866', '0'),
('2168906066', '', '故障门限值', 'setValue', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65536\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065937', '0'),
('2169908308', '', '出风口水平调节', 'HorizontalAdjustment', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"停止\",\"1\":\"摇摆\"}"}', '', '系统', '1', '1692347066181', '0'),
('2169995912', '', '调料ID', 'SeasoningID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"80\"}"}', '', '系统', '1', '1692347066016', '0'),
('2171724118', '', '水槽洗碗机错误码', 'SinkDishWasher_Error_Code', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"异常\"}"}', '', '系统', '1', '1692347066110', '0'),
('2174518861', '', '当前速度', 'CurrentSpeed', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0.8\",\"max\":\"14\",\"step\":\"0.01\",\"unit\":\"km/h\",\"unitName\":\"千米每小时\"}"}', '', '系统', '1', '1692347066089', '0'),
('2174822595', '', '热水量状态', 'HotWaterVolumeStatus', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065987', '0'),
('2186282133', '', '风扇运行时间', 'FanRunTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '', '系统', '1', '1692347065809', '0'),
('2188757074', '', '声音分贝值', 'SoundDecibelValue', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"0.1\",\"unit\":\"dB\",\"unitName\":\"分贝\"}"}', '', '系统', '1', '1692347066235', '0'),
('2193882310', '', '加热档位右', 'RightHeatLevel', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"档位1\",\"2\":\"档位2\",\"3\":\"档位3\",\"4\":\"档位4\",\"5\":\"档位5\",\"6\":\"档位6\",\"7\":\"档位7\",\"8\":\"档位8\",\"9\":\"档位9\"}"}', '', '系统', '1', '1692347066171', '0'),
('2200151952', '', '猪的ID', 'PigID', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '猪的ID', '系统', '1', '1692347065975', '0'),
('2202119243', '', '目标湿度', 'TargetHumidity', 'RW', '0', '{"type":"int","specs":"{\"min\":\"-35\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065927', '0'),
('2204045769', '', '烟机风量档位', 'HoodSpeed', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"低档\",\"2\":\"中档\",\"3\":\"高档\"}"}', '', '系统', '1', '1692347065845', '0'),
('2207114587', '', '电门锁', 'ELock', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066004', '0'),
('221104771', '', '帧序号', 'seq', 'RW', '0', '{"type":"int","specs":"{\"min\":\"-2147483648\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065935', '0'),
('2211677291', '', '固件版本号', 'Version', 'R', '0', '{"type":"text","specs":"{\"length\":\"10\"}"}', '', '系统', '1', '1692347065926', '0'),
('2211713701', '', '断路器类型', 'CircuitBreakerType', 'R', '1', '{"type":"enum","specs":"{\"0\":\"220伏断路器\",\"1\":\"380伏断路器\"}"}', '', '系统', '1', '1692347066054', '0'),
('2214891364', '', '阀门开关', 'Switch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065800', '0'),
('2217520255', '', 'LCA未配网子设备列表', 'UnbindDeviceList', 'RW', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065983', '0'),
('2219280062', '', '变频器运行状态3', 'InvertStatus_3', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"10\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065809', '0'),
('2223031083', '', '当前温度_20', 'CurrentTemperature_20', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2223476073', '', '设备号', 'NumberSerial', 'R', '0', '{"type":"text","specs":"{\"length\":\"12\"}"}', '', '系统', '1', '1692347065926', '0'),
('2226873071', '', '手动状态', 'ManualStatus', 'R', '0', '{"type":"enum","specs":"{\"11\":\"手动\"}"}', '绿立方', '系统', '1', '1692347065952', '0'),
('2237463348', '', '烘烤温度', 'ToastTemperature', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"460\",\"step\":\"1\",\"unit\":\"℉\",\"unitName\":\"华氏度\"}"}', '', '系统', '1', '1692347065870', '0'),
('2245817093', '', '反向累计流量', 'BackwardIntegratedFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347065879', '0'),
('2249638130', '', '内置铃声', 'Ringtone', 'RW', '0', '{"type":"array","specs":"{\"size\":\"10\",\"item\":{\"type\":\"struct\"}}"}', '', '系统', '1', '1692347065794', '0'),
('2249850970', '', '滤芯寿命状态_1', 'FilterStatus_1', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"需要更换\"}"}', '', '系统', '1', '1692347066153', '0'),
('2249958194', '', '右炉工作时间', 'RightWorkTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066164', '0'),
('2251748910', '', '考勤状态', 'AttendanceState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"进校\",\"1\":\"离校\"}"}', '', '系统', '1', '1692347066034', '0'),
('2253942150', '', '消毒柜工作模式', 'Disinfection_Mode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"空闲\",\"1\":\"消毒\",\"2\":\"烘干\",\"3\":\"暖碟\",\"4\":\"延时解锁\",\"5\":\"快洁\",\"6\":\"智能消毒\"}"}', '', '系统', '1', '1692347066001', '0'),
('2254583625', '', '左灶定时关闭时间', 'LeftFociTimer', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"5999\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347066164', '0'),
('2258671841', '', '目标温度_2', 'TargetTemperature_2', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2264441664', '', '风速', 'WindSpeed', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"低速\",\"2\":\"中速\",\"3\":\"高速\"}"}', '', '系统', '1', '1692347065860', '0'),
('2265699289', '', '测量单位', 'MeasurementUnit', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"千克\",\"1\":\"磅\",\"2\":\"英石\",\"3\":\"斤\",\"4\":\"公斤\"}"}', '', '系统', '1', '1692347066066', '0'),
('2266379619', '', '工作状态', 'LightStatus', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065935', '0'),
('2267602260', '', '声音模块状态', 'SoundModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066238', '0'),
('227034880', '', '本机配置', 'LocalConfiguration', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"IEMI\",\"name\":\"机身码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"30\\\"}\"}},{\"code\":\"SolfwareVersion\",\"name\":\"软件版本\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"10\\\"}\"}},{\"code\":\"SystemVersion\",\"name\":\"系统版本\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"10\\\"}\"}}]"}', '', '系统', '1', '1692347066033', '0'),
('2270705707', '', '盖子状态', 'CoverState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"盒盖\",\"1\":\"开盖\"}"}', '', '系统', '1', '1692347065864', '0'),
('2271567453', '', '人脸特征数据', 'Feature', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065956', '0'),
('2275163043', '', '采集间隔', 'Interval', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1920\",\"step\":\"300\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065811', '0'),
('2275399513', '', '场景名称_1', 'SceneName_1', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347065995', '0'),
('2288093409', '', '车道偏离', 'Ldw', 'R', '0', '{"type":"enum","specs":"{\"0\":\"Off\",\"1\":\"Low\",\"2\":\"Mid\",\"3\":\"High\"}"}', '', '系统', '1', '1692347065823', '0'),
('2288215344', '', '烟机工作状态', 'HoodWorState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"待机中\",\"1\":\"工作中\"}"}', '', '系统', '1', '1692347066243', '0'),
('2291011633', '', '光照度', 'Light', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '单位，为lux，请补充并修改', '系统', '1', '1692347065978', '0'),
('2292168637', '', '灯模式', 'LightMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"mono\",\"1\":\"color\"}"}', '', '系统', '1', '1692347066211', '0'),
('2293185737', '', '信号强度', 'lqi', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065912', '0'),
('2294346280', '', '空开电表用电量', 'AirConPowerConsumption', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"0.1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦时\"}"}', '', '系统', '1', '1692347066240', '0'),
('2307003066', '', 'CPU使用率', 'CpuUsage', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065964', '0'),
('2307639091', '', '循环定时4', 'PeriodTimer_4', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066202', '0'),
('2310447889', '', '设备理想生产周期', 'E_Craft_Ideal_Cycle_Time', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '设备理想生产周期', '系统', '1', '1692347065906', '0'),
('2311442229', '', '面积', 'Area', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"0.01\",\"unit\":\"㎡\",\"unitName\":\"平方米\"}"}', '', '系统', '1', '1692347065848', '0'),
('2313859679', '', '运行时间_4', 'Runtime_4', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"h\",\"unitName\":\"小时\"}"}', '', '系统', '1', '1692347066154', '0'),
('2318922949', '', '频率', 'electric_fr', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"Hz\",\"unitName\":\"赫兹\"}"}', '', '系统', '1', '1692347065865', '0'),
('2321614990', '', '用户照片', 'User_picture', 'R', '1', '{"type":"text","specs":"{\"length\":\"512\"}"}', '', '系统', '1', '1692347065956', '0'),
('2327667827', '', '电源开关_5', 'PowerSwitch_5', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('232817712', '', '目标温度_18', 'TargetTemperature_18', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('2333189481', '', '当前体温', 'AnimalTemperature', 'R', '1', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065975', '0'),
('2334651549', '', '断路器地址', 'CircuitBreakerAddress', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"30\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066054', '0'),
('2334871308', '', '窗2状态', 'WindowStatus02', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066236', '0'),
('2335671374', '', '下室高温开关', 'TempLowerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('2337038966', '', '成型比', 'FormingRate', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065842', '0'),
('2338514910', '', '储仓温度', 'Temperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"50\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065825', '0'),
('2338545835', '', '上床时间', 'BedTime', 'R', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065840', '0'),
('2346932710', '', '网关信号强度', 'RouterRSSI', 'R', '0', '{"type":"float","specs":"{\"min\":\"-127\",\"max\":\"-1\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066057', '0'),
('2347422352', '', '语音功能开启关闭设置', 'SysVoice', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065846', '0'),
('2348930817', '', '网关状态', 'GatewayStatus', 'R', '1', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066236', '0'),
('235180385', '', '区域Id', 'AreaId', 'R', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065856', '0'),
('2352489401', '', '位置3状态', 'location3', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无人\",\"1\":\"有人\"}"}', '', '系统', '1', '1692347066232', '0'),
('2355923296', '', '地理位置', 'GeoLocation', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"Longitude\",\"name\":\"经度\",\"data_type\":{\"type\":\"float\",\"specs\":\"{\\\"min\\\":\\\"-180\\\",\\\"max\\\":\\\"180\\\",\\\"step\\\":\\\"0.01\\\",\\\"unit\\\":\\\"°\\\",\\\"unitName\\\":\\\"度\\\"}\"}},{\"code\":\"Latitude\",\"name\":\"纬度\",\"data_type\":{\"type\":\"float\",\"specs\":\"{\\\"min\\\":\\\"-180\\\",\\\"max\\\":\\\"180\\\",\\\"step\\\":\\\"0.01\\\",\\\"unit\\\":\\\"°\\\",\\\"unitName\\\":\\\"度\\\"}\"}}]"}', '', '系统', '1', '1692347065812', '0'),
('2358418021', '', '人脸库算法版本', 'FaceSetAlgorithmVersion', 'RW', '1', '{"type":"text","specs":"{\"length\":\"65\"}"}', '', '系统', '1', '1692347066045', '0'),
('2361048248', '', '平台链接', 'PlatformURL', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347066035', '0'),
('2363654778', '', '音量', 'SoundVolume', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066089', '0'),
('2363852681', '', 'B相电流', 'nIb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065867', '0'),
('2365284996', '', '健康_负离子', 'Ions', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('2367054232', '', '安全启动', 'StartSecure', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"WakeUpTime\",\"name\":\"进入时间\",\"data_type\":{\"type\":\"float\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"120\\\",\\\"step\\\":\\\"0.01\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"EnabledSwitch\",\"name\":\"使能开关\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065926', '0'),
('2368388696', '', '首要污染物', 'PrimaryItem', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066230', '0'),
('2376396051', '', '已用总水量', 'waterUsed', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"9999.00\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347065868', '0'),
('2382905460', '', '产品序列号', 'SerialNo', 'R', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '内容推荐', '系统', '1', '1692347066062', '0'),
('2385413258', '', '雾量档位', 'SprayLevel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"静音\",\"1\":\"低档\",\"2\":\"中档\",\"3\":\"高档\",\"4\":\"最高档\"}"}', '', '系统', '1', '1692347066119', '0'),
('2385911765', '', '停机原因', 'E_Stop_Reason', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '设备停机原因标识符，用不同的数字表示不同的因素，停机因素需要提前定义好，如下示例：
0 -- 正常运行
1 -- 缺料
2 -- 无生产任务
3 -- 休息', '系统', '1', '1692347065907', '0'),
('239251272', '', '窗7状态', 'WindowStatus07', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066237', '0'),
('2392517354', '', '总有功峰电能', 'EP_2', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('2393591629', '', '无线转接模块状态', 'WirelessModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066228', '0'),
('2395941200', '', 'USB开关2', 'USBSwitch_2', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('239606190', '', '工作开关', 'WotkSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065870', '0'),
('239721087', '', '小槽智能清洗参数', 'Small_Clean_Param', 'RW', '0', '{"type":"text","specs":"{\"length\":\"254\"}"}', '', '系统', '1', '1692347066110', '0'),
('2397840310', '', '窗6状态', 'WindowStatus06', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066237', '0'),
('23996149', '', '开门端停留时间', 'OpenedStayTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065850', '0'),
('2402994646', '', '总进水量', 'TotalInput', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347066157', '0'),
('240853043', '', '内存总量', 'memory_total', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"0.01\",\"unit\":\"B\",\"unitName\":\"字节\"}"}', '', '系统', '1', '1692347066133', '0'),
('2409272166', '', '播放TTS文本', 'PlayTTSText', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066073', '0'),
('2412799275', '', '当前温度_18', 'CurrentTemperature_18', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2413487592', '', '循环定时2', 'PeriodTimer_2', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066201', '0'),
('2417753291', '', '大棚土壤EC值', 'soilEC', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"20000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065930', '0'),
('2420609975', '', '环境温度', 'EnvTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065887', '0'),
('2422592363', '', '小槽水位选择', 'Small_Water_Level', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"中\",\"1\":\"高\",\"2\":\"低\"}"}', '', '系统', '1', '1692347066110', '0'),
('2427992995', '', 'PM1D0', 'PM1D0', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', 'pm1.0浓度', '系统', '1', '1692347065944', '0'),
('2429358297', '', 'PM25', 'PM25', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('2430794329', '', '命令号', 'cmd', 'RW', '0', '{"type":"text","specs":"{\"length\":\"32\"}"}', '', '系统', '1', '1692347065935', '0'),
('2434650489', '', '水位', 'WaterLevel', 'R', '0', '{"type":"enum","specs":"{\"0\":\"低液位\",\"1\":\"高液位\"}"}', '', '系统', '1', '1692347065925', '0'),
('2438108473', '', '植物生长灯状态', 'PlantGrowthLight', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066225', '0'),
('2438173583', '', '环境湿度', 'EnvHumidity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347065887', '0'),
('2440930563', '', 'ZB带宽', 'ZB_Band', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"868M\",\"1\":\"915M\",\"2\":\"2_4G\"}"}', '', '系统', '1', '1692347065932', '0'),
('2445237701', '', '一键再生', 'OneKeyRegenerate', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065868', '0'),
('2445722753', '', '采暖温度', 'HeatingTemperature', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"99\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065982', '0'),
('2450179671', '', '本地清扫面积', 'CleanArea', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"0.01\",\"unit\":\"㎡\",\"unitName\":\"平方米\"}"}', '', '系统', '1', '1692347066070', '0'),
('2454087096', '', '里程', 'Mileage', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1677721500\",\"step\":\"1\",\"unit\":\"m\",\"unitName\":\"米\"}"}', '', '系统', '1', '1692347066004', '0'),
('2454143853', '', '下室暖盘开关', 'WarmplateLowerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066001', '0'),
('2457150000', '', '二氧化碳', 'co2', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('2458267327', '', '操作返回值', 'resCode', 'RW', '0', '{"type":"int","specs":"{\"min\":\"-2147483648\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065937', '0'),
('2458739149', '', '指纹卡号', 'CardId', 'R', '1', '{"type":"text","specs":"{\"length\":\"32\"}"}', '', '系统', '1', '1692347065951', '0'),
('2462301366', '', '出粉率', 'E_Craft_R_FE_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065910', '0'),
('2466465768', '', '再生间隔天数', 'RegenerateDays', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"365\",\"step\":\"1\",\"unit\":\"d\",\"unitName\":\"天\"}"}', '', '系统', '1', '1692347065868', '0'),
('2468977488', '', '电量', 'Battery', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', 'Power', '系统', '1', '1692347065977', '0'),
('2469795143', '', 'ZB设备MAC地址', 'ZB_CO_MAC', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065932', '0'),
('2470566022', '', '蒸箱制作剩余时间', 'SteamerTimeRemainingMinute', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347065846', '0'),
('2471773840', '', '光照度', 'LightLux', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"0.01\",\"unit\":\"lx\",\"unitName\":\"流明\"}"}', '光照强度', '系统', '1', '1692347065945', '0'),
('2473833093', '', '有功功率值', 'ActivePower', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347065936', '0'),
('2474447218', '', '消毒剩余时间', 'DisinfectionRemainingTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"30\",\"step\":\"1\",\"unit\":\"′\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066132', '0'),
('2478815132', '', '滤芯寿命百分比_5', 'FilterLifeTimePercent_5', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066157', '0'),
('2479073904', '', '风向', 'WindDirection', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"360\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '风向', '系统', '1', '1692347065945', '0'),
('2482514226', '', 'WIFI强度', 'WifiSignal', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065796', '0'),
('2483211320', '', '大槽智能清洗参数', 'Large_Clean_Param', 'RW', '0', '{"type":"text","specs":"{\"length\":\"254\"}"}', '', '系统', '1', '1692347066110', '0'),
('2485432389', '', 'B相电流总谐波', 'IbTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065877', '0'),
('2486699905', '', '电机实际速度', 'ActVel', 'R', '0', '{"type":"int","specs":"{\"min\":\"-30000\",\"max\":\"30000\",\"step\":\"1\",\"unit\":\"r/min(rpm)\",\"unitName\":\"转每分\"}"}', '', '系统', '1', '1692347065808', '0'),
('2492018582', '', '当前算力', 'CurrentComputingPower', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065964', '0'),
('2492414730', '', '网路标识', 'ZB_PAN_ID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065932', '0'),
('2495045999', '', '土壤PH', 'SoilPH', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"7\",\"step\":\"1\",\"unitName\":\"无\"}"}', '土壤PH值', '系统', '1', '1692347065945', '0'),
('2495580457', '', '报警提示开关', 'AlarmPromptSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066083', '0'),
('249855625', '', '预热开关', 'PreheatSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065992', '0'),
('2503013178', '', '工作模式_5', 'WorkMode_5', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('2511968505', '', '变温室温度', 'VariableTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-18\",\"max\":\"10\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066185', '0'),
('2514408390', '', '设备运行总时间', 'E_TotalRunTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '设备运行总时间', '系统', '1', '1692347065907', '0'),
('2517303429', '', '清空屏幕', 'Clear', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', 'clear', '系统', '1', '1692347065950', '0'),
('2524743084', '', '工作模式_7', 'WorkMode_7', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('2525386958', '', '电池电压', 'BatteryVoltage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"3.7\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066026', '0'),
('2526481192', '', '呼吸率', 'RespiratoryRate', 'R', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065840', '0'),
('2535091566', '', '加湿开关', 'Humidified', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066153', '0'),
('2540132033', '', '按铃抓拍动作设置', 'ActionSetting', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"无操作\",\"1\":\"拍照\",\"2\":\"录像\"}"}', '', '系统', '1', '1692347065942', '0'),
('2540382720', '', '移动侦测灵敏度', 'MotionDetectSensitivity', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"最低档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347065783', '0'),
('2544595186', '', '散热器温度', 'RadiatorTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"30000\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065809', '0'),
('2550843025', '', '识别照片', 'Pic_name', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065929', '0'),
('2551763567', '', '光照度模块状态', 'LightLuxModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066231', '0'),
('2551821177', '', '制造商名称', 'ManufacturerName', 'R', '0', '{"type":"text","specs":"{\"length\":\"256\"}"}', '制造商名称', '系统', '1', '1692347065828', '0'),
('2552389488', '', '压力', 'E_Craft_PT_Comp', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"Pa\",\"unitName\":\"帕\"}"}', '', '系统', '1', '1692347065911', '0'),
('2554136572', '', '工作模式_19', 'WorkMode_19', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('2556273569', '', '算法数量', 'AlgorithmQuantity', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"256\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065964', '0'),
('2561848494', '', '脱水时长', 'SpinTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066050', '0'),
('2562540861', '', '总有功功率', 'P', 'R', '1', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065875', '0'),
('2564567389', '', 'sim卡类型', 'SimCardType', 'R', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065818', '0'),
('2568614235', '', '当前温度_14', 'CurrentTemperature_14', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2569679854', '', '左风量', 'LeftWindSpeed', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"低档\",\"2\":\"中档\",\"3\":\"高档\"}"}', '', '系统', '1', '1692347066177', '0'),
('2570713461', '', '周日定时', 'SundayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('2572183729', '', '1号车牌', 'Car_number_1', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '135_c_1', '系统', '1', '1692347065975', '0'),
('2572273164', '', '图片地址', 'PictureURL', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065953', '0'),
('2577869447', '', '电机挡位', 'KitchenVentilator_MotorStall', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066178', '0'),
('2578085190', '', '启用锁', 'LockEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065850', '0'),
('2579873781', '', '表计通讯状态', 'M_STATUS', 'R', '0', '{"type":"bool","specs":"{\"0\":\"异常\",\"1\":\"正常\"}"}', '', '系统', '1', '1692347065878', '0'),
('2580285749', '', '人脸库ID', 'FaceSetID', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066045', '0'),
('2582802683', '', 'C相视在功率', 'electric_psc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065866', '0'),
('258628271', '', '唤醒数据', 'WakeUpData', 'R', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065798', '0'),
('2587483363', '', '运行时间_3', 'Runtime_3', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"h\",\"unitName\":\"小时\"}"}', '', '系统', '1', '1692347066154', '0'),
('2588757312', '', '食谱信息', 'RecipeInfo', 'R', '0', '{"type":"enum","specs":"{\"1\":\"本地美食\",\"2\":\"云食谱\"}"}', '', '系统', '1', '1692347065993', '0'),
('2591063792', '', '本地倒计时', 'CountDown', 'RW', '1', '{"type":"struct","specs":"[{\"code\":\"IsRunning\",\"name\":\"执行状态\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeLeft\",\"name\":\"剩余时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"86399\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"PowerSwitch\",\"name\":\"开关动作\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"Timestamp\",\"name\":\"当前时间戳\",\"data_type\":{\"type\":\"date\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347066015', '0'),
('2592355785', '', 'C相有功功率', 'electric_frc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('259827945', '', '密度', 'Density', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kg/m³\",\"unitName\":\"千克每立方米\"}"}', '', '系统', '1', '1692347065880', '0'),
('2599957232', '', '睡眠体位', 'SleepPosition', 'R', '0', '{"type":"enum","specs":"{\"1\":\"正位\",\"2\":\"左侧位\",\"3\":\"右侧位\"}"}', '', '系统', '1', '1692347065840', '0'),
('2606564330', '', '制水状态', 'PureState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"待机\",\"1\":\"制水中\"}"}', '', '系统', '1', '1692347066157', '0'),
('2608180141', '', '冷藏室目标温度', 'FridgeTargetTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"1\",\"max\":\"10\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066185', '0'),
('2614195286', '', '目标PH', 'TargetPH', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"14\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '绿立方', '系统', '1', '1692347065974', '0'),
('2616318760', '', '大槽工作模式', 'Large_Work_Mode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"普通洗碗\",\"1\":\"普通果蔬\",\"2\":\"高温除菌\",\"3\":\"超声波清洗\",\"4\":\"智能清洗\"}"}', '', '系统', '1', '1692347066111', '0'),
('2616377707', '', '磁盘已用容量', 'DiskUsedCapacity', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066043', '0'),
('2620194010', '', '水位检测', 'DetectingWaterlLevel', 'R', '0', '{"type":"bool","specs":"{\"0\":\"未满\",\"1\":\"水满\"}"}', '', '系统', '1', '1692347065924', '0'),
('2628278271', '', '随机定时2', 'RandomTimer_2', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066196', '0'),
('2628843218', '', '光照度', 'LightLuxValue', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"Lux\",\"unitName\":\"卢克斯\"}"}', '', '系统', '1', '1692347066238', '0'),
('2631942210', '', '漏电告警使能', 'LeakageEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('2639258649', '', 'B相功率因素', 'electric_pfb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('2640178207', '', '循环定时1', 'PeriodTimer_1', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到  插座  品类中，可选', '系统', '1', '1692347066200', '0'),
('2641165700', '', '风速_5', 'WindSpeed_5', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('2643298915', '', 'C相功率因数', 'COSc', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1.00\",\"max\":\"1.00\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065876', '0'),
('2651094246', '', '运行开关', 'WorkSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065833', '0'),
('2652444843', '', '工作步骤', 'WorkStep', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066105', '0'),
('2653777974', '', '屏幕宽度', 'ScreenWidth', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"99999\",\"step\":\"1\",\"unit\":\"mm\",\"unitName\":\"毫米\"}"}', '', '系统', '1', '1692347065953', '0'),
('2654848833', '', '线路温度', 'LineTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-40\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066055', '0'),
('2655682907', '', '红外检测状态', 'MotionAlarmState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无人\",\"1\":\"有人\"}"}', '', '系统', '1', '1692347066076', '0'),
('2666757398', '', '烘干开关', 'DrySwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066051', '0'),
('266809885', '', '风速_3', 'WindSpeed_3', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066143', '0'),
('2669246832', '', '实际转速', 'RotateSpeed', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"1\",\"unit\":\"r/min(rpm)\",\"unitName\":\"转每分\"}"}', '', '系统', '1', '1692347065843', '0'),
('2672451694', '', '当前电流', 'Current', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"630000\",\"step\":\"0.01\",\"unit\":\"mA\",\"unitName\":\"毫安\"}"}', '', '系统', '1', '1692347065884', '0'),
('2672985934', '', '开启注水', 'FillerOn', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066128', '0'),
('2673614095', '', '消耗热量', 'BurnCalories', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.01\",\"unit\":\"cal\",\"unitName\":\"卡路里\"}"}', '', '系统', '1', '1692347066088', '0'),
('2676925624', '', 'A相功率因数', 'COSa', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1.00\",\"max\":\"1.00\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065876', '0'),
('2697991469', '', '右灶温度', 'RightFociTemputer', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066164', '0'),
('2699471732', '', '烟机工作状态', 'HoodWorkState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"待机中\",\"1\":\"工作中\"}"}', '', '系统', '1', '1692347065845', '0'),
('270055692', '', '加湿开关', 'Humidification', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066218', '0'),
('2701185044', '', '氨气浓度', 'NH3', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065979', '0'),
('2704123716', '', '目标温度_14', 'TargetTemperature_14', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('2708949885', '', '润滑油压力', 'E_Craft_PT_Oil_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"kPa\",\"unitName\":\"千帕\"}"}', '', '系统', '1', '1692347065906', '0'),
('2714553713', '', '运行时间', 'Runtime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '累计运行时间', '系统', '1', '1692347065851', '0'),
('2714910859', '', '保温开关', 'HoldingSwicth', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347066044', '0'),
('2716416372', '', '目标温度_7', 'TargetTemperature_7', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2717574043', '', '磁盘使用百分比', 'DiskUtilizationRate', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '磁盘使用率', '系统', '1', '1692347065828', '0'),
('2721789004', '', '背光灯模式', 'BackLightMode', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"关闭背光灯\",\"2\":\"状态指示灯\",\"3\":\"位置指示灯\"}"}', '', '系统', '1', '1692347066173', '0'),
('2731217568', '', '开关', 'Socket', 'RW', '1', '{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}', '', '系统', '1', '1692347065888', '0'),
('2736412067', '', '抓拍动作', 'capture', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065929', '0'),
('273659451', '', '网关名称', 'RouterName', 'RW', '0', '{"type":"text","specs":"{\"length\":\"31\"}"}', '', '系统', '1', '1692347066057', '0'),
('2738319698', '', '麦克风开关', 'MicSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065941', '0'),
('2738543951', '', '烘干开关', 'DryingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066130', '0'),
('273937862', '', '快捷回复声音', 'QuickResponseRing', 'RW', '0', '{"type":"array","specs":"{\"size\":\"10\",\"item\":{\"type\":\"struct\"}}"}', '', '系统', '1', '1692347065796', '0'),
('2741771098', '', '拍摄间隔', 'ShootInterval', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065795', '0'),
('2751517052', '', 'B相功率因数', 'COSb', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1.00\",\"max\":\"1.00\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065876', '0'),
('2754938231', '', '错误字1', 'ErrorCode_1', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"10\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065808', '0'),
('2765035687', '', '启用双门联动', 'LinkageEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('2775033912', '', 'B相有功功率', 'Pb', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('2777957463', '', '加热模式', 'HeatMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动模式\",\"1\":\"节能模式\",\"2\":\"整体加热\",\"3\":\"单独加热\",\"4\":\"无加热器\"}"}', '', '系统', '1', '1692347065926', '0'),
('2784668604', '', '定时恢复切换', 'TimingRecoverChange', 'RW', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065924', '0'),
('2787339749', '', '电源开关_8', 'PowerSwitch_8', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('2787462687', '', '六价物', 'Hexad', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('27900793', '', '循环定时', 'PeriodTimer', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到  插座  品类中，可选', '系统', '1', '1692347066200', '0'),
('2790548460', '', 'B相电流', 'Ib', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065875', '0'),
('279154535', '', '风干开关', 'AirDryingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066130', '0'),
('2792074820', '', '门锁打开状态', 'DoorOpeningState', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066051', '0'),
('2793848050', '', '工作阶段', 'WorkStage', 'R', '0', '{"type":"enum","specs":"{\"0\":\"未洗涤\",\"1\":\"预洗\",\"2\":\"主洗\",\"3\":\"漂洗\",\"4\":\"干燥\",\"5\":\"结束\"}"}', '', '系统', '1', '1692347066108', '0'),
('2795261691', '', '变频器运行状态1', 'InvertStatus_1', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"10\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065809', '0'),
('2796484891', '', '播放媒体文件', 'PlayMediaFile', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347066073', '0'),
('280882960', '', '随机定时8', 'RandomTimer_8', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066199', '0'),
('2812723317', '', '制冷开关', 'RefrigerationSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065986', '0'),
('2814555371', '', '窗帘工作模式', 'CurtainMode', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"反转\",\"2\":\"校准中\"}"}', '', '系统', '1', '1692347066188', '0'),
('2817909641', '', '单元格照明灯开关', 'CellLightSwitch', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"CellCode\",\"name\":\"编号\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"100\\\"}\"}},{\"code\":\"Status\",\"name\":\"状态\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065998', '0'),
('281822901', '', '全天时景', 'DailyVideo', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"DailyVideoUrl\",\"name\":\"时景视频URL\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"256\\\"}\"}},{\"code\":\"DailyVideoHeight\",\"name\":\"视频高\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"3456\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}},{\"code\":\"DailyVideoWidth\",\"name\":\"视频宽\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"4608\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}},{\"code\":\"ThumbnailUrl\",\"name\":\"时景缩略图URL\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"256\\\"}\"}},{\"code\":\"ThumbnailHeight\",\"name\":\"缩略图高\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"3456\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}},{\"code\":\"ThumbnailWidth\",\"name\":\"缩略图宽\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"4608\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}}]"}', '', '系统', '1', '1692347065811', '0'),
('2818505101', '', '余位总数', 'RemainParkSpace', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"99999999\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065853', '0'),
('2819495114', '', '工作模式_18', 'WorkMode_18', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('2821242369', '', '网关布防模板开关', 'TemplateEnableSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066057', '0'),
('2821295233', '', '内窗帘打开位置', 'InnerCurtainPosition', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066188', '0'),
('2824466181', '', '门1状态', 'DoorStatus01', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066236', '0'),
('2826879123', '', '目标EC', 'TargetEC', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '绿立方', '系统', '1', '1692347065974', '0'),
('2827429929', '', '状态灯开关', 'StatusLightSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066082', '0'),
('2829169946', '', '电源开关_7', 'PowerSwitch_7', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('2830554453', '', '上层保鲜开关', 'PreserveUpperSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('2833156165', '', '2号车牌', 'Car_number_2', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '135_c_2', '系统', '1', '1692347065975', '0'),
('283628239', '', '工作时间', 'WorkTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065829', '0'),
('2837573708', '', '预热温度', 'PreheatTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065993', '0'),
('2837640710', '', '采暖运行', 'HeatingRunning', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065982', '0'),
('2840533242', '', '温度', 'mtemp', 'R', '0', '{"type":"int","specs":"{\"min\":\"-32768\",\"max\":\"32768\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065916', '0'),
('2847228466', '', '启动强度', 'StartStrength', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066005', '0'),
('2849566994', '', '加热状态', 'HeatState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"待机中\",\"1\":\"加热中\"}"}', '', '系统', '1', '1692347066160', '0'),
('2850502496', '', '内存使用率', 'memory_usage', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066133', '0'),
('2851640532', '', '屏幕通知模式', 'LedNoticeMode', 'R', '1', '{"type":"enum","specs":"{\"0\":\"分离模式\",\"1\":\"混合模式\"}"}', '分离模式：支持语音、文字提示单独下发，屏幕支持单行刷新
混合模式：仅支持语音、文字提示混合下发，屏幕不支持单行刷新', '系统', '1', '1692347065784', '0'),
('285599522', '', '学校ID', 'SchoolID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"36\"}"}', '', '系统', '1', '1692347066034', '0'),
('2856322966', '', '冷暖色温', 'ColorTemperature', 'RW', '0', '{"type":"int","specs":"{\"min\":\"2700\",\"max\":\"6500\",\"step\":\"1\",\"unit\":\"K\",\"unitName\":\"开尔文\"}"}', '', '系统', '1', '1692347065902', '0'),
('2858585262', '', '漏电压', 'DrainVoltage', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"400\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '电参数采用4个字节浮点型数据', '系统', '1', '1692347066245', '0'),
('2863936127', '', '二氧化碳', 'CO2', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"1\",\"unit\":\"ppm\",\"unitName\":\"ppm\"}"}', 'co2Value', '系统', '1', '1692347065976', '0'),
('2864016535', '', '温度', 'temperature', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '温度', '系统', '1', '1692347065778', '0'),
('2864612814', '', '随机定时6', 'RandomTimer_6', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066198', '0'),
('2869239927', '', 'ZB通道', 'ZB_Channel', 'RW', '0', '{"type":"int","specs":"{\"min\":\"11\",\"max\":\"26\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065932', '0'),
('287105226', '', '溶液瓶剩余体积', 'BottleRemainVolume', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0.1\",\"max\":\"60000.0\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347065989', '0'),
('2874728430', '', '冷藏室开关', 'FridgeSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066185', '0'),
('2876672615', '', '电能采集故障', 'powerGetErr', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '', '系统', '1', '1692347065935', '0'),
('2877492186', '', '制水开关', 'PureSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066157', '0'),
('2879060338', '', '屏幕行数', 'LedRowNumber', 'R', '1', '{"type":"int","specs":"{\"min\":\"-100\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', '数字绝对值表示屏幕支持的行数
负号表示支持<br>换行符，调用费显屏显示服务时指定行数为1，内容为带<br>的字符串', '系统', '1', '1692347065784', '0'),
('2883825270', '', '当前分钟', 'CurrentTime_m', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065867', '0'),
('2890888154', '', '搅拌模式', 'MixedMode', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"15\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066041', '0'),
('2891210504', '', '型号', 'NumberModel', 'R', '0', '{"type":"text","specs":"{\"length\":\"16\"}"}', '', '系统', '1', '1692347065948', '0'),
('2892384627', '', '润滑油液位', 'E_Craft_LT_Oil_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1000000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"cm\",\"unitName\":\"厘米\"}"}', '', '系统', '1', '1692347065906', '0'),
('2892573927', '', '翻转1', 'ChangeSwitch_1', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"翻转\"}"}', '', '系统', '1', '1692347065921', '0'),
('2892724247', '', '线路用电电流阈值', 'LineCurrentThreshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"655.35\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066054', '0'),
('2893758573', '', '固件升级状态', 'OTA_Status', 'R', '0', '{"type":"bool","specs":"{\"0\":\"未在进行固件升级\",\"1\":\"正在进行固件升级\"}"}', '', '系统', '1', '1692347066001', '0'),
('2894796589', '', '加密类型列表', 'EncryptTypeList', 'R', '1', '{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"int\"}}"}', '', '系统', '1', '1692347065797', '0'),
('2902030769', '', '灯场景', 'LightScene', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"LightMode\",\"name\":\"灯模式\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}},{\"code\":\"ColorSpeed\",\"name\":\"变色速度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}},{\"code\":\"SceneMode\",\"name\":\"场景模式\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}},{\"code\":\"ColorArr\",\"name\":\"灯颜色\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}},{\"code\":\"Brightness\",\"name\":\"明暗度\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"SceneId\",\"name\":\"场景标识\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"100\\\"}\"}},{\"code\":\"SceneItems\",\"name\":\"场景参数\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}}]"}', '', '系统', '1', '1692347066213', '0'),
('2903333856', '', '存储介质状态', 'StorageStatus', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未插卡\",\"1\":\"正常\",\"2\":\"未格式化\",\"3\":\"正在格式化\"}"}', '', '系统', '1', '1692347065797', '0'),
('2906244595', '', '甲烷', 'ch4', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('2906472358', '', '场景触发_2', 'SceneTrigger_2', 'R', '0', '{"type":"bool","specs":"{\"0\":\"场景无触发\",\"1\":\"场景触发\"}"}', '', '系统', '1', '1692347065994', '0'),
('2908983379', '', '目标温度_1', 'TargetTemperature_1', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('2910913936', '', '自动DJ模式', 'AutoDJSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065991', '0'),
('2917409265', '', '小槽开关', 'Small_Slot_Switch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066111', '0'),
('2917452420', '', '过流告警', 'OverCurrentError', 'R', '1', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '1-告警；0-正常', '系统', '1', '1692347066246', '0'),
('2921579875', '', '省份编码', 'ProvinceCode', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347066034', '0'),
('2924390376', '', '本地清扫时间', 'CleanRunTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066070', '0'),
('292568511', '', '线路电压', 'LineVotage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"600\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066055', '0'),
('2937752528', '', '位置4状态', 'location4', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无人\",\"1\":\"有人\"}"}', '', '系统', '1', '1692347066232', '0'),
('2943203488', '', '工作模式_3', 'WorkMode_3', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066146', '0'),
('2943399455', '', '方向角度', 'DirectionAngle', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"360\",\"step\":\"0.01\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347065821', '0'),
('2945666851', '', '周六定时', 'SaturdayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('2945876697', '', '高低电平信号', 'HighLowLevelSignal', 'R', '0', '{"type":"bool","specs":"{\"0\":\"低电平信号\",\"1\":\"高电平信号\"}"}', '', '系统', '1', '1692347065860', '0'),
('294592059', '', '欠压告警使能', 'UnderVoltEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('29504786', '', '变色速度', 'ColorSpeed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066211', '0'),
('2957080409', '', '清洗提醒', 'CleanWarning', 'R', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"清洗\"}"}', '', '系统', '1', '1692347066177', '0'),
('2957880060', '', '设备性能稼动率', 'E_P', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '设备性能稼动率', '系统', '1', '1692347065907', '0'),
('2961736606', '', 'A相有功功率', 'Pa', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065875', '0'),
('2963584922', '', '总电量', 'energy', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065919', '0'),
('2967353776', '', '电源开关_13', 'PowerSwitch_13', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('297145640', '', '网关工作模式', 'RouterWorkMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"睡眠模式\",\"1\":\"在家模式\",\"2\":\"外出模式\"}"}', '', '系统', '1', '1692347066057', '0'),
('2980356649', '', '出水开关', 'WaterOutletSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065810', '0'),
('2984144669', '', '跑步步数', 'RunningSteps', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066088', '0'),
('2985988566', '', '灵敏度设置', 'SensitivitySettings', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"1级灵敏度\",\"2\":\"2级灵敏度\"}"}', '', '系统', '1', '1692347065990', '0'),
('2988347061', '', '采暖开关', 'HeatingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065983', '0'),
('2988490384', '', '设备综合效率', 'E_OEE', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '设备最新的OEE', '系统', '1', '1692347065907', '0'),
('2995021944', '', '报警间隔设置', 'AlarmSystem', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"5分钟\",\"1\":\"10分钟\",\"2\":\"30分钟\"}"}', '', '系统', '1', '1692347065941', '0'),
('2996664292', '', '模式档位', 'EnumerationLevel', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"最低档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347065914', '0'),
('2997937966', '', '屏保时间', 'ScreenSaverTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066032', '0'),
('2999638154', '', '风速_19', 'WindSpeed_19', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066146', '0'),
('2999714261', '', '漏电告警', 'LeakageError', 'R', '1', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '1-告警；0-正常', '系统', '1', '1692347066247', '0'),
('3000381109', '', '右炉工作状态', 'RightWorkState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"待机\",\"1\":\"工作中\"}"}', '', '系统', '1', '1692347066164', '0'),
('30012153', '', '耗水量', 'WaterConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.1\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347065825', '0'),
('3001607243', '', '风速_2', 'WindSpeed_2', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066143', '0'),
('3006151508', '', '工作模式_14', 'WorkMode_14', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('3011952423', '', 'C相电流', 'nIc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065866', '0'),
('3015434653', '', 'ChangeSwitch_1', 'ChangeSwitch_2', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"翻转\"}"}', '', '系统', '1', '1692347065921', '0'),
('3017174683', '', '电源开关_9', 'PowerSwitch_9', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('3017661859', '', '插播字幕', 'Insert_subtitle', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/subtitleSendSpot.action', '系统', '1', '1692347065950', '0'),
('3021249948', '', '启用人体感应', 'DetectEanbled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065850', '0'),
('302164961', '', 'A相电压', 'Ua', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('3021989305', '', '窗1状态', 'WindowStatus01', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066237', '0'),
('3034959950', '', '冷冻室目标温度', 'FreezerTargetTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-18\",\"max\":\"0\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066184', '0'),
('303839229', '', '场景名称_3', 'SceneName_3', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347065995', '0'),
('3039452797', '', '人员特征数据', 'Identity', 'R', '1', '{"type":"text","specs":"{\"length\":\"1024\"}"}', '', '系统', '1', '1692347065955', '0'),
('3046621007', '', '满水状态', 'WaterStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"满水\"}"}', '', '系统', '1', '1692347066158', '0'),
('3048168372', '', '出水温度', 'OutputWaterTemputer', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066161', '0'),
('3048417250', '', '辅码流视频质量', 'SubStreamVideoQuality', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"流畅\",\"1\":\"标清\",\"2\":\"高清\"}"}', '', '系统', '1', '1692347065783', '0'),
('3051647856', '', '喷枪运动速度', 'E_Craft_S_Sgun_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"0.1\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}', '', '系统', '1', '1692347065909', '0'),
('3053496009', '', '断路器内部温度', 'CircuitBreakerInternalTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-40\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066055', '0'),
('3055659643', '', '防化学干扰时间', 'ChemicalInterferenceTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"55\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347065988', '0'),
('306258813', '', '鞍座锁开关', 'SaddleLockSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('3065745002', '', '插孔开关5', 'SocketSwitch_5', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066013', '0'),
('3067132924', '', '插孔开关8', 'SocketSwitch_8', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('3067464625', '', '电源开关_12', 'PowerSwitch_12', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('3072408133', '', '变频器运行状态2', 'InvertStatus_2', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"10\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065809', '0'),
('3073232291', '', '内存剩余量', 'memory_free', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"0.01\",\"unit\":\"B\",\"unitName\":\"字节\"}"}', '', '系统', '1', '1692347066133', '0'),
('3075204022', '', '温度阈值', 'TemperatureThreshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"300\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065926', '0'),
('3080532088', '', 'A相无功功率', 'electric_pqa', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000\",\"step\":\"0.01\",\"unit\":\"kvar\",\"unitName\":\"千乏\"}"}', '', '系统', '1', '1692347065866', '0'),
('3085513469', '', '铅', 'Lead', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('3086893429', '', '大槽水位选择', 'Large_Water_Level', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"中\",\"1\":\"高\",\"2\":\"低\"}"}', '', '系统', '1', '1692347066110', '0'),
('3087648192', '', '低功耗开关', 'LowPowerSwitch', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065797', '0'),
('3088607658', '', '窗帘操作模式', 'CurtainOperation', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关窗帘\",\"1\":\"开窗帘\",\"2\":\"暂停窗帘\"}"}', '', '系统', '1', '1692347065922', '0'),
('3091615725', '', '标况累计量', 'StandardConditionIntegratedFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347065879', '0'),
('3093824349', '', '小槽清洗强度', 'Small_Clean_Strength', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"中\",\"1\":\"强\",\"2\":\"轻\"}"}', '', '系统', '1', '1692347066110', '0'),
('3094680649', '', '电池状态', 'BatteryState', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066070', '0'),
('3096962117', '', 'A相有功功率', 'electric_fra', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('3114434295', '', '浸泡时长', 'SoakTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066050', '0'),
('3116760844', '', '循环模式', 'RepeatType', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"单曲循环\",\"2\":\"全部循环\",\"3\":\"随机\"}"}', '', '系统', '1', '1692347065991', '0'),
('311807502', '', '保温时间', 'WarmDuration', 'R', '0', '{"type":"float","specs":"{\"min\":\"1\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347065993', '0'),
('3119697916', '', '回路出线侧B相温度', 'T_OUTb', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100\",\"max\":\"100000\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065877', '0'),
('3122162586', '', '电表模块状态', 'ElectricMeterState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\",\"3\":\"低电量\"}"}', '', '系统', '1', '1692347066027', '0'),
('3124605045', '', '滤芯剩余寿命时间_3', 'FilterLifeTimeDays_3', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"day\",\"unitName\":\"日\"}"}', '', '系统', '1', '1692347066153', '0'),
('3125474807', '', '童锁开关', 'ChildLockSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065992', '0'),
('3130383643', '', '系统信息', 'system_info', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066133', '0'),
('3136241013', '', '车辆等待状态', 'VehicleState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"无车\",\"1\":\"有车\",\"2\":\"不支持\"}"}', '车辆等待状态', '系统', '1', '1692347065784', '0'),
('3138350053', '', 'HSV调色', 'HSVColor', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Hue\",\"name\":\"色调\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"360\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"°\\\",\\\"unitName\\\":\\\"度\\\"}\"}},{\"code\":\"Saturation\",\"name\":\"饱和度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}},{\"code\":\"Value\",\"name\":\"明度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}}]"}', '', '系统', '1', '1692347065903', '0'),
('3139492058', '', '设备信息', 'MachineInfo', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065926', '0'),
('3140673531', '', '当前温度_6', 'CurrentTemperature_6', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3143440769', '', '无线转接模块状态', 'WirelessModelStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066227', '0'),
('3145104806', '', '手动模式转速', 'ManualModeSpeed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"300\",\"step\":\"1\",\"unit\":\"rpm\",\"unitName\":\"每分钟转数\"}"}', '', '系统', '1', '1692347065988', '0'),
('3148398295', '', '工作模式_6', 'WorkMode_6', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('3152308389', '', '消毒剂自投放', 'TargetDisinfectant', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347066051', '0'),
('3160040150', '', '扬声器开关', 'SpeakerSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065942', '0'),
('3160589755', '', '道闸状态', 'BarrierState', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065855', '0'),
('3161160583', '', '土壤PH值', 'soilPH', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065930', '0'),
('3161701734', '', '单元格指示灯开关', 'CellIndicatorSwitch', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"CellCode\",\"name\":\"编号\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"100\\\"}\"}},{\"code\":\"Status\",\"name\":\"状态\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065998', '0'),
('3164834814', '', '音乐播放控制', 'MusicPlayControl', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"播放\",\"1\":\"暂停\",\"2\":\"上一曲\",\"3\":\"下一曲\"}"}', '', '系统', '1', '1692347065859', '0'),
('3164868520', '', '循环定时7', 'PeriodTimer_7', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066205', '0'),
('3164994662', '', '保温温度', 'HoldingTemperature', 'RW', '1', '{"type":"float","specs":"{\"min\":\"20\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066044', '0'),
('3165782581', '', '负离子剩余时间', 'IonsRemainingTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"120\",\"step\":\"1\",\"unit\":\"′\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066132', '0'),
('3168095096', '', 'B相无功功率', 'Qb', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065876', '0'),
('3170943688', '', '刷卡时间', 'CardTime', 'R', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347066034', '0'),
('3173177376', '', '冲浪开关', 'SurfSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066176', '0'),
('317364663', '', '综合采集器状态', 'CollectionEquipmentStatus', 'R', '1', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066222', '0'),
('3184365005', '', '定时烧水', 'TimingBoilWater', 'RW', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065924', '0'),
('3185361990', '', '电池电压', 'BatteryRemain', 'R', '1', '{"type":"float","specs":"{\"min\":\"2.8\",\"max\":\"3.6\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '显示电池电压', '系统', '1', '1692347066224', '0'),
('3187436270', '', '启用外部接口', 'ExtInterfaceEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('3192784105', '', '当前温度_5', 'CurrentTemperature_5', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3193027480', '', '水量值', 'WaterRequire', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"50\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347065810', '0'),
('3194481539', '', '蒸箱工作状态', 'SteamerState', 'R', '0', '{"type":"bool","specs":"{\"0\":\"待机中\",\"1\":\"工作中\"}"}', '', '系统', '1', '1692347065846', '0'),
('3199262600', '', '工作模式_16', 'WorkMode_16', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('3207424711', '', '工作模式右', 'RightWorkMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"待机\",\"1\":\"升温\",\"2\":\"睡眠\"}"}', '', '系统', '1', '1692347066172', '0'),
('3214958897', '', '挥发酚', 'volatile_phenol', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '挥发酚', '系统', '1', '1692347065778', '0'),
('3220155716', '', '固化室温度', 'E_Craft_TT_Solidify_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-10000\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065909', '0'),
('3220325124', '', '窗帘打开位置', 'CurtainPosition', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065922', '0'),
('3222585918', '', '过压告警使能', 'OverVoltEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('3226560966', '', '空开电表电压值', 'AirConVolt', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"400\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066240', '0'),
('3227041276', '', '冷藏室温度', 'FridgeTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"1\",\"max\":\"10\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066185', '0'),
('3239469521', '', '流水号', 'SerialNumber', 'R', '0', '{"type":"text","specs":"{\"length\":\"32\"}"}', '', '系统', '1', '1692347066034', '0'),
('324122242', '', '保管功能', 'KeepDryFunction', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066109', '0'),
('3245768262', '', '启用防夹', 'AntiPinchEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('3246317234', '', '加速', 'increase_speed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065915', '0'),
('324637633', '', '工作模式_15', 'WorkMode_15', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('3246550931', '', '总耗电量', 'TotalConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999\",\"step\":\"0.1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347066014', '0'),
('3246984349', '', '光照度检测值', 'MeasuredIlluminance', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"0.01\",\"unit\":\"Lux\",\"unitName\":\"照度\"}"}', '', '系统', '1', '1692347066112', '0'),
('3247637026', '', '定时切换', 'TimingChange', 'RW', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065924', '0'),
('3249468663', '', '化学需氧量', 'COD', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"5000\",\"step\":\"1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '化学需氧量COD（Chemical Oxygen Demand）是以化学方法测量水样中需要被氧化的还原性物质的量', '系统', '1', '1692347065778', '0'),
('325107129', '', '冷冻缸温度', 'FreezeCylindersTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"-100\",\"max\":\"200\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065842', '0'),
('3253385438', '', '强拆报警开关', 'ForcedAlarmSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065795', '0'),
('3253750980', '', '烹饪状态', 'CookingState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"未识别出\",\"1\":\"煮\",\"2\":\"煎\",\"3\":\"炸\"}"}', '', '系统', '1', '1692347066018', '0'),
('3256677366', '', '原水TDS', 'RawWaterTDS', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"999\",\"step\":\"1\",\"unit\":\"ppm\",\"unitName\":\"百万分率\"}"}', '', '系统', '1', '1692347066157', '0'),
('3268601800', '', '驻车车牌', 'ParkedNumber', 'R', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065858', '0'),
('3269686211', '', '通道映射关系', 'ChannelList', 'R', '1', '{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}', 'NVR通道与IPC三元组的映射关系表', '系统', '1', '1692347065828', '0'),
('3272265310', '', '逗留报警开关', 'StayAlarmSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065941', '0'),
('3277211582', '', '驱动器温度', 'DriverTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065808', '0'),
('3277666036', '', '系统信息', 'SystemInfo', 'R', '1', '{"type":"struct","specs":"[{\"code\":\"os\",\"name\":\"操作系统\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"processor\",\"name\":\"处理器\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}}]"}', '', '系统', '1', '1692347065964', '0'),
('3284275280', '', '海拔', 'Altitude', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60000\",\"step\":\"0.01\",\"unit\":\"m\",\"unitName\":\"米\"}"}', '', '系统', '1', '1692347065821', '0'),
('3286447268', '', '开关1', 'PowerSwitch_1', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065809', '0'),
('3301609567', '', '静音', 'Mute', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065859', '0'),
('3306290125', '', '空开电表开闭状态', 'AirConElectricMeterSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066240', '0'),
('3319707068', '', '大槽开关', 'Large_Slot_Switch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066111', '0'),
('3321144879', '', '省电开关', 'PowerSaveSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066104', '0'),
('3327943514', '', '目标温度_17', 'TargetTemperature_17', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('3328054765', '', '功率过低', 'underPower', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '', '系统', '1', '1692347065935', '0'),
('3329130376', '', 'B相电压', 'nUb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065867', '0'),
('332947583', '', '出胶压力', 'E_Craft_PT_Gum', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-100000\",\"max\":\"100000\",\"step\":\"0.1\",\"unit\":\"Pa\",\"unitName\":\"帕\"}"}', '', '系统', '1', '1692347065908', '0'),
('3331129293', '', '消毒模式', 'SterilizeringMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"无消毒\",\"1\":\"整体消毒\",\"2\":\"单独消毒\"}"}', '', '系统', '1', '1692347065997', '0'),
('333416445', '', '窗8状态', 'WindowStatus08', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066237', '0'),
('3334819755', '', '制水进度', 'PurePercent', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066157', '0'),
('3334976830', '', '电辅_辅热', 'PTC', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('3338991924', '', '右炉开关', 'RightSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066164', '0'),
('334279546', '', '蒸箱制作温度设置', 'SteameTemperatureSet', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065846', '0'),
('3347593115', '', '设备时间', 'Time', 'RW', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347066071', '0'),
('3350095465', '', '常开', 'KeepOpen', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '表示门是否为常开状态，如果为1，门保持常开状态；否则，门保持关闭状态。', '系统', '1', '1692347065862', '0'),
('3354598548', '', '总无功电能', 'EQ', 'R', '1', '{"type":"float","specs":"{\"min\":\"-999999999999999\",\"max\":\"999999999999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('3355271750', '', '室外温度', 'OutdoorTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065983', '0'),
('3363877668', '', '智能终端状态', 'TerminalStatus', 'R', '1', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066225', '0'),
('336441251', '', '焖饭时间', 'StewTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066103', '0'),
('3368437283', '', '声音侦测灵敏度', 'VoiceDetectionSensitivity', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"最低档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066082', '0'),
('3369365061', '', '电池电量', 'batpt', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065912', '0'),
('3373957330', '', '实时功率', 'RealTimePower', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"4000\",\"step\":\"0.1\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347066015', '0'),
('3374698939', '', '实际电压', 'Voltage', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065842', '0'),
('3375931777', '', '传感器RF信号质量', 'RFStrength', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"SensorSerialNumber\",\"name\":\"传感器串码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"9\\\"}\"}},{\"code\":\"RSSI\",\"name\":\"信号强度\",\"data_type\":{\"type\":\"float\",\"specs\":\"{\\\"min\\\":\\\"-127\\\",\\\"max\\\":\\\"-1\\\",\\\"step\\\":\\\"0.01\\\",\\\"unitName\\\":\\\"无\\\"}\"}}]"}', '', '系统', '1', '1692347066057', '0'),
('3378040608', '', '当前温度左', 'LeftCurrentTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"70\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066170', '0'),
('3382722036', '', '照明剩余时间', 'LightRemainingTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"1\",\"unit\":\"′\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066132', '0'),
('3386518590', '', '视频留言开关', 'VideoMessageSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065795', '0'),
('338697842', '', '功率过高', 'overPower', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"警告\"}"}', '', '系统', '1', '1692347065935', '0'),
('3392591324', '', '权益信息', 'Permission_info', 'RW', '1', '{"type":"text","specs":"{\"length\":\"512\"}"}', '', '系统', '1', '1692347065956', '0'),
('3400969894', '', '瞬时流量', 'InstantaneousFlow', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³/h\",\"unitName\":\"立方米每小时\"}"}', '', '系统', '1', '1692347065868', '0'),
('3402966147', '', '音量百分比', 'VolumePercentage', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066076', '0'),
('340726419', '', '左灶火力调节', 'LeftFociFire', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066164', '0'),
('3412195082', '', '工作开关', 'Workingswitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065847', '0'),
('3416388616', '', '光照度模块状态', 'LightModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066238', '0'),
('3423388453', '', '人脸算法版本', 'FaceAlgorithmVersion', 'RW', '0', '{"type":"text","specs":"{\"length\":\"64\"}"}', '用于人脸特征下发，标识设备端的算法版本
基于人脸门禁1.0物模型', '系统', '1', '1692347065803', '0'),
('3424069795', '', '宽动态开关', 'WDRSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065795', '0'),
('3424781236', '', '烹饪时间', 'CookingTime', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"36000\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347066016', '0'),
('3426865249', '', '大槽工作状态', 'Large_Work_Status', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"空闲中\",\"1\":\"工作中\",\"2\":\"暂停\"}"}', '', '系统', '1', '1692347066110', '0'),
('3427648505', '', 'B相正向有功电能', 'ActiveEnergyImportInPhaseL2', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065984', '0'),
('3429908109', '', '目标温度', 'TargetTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065829', '0'),
('3436660657', '', '冲洗开关', 'WashingSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066158', '0'),
('3436978733', '', '实际电流', 'Electricity', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065842', '0'),
('3438607962', '', '电机转速', 'E_Craft_Speed_Motor_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1000000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"r/s(rps)\",\"unitName\":\"转每秒\"}"}', '', '系统', '1', '1692347065906', '0'),
('3446488663', '', '总控', 'SwitchAll', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"全关\",\"1\":\"全开\"}"}', '', '系统', '1', '1692347065921', '0'),
('3450738698', '', '总制水量', 'TotalPureWater', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347066157', '0'),
('3451494032', '', '延迟录像', 'DelayedRecord', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065795', '0'),
('3452937382', '', '报警控制', 'AlarmStatus', 'R', '1', '{"type":"bool","specs":"{\"0\":\"未报警状态\",\"1\":\"报警状态\"}"}', '', '系统', '1', '1692347066227', '0'),
('3453995861', '', '高度单位', 'HeightUnit', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"厘米\",\"1\":\"英尺\"}"}', '', '系统', '1', '1692347065807', '0'),
('3454390551', '', '目标温度_19', 'TargetTemperature_19', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('3454444889', '', '电池工厂模式', 'BatteryFactoryMode', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('3456275392', '', '工作模式', 'WorkMode', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"温灸\",\"2\":\"啄灸\",\"3\":\"瘢痕灸\",\"4\":\"智能灸\",\"5\":\"处方灸\"}"}', '', '系统', '1', '1692347065829', '0'),
('3456640282', '', '离枕次数', 'WakeupTimes', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065840', '0'),
('3462878755', '', '插孔开关4', 'SocketSwitch_4', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066013', '0'),
('3465541893', '', '环境温度', 'EnvironmentTemperature', 'R', '0', '{"type":"int","specs":"{\"min\":\"-100\",\"max\":\"200\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065843', '0'),
('3467094545', '', '语音留言链接', 'VoiceMailURL', 'R', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347066035', '0'),
('3473718177', '', '终端执行', 'Run_program', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/runProgram.action', '系统', '1', '1692347065950', '0'),
('3480312280', '', '按摩时间档位', 'MassageTimeLevel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"10分钟\",\"2\":\"20分钟\",\"3\":\"30分钟\"}"}', '', '系统', '1', '1692347066047', '0'),
('3480871724', '', '目标温度_16', 'TargetTemperature_16', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('3485353246', '', '自动巡航', 'AutoCruise', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('3488124446', '', 'adas开关', 'AdasSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065823', '0'),
('349207465', '', '烟机照明开关', 'HoodLight', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065845', '0'),
('3494656024', '', '环境亮度', 'illumination', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065935', '0'),
('3497825295', '', '外窗帘工作模式', 'OuterCurtainMode', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"反转\",\"2\":\"校准中\"}"}', '', '系统', '1', '1692347066188', '0'),
('3498072078', '', '运行时间_1', 'Runtime_1', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"h\",\"unitName\":\"小时\"}"}', '', '系统', '1', '1692347066154', '0'),
('3501312414', '', 'USB开关1', 'USBSwitch_1', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('350574516', '', '风力等级', 'WindLevel', 'R', '1', '{"type":"enum","specs":"{\"0\":\"无风\",\"1\":\"软风\",\"10\":\"狂风\",\"11\":\"暴风\",\"12\":\"飓风\",\"13\":\"龙卷风\",\"2\":\"轻风\",\"3\":\"微风\",\"4\":\"和风\",\"5\":\"轻劲风\",\"6\":\"强风\",\"7\":\"疾风\",\"8\":\"大风\",\"9\":\"烈风\"}"}', '', '系统', '1', '1692347066131', '0'),
('3508461617', '', '随机定时9', 'RandomTimer_9', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066199', '0'),
('3508804638', '', '当前时间', 'CurrentTime', 'R', '1', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065947', '0'),
('3510772233', '', '下管加热时间', 'DownTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066010', '0'),
('3514323357', '', '重量', 'Weight', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"50\",\"step\":\"0.1\",\"unit\":\"kg\",\"unitName\":\"千克（公斤）\"}"}', '蜂箱重量', '系统', '1', '1692347065954', '0'),
('3516584384', '', '标签电量', 'LabelBatteryPercentage', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065953', '0'),
('3522685085', '', '组合有功总电能', 'ActiveEnergyCombinedTotal', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347065983', '0'),
('352460655', '', '磁盘状态', 'DiskState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"异常\",\"2\":\"无硬盘\"}"}', 'NVR磁盘状态', '系统', '1', '1692347065828', '0'),
('3525953201', '', '当前功耗', 'CurrentPowerConsumption', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"1\",\"unit\":\"W\"}"}', '', '系统', '1', '1692347065888', '0'),
('3526637062', '', '菜单', 'Menu', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"默认菜单\",\"1\":\"冻薯条\",\"2\":\"牛排\",\"3\":\"鸡腿\",\"4\":\"蛋糕\",\"5\":\"虾\",\"6\":\"披萨\",\"7\":\"鱼\"}"}', '', '系统', '1', '1692347065870', '0'),
('3527990401', '', '支付金额', 'TotalAmount', 'RW', '1', '{"type":"struct","specs":"[{\"code\":\"TotalItem\",\"name\":\"总数\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}},{\"code\":\"Amount\",\"name\":\"金额\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"20\\\"}\"}}]"}', '', '系统', '1', '1692347065996', '0'),
('352826749', '', '日夜模式', 'DayNightMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"白天模式\",\"1\":\"夜晚模式\",\"2\":\"自动模式\"}"}', '', '系统', '1', '1692347065797', '0'),
('3529092875', '', '负载重量', 'Payload', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"0-25kg\",\"1\":\"25-50kg\",\"2\":\"50-75kg\",\"3\":\"75-100kg\",\"4\":\"100-125kg\",\"5\":\"125-150kg\"}"}', '', '系统', '1', '1692347065850', '0'),
('3537552721', '', '工作模式左', 'LeftWorkMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"待机\",\"1\":\"升温\",\"2\":\"睡眠\"}"}', '', '系统', '1', '1692347066171', '0'),
('3538022211', '', '当前温度_10', 'CurrentTemperature_10', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3539581913', '', '视频加密开关', 'EncryptSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066082', '0'),
('3544658028', '', '环境湿度', 'EnvironmentHumidity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066223', '0'),
('3546148051', '', 'EQ模式', 'EqualizerType', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"流行\",\"2\":\"爵士\",\"3\":\"古典\",\"4\":\"摇滚\",\"5\":\"普通\"}"}', '', '系统', '1', '1692347065991', '0'),
('3549207129', '', '用水状态', 'WateringStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"未用水\",\"1\":\"用水中\"}"}', '', '系统', '1', '1692347066168', '0'),
('3553752609', '', '目标温度_8', 'TargetTemperature_8', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('3553818339', '', '可燃气体检测', 'CombustibleGasCheck', 'R', '0', '{"type":"enum","specs":"{\"0\":\"未监测到可燃气体泄漏\",\"1\":\"监测到可燃气体泄漏\"}"}', '', '系统', '1', '1692347066161', '0'),
('3553899987', '', '线路功率', 'LinePower', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"0.01\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347066055', '0'),
('3556277875', '', '电源开关', 'PowerSwitchAll', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关\",\"1\":\"开\",\"2\":\"停\"}"}', '', '系统', '1', '1692347065920', '0'),
('3562960994', '', '故障电流门限', 'ErrorCurrentThreshold', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0.1\",\"max\":\"9\",\"step\":\"0.1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066245', '0'),
('3563722980', '', '再生剩余水量', 'RemainingWater', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99.00\",\"step\":\"0.1\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347065868', '0'),
('3571629205', '', '有功功率', 'actp', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347065919', '0'),
('3575774189', '', '场景触发_1', 'SceneTrigger_1', 'R', '0', '{"type":"bool","specs":"{\"0\":\"场景无触发\",\"1\":\"场景触发\"}"}', '', '系统', '1', '1692347065994', '0'),
('3582446816', '', '井盖倾斜度', 'TiltValue', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347066096', '0'),
('3582709704', '', '流量', 'Flow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"L/min\",\"unitName\":\"升每分钟\"}"}', '单位：毫升每分钟 ml/min  请进行补充和修改', '系统', '1', '1692347065979', '0'),
('3585353012', '', '设备不良品', 'E_Defect_UP', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '设备次品的累加器', '系统', '1', '1692347065907', '0'),
('3587296266', '', '可溶性盐浓度', 'EC', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '单位为μs/cm，请补充并修改', '系统', '1', '1692347065979', '0'),
('3587335742', '', '监测时间', 'Monitoringtime', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Intervals\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"startDelay\",\"name\":\"开始延迟\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}}]"}', '', '系统', '1', '1692347065892', '0'),
('3589230756', '', '工作模式_9', 'WorkMode_9', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('3591167746', '', '电源频率', 'PowerFrequency', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"50Hz\",\"1\":\"60Hz\"}"}', '电源频率设置', '系统', '1', '1692347065827', '0'),
('3594322706', '', '震动倾斜监测', 'Vibrationtilt', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"150\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347065891', '0'),
('359676501', '', '过压阈值', 'OverVoltThreshold', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"400\",\"step\":\"1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066246', '0'),
('3597964756', '', '变温门状态', 'VariableDoorStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066185', '0'),
('3600646814', '', '环境湿度低报警阈值', 'EnvHumidity_Low_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347065887', '0'),
('3601133371', '', '频道ID', 'ChannelID', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"300\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066089', '0'),
('3604195297', '', '清洗开关', 'CleanSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065920', '0'),
('3604809879', '', '水温低温报警阈值', 'WaterTemp_Low_Threshold', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065887', '0'),
('3606491792', '', '启用检测位移开关门', 'DetectMoveEnabled', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065851', '0'),
('3608203219', '', '光照度', 'mlux', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065916', '0'),
('3611168461', '', '总滴定量', 'TotalAddVolume', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999.9\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347065988', '0'),
('3612558099', '', '打开百分比', 'pt', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065918', '0'),
('3612739759', '', '单曲播放控制', 'PlayControl', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"播放中\",\"1\":\"暂停\",\"2\":\"停止\"}"}', '', '系统', '1', '1692347066089', '0'),
('3618044564', '', '目标温度_5', 'TargetTemperature_5', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('3618230352', '', '预约剩余时间', 'AppointmentRemainingTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"1\",\"max\":\"1440\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065838', '0'),
('3622130422', '', '红外开关', 'InfraredSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065795', '0'),
('3625268267', '', '左灶状态', 'LStoveStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065845', '0'),
('3640637814', '', '位置1状态', 'location1', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无人\",\"1\":\"有人\"}"}', '', '系统', '1', '1692347066233', '0'),
('3641464553', '', '报警频率', 'AlarmFrequencyLevel', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"低频\",\"1\":\"中频\",\"2\":\"高频\"}"}', '', '系统', '1', '1692347065784', '0'),
('3649494548', '', '风速_13', 'WindSpeed_13', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('3652754110', '', '蒸箱模式', 'SteamerMode', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"模式1\",\"2\":\"模式2\",\"3\":\"模式3\",\"4\":\"模式4\",\"5\":\"模式5\"}"}', '', '系统', '1', '1692347065846', '0'),
('3654475829', '', '过流告警使能', 'OverCurrentEnable', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '1：打开，0：关闭', '系统', '1', '1692347066246', '0'),
('3657185517', '', '智能防霉开关', 'SmartMouldproofSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('3660469271', '', 'C相功率因素', 'electric_pfc', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('3662777334', '', '关闭排水', 'DrainOff', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066128', '0'),
('3663482569', '', '进箱数量', 'EntryHiveNumber', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"1\",\"unit\":\"pcs\",\"unitName\":\"只\"}"}', '', '系统', '1', '1692347065954', '0'),
('3667201546', '', '设备状态', 'zsta', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065912', '0'),
('3669260410', '', '蜂鸣器', 'Buzzer', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('3670938874', '', '总有功电能', 'EP', 'R', '1', '{"type":"float","specs":"{\"min\":\"-999999999999999\",\"max\":\"999999999999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('3672504771', '', 'A相电流', 'Ia', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065875', '0'),
('3673927433', '', '倾斜告警', 'OverTiltError', 'R', '1', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '1-告警；0-正常', '系统', '1', '1692347066247', '0'),
('3675350066', '', '倒计时列表', 'CountDownList', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Target\",\"name\":\"操作对象\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}},{\"code\":\"Contents\",\"name\":\"倒计时命令\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}}]"}', '', '系统', '1', '1692347066174', '0'),
('3677296840', '', '测试001', 'Test001', 'RW', '0', '{"type":"text","specs":"{\"length\":\"2\"}"}', '', '系统', '1', '1692347065975', '0'),
('3677780957', '', '电源开关_16', 'PowerSwitch_16', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('3685475477', '', '外窗帘操作模式', 'OuterCurtainOperation', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关窗帘\",\"1\":\"开窗帘\",\"2\":\"暂停窗帘\"}"}', '', '系统', '1', '1692347066188', '0'),
('3687003882', '', '恒湿开关', 'ConstantHumiditySwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066119', '0'),
('3687768786', '', '坐标系统', 'CoordinateSystem', 'R', '0', '{"type":"enum","specs":"{\"1\":\"WGS_84\",\"2\":\"GCJ_02\"}"}', '', '系统', '1', '1692347065991', '0'),
('3695203550', '', '设备合格率', 'E_Q', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '设备合格率', '系统', '1', '1692347065906', '0'),
('3698704711', '', '功放状态', 'PAState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"断线\",\"1\":\"空闲\",\"2\":\"播放中\"}"}', '', '系统', '1', '1692347066073', '0'),
('3701728129', '', '运行次数', 'RunTimes', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065850', '0'),
('3709742804', '', '歌曲总时长', 'PlayDuration', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066089', '0'),
('3709802110', '', '碰撞等级', 'CollideLevels', 'R', '0', '{"type":"enum","specs":"{\"0\":\"无事故\",\"1\":\"一般事故\",\"2\":\"较大事故\",\"3\":\"重大事故\",\"4\":\"特别重大事故\"}"}', '', '系统', '1', '1692347065823', '0'),
('3711252672', '', '断路器开关', 'Breaker_control', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065867', '0'),
('3712818826', '', '前车预警灵敏度', 'FcwSensibility', 'R', '0', '{"type":"enum","specs":"{\"0\":\"Off\",\"1\":\"Low\",\"2\":\"Mid\",\"3\":\"High\"}"}', '', '系统', '1', '1692347065819', '0'),
('3717012723', '', '当前温度_3', 'CurrentTemperature_3', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3722146158', '', '卧室湿度', 'RoomHumidity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065841', '0'),
('3722560208', '', '微笑信息', 'Smile', 'R', '1', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065956', '0'),
('3725802436', '', '碗碟使用时间段', 'UnableToWorkTimeSlot', 'RW', '0', '{"type":"text","specs":"{\"length\":\"254\"}"}', '', '系统', '1', '1692347066001', '0'),
('3725956025', '', '消毒柜工作状态', 'Disinfection_Status', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"暂停\",\"1\":\"启动\",\"2\":\"取消\",\"3\":\"取消预约\"}"}', '', '系统', '1', '1692347066001', '0'),
('3726986899', '', '倒计时剩余时间', 'RemainingTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066194', '0'),
('3729673156', '', '温度', 'E_Craft_TT_Comp', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-10000\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065911', '0'),
('3739609397', '', '工作模式_13', 'WorkMode_13', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066148', '0'),
('3740783764', '', '固件升级状态', 'KitchenVentilator_OTA', 'R', '0', '{"type":"bool","specs":"{\"0\":\"未在进行固件升级\",\"1\":\"正在进行固件升级\"}"}', '', '系统', '1', '1692347066178', '0'),
('3742703325', '', 'GPS时间', 'GnssTime', 'R', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065820', '0'),
('3748178263', '', '氮氧化物浓度', 'NitrogenOxides', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.1\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347066230', '0'),
('3749788898', '', '场景名称_4', 'SceneName_4', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347065995', '0'),
('3750723897', '', '设备时间', 'DeviceTime', 'RW', '0', '{"type":"date","specs":"{}"}', '设备时间', '系统', '1', '1692347065827', '0'),
('3754306007', '', '开关控制', 'Switch_control', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '茶炉开关机', '系统', '1', '1692347065927', '0'),
('3754957674', '', '风速_10', 'WindSpeed_10', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('3755346675', '', '随机定时3', 'RandomTimer_3', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066196', '0'),
('3755624780', '', '当前温度_17', 'CurrentTemperature_17', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('3755935282', '', '磁盘使用率', 'disk_usage', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066133', '0'),
('3756794153', '', '目标温度_15', 'TargetTemperature_15', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('3761980698', '', '背景灯_屏显', 'Screen', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('3762041140', '', 'C相电压', 'Uc', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('3762829487', '', '单次耗水量', 'SingleWaterConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"255.9\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347066109', '0'),
('3772521698', '', '图像', 'DailyImage', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"DailyImageUrl\",\"name\":\"图像URL\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"256\\\"}\"}},{\"code\":\"DailyImageWidth\",\"name\":\"图像宽\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"4608\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}},{\"code\":\"DailyImageHeight\",\"name\":\"图像高\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"3456\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"px\\\",\\\"unitName\\\":\\\"像素\\\"}\"}}]"}', '', '系统', '1', '1692347065811', '0'),
('3773212872', '', '童锁', 'ChildLock', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065807', '0'),
('3781308732', '', '道闸控制', 'Brake_control', 'RW', '1', '{"type":"text","specs":"{\"length\":\"256\"}"}', '20', '系统', '1', '1692347065978', '0'),
('3781918468', '', '油烟机的烟雾浓度大实时检测结果', 'SmokeDetection', 'R', '0', '{"type":"bool","specs":"{\"0\":\"未感应到\",\"1\":\"感应到\"}"}', '', '系统', '1', '1692347066178', '0'),
('3789207323', '', '上层烘干开关', 'DryingUpperSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066000', '0'),
('3789495472', '', '消毒开关', 'SterilizingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065997', '0'),
('3791935074', '', '风速_14', 'WindSpeed_14', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('3792542440', '', '母线电压', 'DC_V', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065809', '0'),
('3792900403', '', '静电电流', 'E_Craft_A_Elect_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065910', '0'),
('3794177228', '', '臭氧开关', 'OzoneSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066176', '0'),
('3795056639', '', '滤芯寿命状态_3', 'FilterStatus_3', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"需要更换\"}"}', '', '系统', '1', '1692347066153', '0'),
('3795202190', '', '小夜灯开关', 'NightLightSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065828', '0'),
('3796704155', '', '定时信息', 'Timer_Quantum', 'RW', '0', '{"type":"text","specs":"{\"length\":\"254\"}"}', '', '系统', '1', '1692347066160', '0'),
('3798935885', '', '通用-扩展信息', 'ExtInfo', 'RW', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065803', '0'),
('3807763167', '', '冷冻室开关', 'FreezerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066184', '0'),
('3810076806', '', '打料杯数', 'HitFeedCupCounts', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065843', '0'),
('381425048', '', '震动能量', 'Eenergy', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"65534\",\"step\":\"0.01\",\"unit\":\"J\",\"unitName\":\"焦耳\"}"}', '', '系统', '1', '1692347065892', '0'),
('3821333141', '', '单位耗电量', 'UnitPowerConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999\",\"step\":\"0.1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '需要将此属性更新到“插座Outlet”品类的属性中，谢谢', '系统', '1', '1692347066194', '0'),
('3821899126', '', '风速_18', 'WindSpeed_18', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066146', '0'),
('3838218175', '', '开关控制', 'ON', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065919', '0'),
('3840091623', '', '电机实际IIT', 'ActIIT', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065808', '0'),
('3848569976', '', '开关机控制', 'Power', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关机\",\"1\":\"开机\"}"}', 'power', '系统', '1', '1692347065950', '0'),
('3849618654', '', '当前温度_1', 'CurrentTemperature_1', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3849797010', '', '前置摄像头分辨率', 'FcResolution', 'R', '0', '{"type":"enum","specs":"{\"0\":\"480P\",\"1\":\"720P\",\"2\":\"1080P\",\"3\":\"2160P\"}"}', '', '系统', '1', '1692347065818', '0'),
('3850499177', '', '加热档位', 'HeatLevel', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"档位1\",\"2\":\"档位2\",\"3\":\"档位3\",\"4\":\"档位4\",\"5\":\"档位5\",\"6\":\"档位6\",\"7\":\"档位7\",\"8\":\"档位8\",\"9\":\"档位9\"}"}', '', '系统', '1', '1692347066171', '0'),
('3851108580', '', '再生引发分钟', 'RegenerateTime_m', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065868', '0'),
('3852698586', '', '本地定时', 'LocalTimer', 'RW', '0', '{"type":"array","specs":"{\"size\":\"5\",\"item\":{\"type\":\"struct\"}}"}', '', '系统', '1', '1692347065872', '0'),
('3855500897', '', '总有功平电能', 'EP_3', 'R', '0', '{"type":"float","specs":"{\"min\":\"-999999999999999\",\"max\":\"999999999999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('3855885081', '', '工作电压', 'LightVolt', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"4\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065936', '0'),
('3856612421', '', '风速_1', 'WindSpeed_1', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066143', '0'),
('386068930', '', '车位状态', 'MagneticState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '', '系统', '1', '1692347066094', '0'),
('3868714793', '', '速度', 'VehSpeed', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"40000\",\"step\":\"0.01\",\"unit\":\"km/h\",\"unitName\":\"千米每小时\"}"}', '', '系统', '1', '1692347065820', '0'),
('3871231830', '', '保管剩余时间', 'KeepDryRemainingTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066109', '0'),
('3873262375', '', '频段', 'WIFI_Band', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066118', '0'),
('3875324887', '', '当前温度_15', 'CurrentTemperature_15', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('3876303219', '', '氧气含量', 'O2Content', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066222', '0'),
('3879455187', '', '震动报警灵敏度', 'VibrateSensitivity', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Count\",\"name\":\"次数\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"1\\\",\\\"max\\\":\\\"10\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"Level\",\"name\":\"级别\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"16\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}}]"}', '', '系统', '1', '1692347066003', '0'),
('3880767116', '', '上加热管温度', 'TopTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066009', '0'),
('3883397000', '', '当前温度_4', 'CurrentTemperature_4', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3883929417', '', 'C相电流总谐波', 'IcTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065877', '0'),
('3884304026', '', '省电骑行', 'SaveElectricityMode', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('3887988737', '', '设备剩余电量', 'Remain_capacity', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '9', '系统', '1', '1692347065977', '0'),
('3888082511', '', '输出频率', 'OutputFrequency', 'R', '0', '{"type":"int","specs":"{\"min\":\"-32768\",\"max\":\"32767\",\"step\":\"10\",\"unit\":\"Hz\",\"unitName\":\"赫兹\"}"}', '', '系统', '1', '1692347065809', '0'),
('3888387493', '', '冲洗进度', 'WashingPercent', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066158', '0'),
('3893754255', '', '起床时间', 'WakeupTime', 'R', '0', '{"type":"date","specs":"{}"}', '', '系统', '1', '1692347065840', '0'),
('3896666586', '', '出风口垂直调节', 'VerticalAdjustment', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"停止\",\"1\":\"摆动\"}"}', '', '系统', '1', '1692347066182', '0'),
('389859579', '', '通电时间累积', 'PwOnTime', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '', '系统', '1', '1692347065809', '0'),
('3900920149', '', 'C相视在功率', 'Sc', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('3906888223', '', '工作模式_2', 'WorkMode_2', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066146', '0'),
('3907494633', '', '晾杆控制模式', 'MotorControlMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"停止\",\"1\":\"上升\",\"2\":\"下降\"}"}', '', '系统', '1', '1692347066130', '0'),
('390788008', '', '无功功率', 'reactp', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"W\",\"unitName\":\"瓦特\"}"}', '', '系统', '1', '1692347065919', '0'),
('3908114031', '', '显示内容', 'Display', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', 'LEDREGIONSDISPLAY', '系统', '1', '1692347065951', '0'),
('3910117005', '', '制冰机的工作状态', 'MachineState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"制冰\",\"1\":\"缺水\",\"2\":\"冰满\",\"3\":\"化冰\",\"4\":\"故障\",\"5\":\"清洗\"}"}', '', '系统', '1', '1692347065920', '0'),
('3916693860', '', '电刹强度', 'EABSLevel', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066004', '0'),
('3920533891', '', '右风量', 'RightWindSpeed', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"低档\",\"2\":\"中档\",\"3\":\"高档\"}"}', '', '系统', '1', '1692347066177', '0'),
('3921152891', '', '水表模块状态', 'WaterMeterState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\",\"3\":\"低电量\"}"}', '', '系统', '1', '1692347066027', '0'),
('3921222176', '', '经度', 'Longitude', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065821', '0'),
('3927823318', '', '随机定时7', 'RandomTimer_7', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066198', '0'),
('3928169728', '', '放水状态', 'WaterState', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"放温水\",\"2\":\"放冷水\"}"}', '', '系统', '1', '1692347065986', '0'),
('39332136', '', '电源开关_20', 'PowerSwitch_20', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('3934441550', '', '内窗帘工作模式', 'InnerCurtainMode', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"反转\",\"2\":\"校准中\"}"}', '', '系统', '1', '1692347066188', '0'),
('3939029391', '', '低水位状态', 'LowWaterLevel', 'R', '0', '{"type":"bool","specs":"{\"0\":\"低水位\",\"1\":\"低于低水位\"}"}', '', '系统', '1', '1692347066226', '0'),
('3943318796', '', '电源开关_18', 'PowerSwitch_18', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('394368253', '', '方向控制', 'DirectionControl', 'RW', '1', '{"type":"enum","specs":"{\"1\":\"上\",\"2\":\"下\",\"3\":\"左\",\"4\":\"右\"}"}', '', '系统', '1', '1692347065928', '0'),
('3944274031', '', '策略', 'action', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"methodId\",\"name\":\"策略编号\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-2147483648\\\",\\\"max\\\":\\\"2147483647\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"mode\",\"name\":\"运行模式\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"brightness\",\"name\":\"亮度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"onOff\",\"name\":\"开关\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"onSet\",\"name\":\"策略参考值\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"65535\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"loop\",\"name\":\"循环设置\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"effectTime\",\"name\":\"生效时间\",\"data_type\":{\"type\":\"date\",\"specs\":\"{}\"}},{\"code\":\"invalidTime\",\"name\":\"失效时间\",\"data_type\":{\"type\":\"date\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065938', '0'),
('3945808075', '', '线路漏电流', 'LineLeakage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"6553.5\",\"step\":\"0.01\",\"unit\":\"mA\",\"unitName\":\"毫安\"}"}', '', '系统', '1', '1692347066055', '0'),
('3947953050', '', '缺水状态', 'NoWaterState', 'R', '1', '{"type":"bool","specs":"{\"0\":\"不缺水\",\"1\":\"缺水\"}"}', '', '系统', '1', '1692347066044', '0'),
('3949719038', '', '支持人脸特征下发', 'SupportFaceFeature', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"支持\",\"1\":\"不支持\"}"}', '用于人脸特征下发，基于人脸门禁1.0物模型
设备级开关', '系统', '1', '1692347065803', '0'),
('3954728023', '', '识别车牌', 'Car_number', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065929', '0'),
('395975073', '', '周二定时', 'TuesdayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('3960375834', '', '保温开关', 'KeepWarmSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066106', '0'),
('3966458989', '', '灯具故障告警', 'LampError', 'R', '1', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"告警\"}"}', '1-告警；0-正常', '系统', '1', '1692347066246', '0'),
('3966571979', '', '场景名称_2', 'SceneName_2', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347065995', '0'),
('396713181', '', '放电线路开关', 'PowerOutSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('397936905', '', '报警状态', 'AlarmState', 'R', '1', '{"type":"bool","specs":"{\"0\":\"未报警状态\",\"1\":\"报警状态\"}"}', '', '系统', '1', '1692347065990', '0'),
('3979476183', '', '人脸ID', 'FaceID', 'R', '1', '{"type":"text","specs":"{\"length\":\"16\"}"}', '', '系统', '1', '1692347065978', '0'),
('3982460519', '', '节目计划', 'Task', 'RW', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '/ids/endSpot.action', '系统', '1', '1692347065950', '0'),
('398376925', '', '二维码状态', 'Status', 'RW', '1', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065956', '0'),
('3985061506', '', '屏幕类型', 'ScreenType', 'R', '1', '{"type":"enum","specs":"{\"0\":\"EPD\",\"1\":\"BCD\",\"2\":\"TFT\",\"3\":\"LCD\",\"4\":\"OLED\"}"}', '', '系统', '1', '1692347065953', '0'),
('3991775623', '', '故障状态', 'Error_Code', 'R', '0', '{"type":"enum","specs":"{\"0\":\"无故障\",\"1\":\"单次燃烧大于60min\",\"11\":\"点火失败\",\"12\":\"燃烧中熄火\",\"14\":\"温度熔断器故障\",\"16\":\"出水温度过高故障\",\"20\":\"高温继电器故障\",\"31\":\"出水温度传感器故障\",\"61\":\"风机故障\",\"71\":\"电磁阀故障\",\"72\":\"意外火焰监测故障\",\"80\":\"比例阀故障\",\"90\":\"CO故障\",\"91\":\"CH4故障\"}"}', '', '系统', '1', '1692347066161', '0'),
('3993862845', '', '当前温度_9', 'CurrentTemperature_9', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('3997411049', '', '前置摄像头录制状态', 'FcRecordState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"Invalid\",\"1\":\"Preview\",\"2\":\"Record\",\"3\":\"Off\"}"}', '', '系统', '1', '1692347065823', '0'),
('3997887408', '', '选择火力', 'FireLevel', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"低\",\"1\":\"中低\",\"2\":\"中\",\"3\":\"中高\",\"4\":\"高\"}"}', '', '系统', '1', '1692347066105', '0'),
('3998537413', '', '剩余时间', 'LeftTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066050', '0'),
('3998709574', '', '干垃圾桶盖', 'ResidualWasteCover', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065825', '0'),
('4000973539', '', '脚底滚轮', 'SoleRoller', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"关\",\"2\":\"慢速\",\"3\":\"中速\",\"4\":\"快速\"}"}', '', '系统', '1', '1692347066048', '0'),
('4002243064', '', '提醒时间点', 'NotificationTime', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065870', '0'),
('400578972', '', '预设位置', 'Position', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"位置一\",\"2\":\"位置二\",\"3\":\"位置三\",\"4\":\"位置四\"}"}', '', '系统', '1', '1692347065807', '0'),
('4006433477', '', 'PM2_5级别', 'PM25Level', 'R', '1', '{"type":"enum","specs":"{\"1\":\"优\",\"2\":\"良\",\"3\":\"轻度污染\",\"4\":\"中度污染\",\"5\":\"重度污染\",\"6\":\"严重污染\"}"}', '', '系统', '1', '1692347066152', '0'),
('4018140583', '', '水温', 'WaterTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"80\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065810', '0'),
('4020265715', '', 'A相功率因素', 'electric_pfa', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065866', '0'),
('4023410635', '', '感应状态', 'SensorState', 'R', '1', '{"type":"bool","specs":"{\"0\":\"未感应到\",\"1\":\"感应到\"}"}', '', '系统', '1', '1692347065927', '0'),
('4023537152', '', '设备运行状态', 'E_Status_UP', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', 'E_Status_UP == 0    初始状态（开机）
E_Status_UP == 1    运行
E_Status_UP == 2    停止
E_Status_UP == 3    故障', '系统', '1', '1692347065907', '0'),
('4026296386', '', '再生引发小时', 'RegenerateTime_h', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"24\",\"step\":\"1\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '', '系统', '1', '1692347065868', '0'),
('4035916247', '', '设防状态', 'DefendState', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066004', '0'),
('4038957698', '', '耗电量', 'PowerConsumption', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"99999\",\"step\":\"0.1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065810', '0'),
('4039297429', '', '下室温度', 'TemperatureLower', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"300\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066000', '0'),
('4041001706', '', '挥发性气体', 'voc', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('4046329735', '', '洗涤剂自投放', 'TargetDetergent', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347066051', '0'),
('4060402116', '', '车内温度', 'VehInsideTemp', 'R', '0', '{"type":"float","specs":"{\"min\":\"-128\",\"max\":\"127\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065820', '0'),
('4062859820', '', '工作剩余时间', 'work_left_time', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"255\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066001', '0'),
('4067740513', '', '预约开关', 'TimerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066001', '0'),
('4068950214', '', '门2状态', 'DoorStatus02', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"关闭\"}"}', '', '系统', '1', '1692347066236', '0'),
('4069145062', '', '碱度', 'alkalinity', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '碱度', '系统', '1', '1692347065778', '0'),
('4077935260', '', '当前温度_13', 'CurrentTemperature_13', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('4078951702', '', 'PH低值报警阈值', 'PH_Low_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"14\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065888', '0'),
('4079556742', '', '安全角度阈值', 'SafetyAngleThreshold', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347066096', '0'),
('4082131473', '', '充电线路开关', 'PowerInSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066005', '0'),
('4082755077', '', '场景颜色', 'ScenesColor', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Hue\",\"name\":\"色调\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"360\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"°\\\",\\\"unitName\\\":\\\"度\\\"}\"}},{\"code\":\"Saturation\",\"name\":\"饱和度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}},{\"code\":\"Value\",\"name\":\"明度\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"100\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"%\\\",\\\"unitName\\\":\\\"百分比\\\"}\"}}]"}', '', '系统', '1', '1692347065917', '0'),
('4083057113', '', '插孔开关2', 'SocketSwitch_2', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('4086091693', '', '剩余工作时间', 'RemainingWorkTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065829', '0'),
('4097771251', '', '线路用电电量', 'LineElectricityQuantity', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"4294967\",\"step\":\"1\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347066054', '0'),
('4108176113', '', '停止注水', 'FillerOff', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066128', '0'),
('411153283', '', 'A相电压总谐波', 'UaTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065877', '0'),
('411373863', '', '燃烧火焰状态', 'Flame_State', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无火\",\"1\":\"有火\"}"}', '', '系统', '1', '1692347066161', '0'),
('411475487', '', '上下扫风', 'VerticalAngle', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭上下扫风\",\"1\":\"打开上下扫风\"}"}', '', '系统', '1', '1692347066218', '0'),
('4115106136', '', '工作模式_4', 'WorkMode_4', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066146', '0'),
('4117650239', '', '门锁钥匙', 'LockKeys', 'RW', '0', '{"type":"array","specs":"{\"size\":\"128\",\"item\":{\"type\":\"struct\"}}"}', '门锁钥匙。', '系统', '1', '1692347066115', '0'),
('4120156658', '', '压力', 'Pressure', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"MPa\",\"unitName\":\"兆帕\"}"}', '', '系统', '1', '1692347065879', '0'),
('4122934106', '', '润滑油液面高度', 'E_Craft_LT_Comp', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-10000\",\"max\":\"100000\",\"step\":\"0.1\",\"unit\":\"m\",\"unitName\":\"米\"}"}', '', '系统', '1', '1692347065911', '0'),
('4132193977', '', '电子纸工作状态', 'epd_work_status', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"3\",\"step\":\"1\",\"unitName\":\"无\"}"}', '获取电子纸设备是否在刷屏，刷屏阶段，不接受数据传输', '系统', '1', '1692347065953', '0'),
('4136016042', '', '运行速度', 'E_Craft_Speed_Gum', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-1000000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"m/s\",\"unitName\":\"米每秒\"}"}', '', '系统', '1', '1692347065908', '0'),
('4136181302', '', '风干剩余时间', 'AirDryingRemainingTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"1\",\"unit\":\"′\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347066132', '0'),
('4146340708', '', '脱水转速', 'TargetSpinSpeed', 'RW', '0', '{"type":"int","specs":"{\"min\":\"100\",\"max\":\"1600\",\"step\":\"1\",\"unit\":\"rpm\",\"unitName\":\"每分钟转数\"}"}', '', '系统', '1', '1692347066050', '0'),
('4148168907', '', '加热档位左', 'LeftHeatLevel', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"档位1\",\"2\":\"档位2\",\"3\":\"档位3\",\"4\":\"档位4\",\"5\":\"档位5\",\"6\":\"档位6\",\"7\":\"档位7\",\"8\":\"档位8\",\"9\":\"档位9\"}"}', '', '系统', '1', '1692347066171', '0'),
('4151052679', '', '是否支持预录', 'PreRecordSupport', 'R', '0', '{"type":"bool","specs":"{\"0\":\"不支持\",\"1\":\"支持\"}"}', '', '系统', '1', '1692347065794', '0'),
('4154406586', '', '水浸状态', 'WaterLeachState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"水浸\"}"}', '', '系统', '1', '1692347066097', '0'),
('4156041135', '', '油烟机故障号', 'KitchenVentilator_ErrorCode', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066178', '0'),
('4156207566', '', '线路电流', 'LineCurrent', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"655.35\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066054', '0'),
('4158034232', '', '烟雾检测状态', 'SmokeSensorState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"检测到烟雾\"}"}', '', '系统', '1', '1692347066219', '0'),
('415896580', '', '数据同步频率', 'DataUpdateTime', 'RW', '0', '{"type":"text","specs":"{\"length\":\"20\"}"}', '', '系统', '1', '1692347066035', '0'),
('4160373614', '', '有效电流', 'RMSCurrent', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"16\",\"step\":\"0.1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066013', '0'),
('4160914984', '', '门锁控制', 'Lock_control', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065884', '0'),
('4161038595', '', '场景名称', 'SceneName', 'RW', '0', '{"type":"text","specs":"{\"length\":\"8\"}"}', '', '系统', '1', '1692347065994', '0'),
('4161343768', '', '二氧化碳', 'CO2Value', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"5000\",\"step\":\"0.01\",\"unit\":\"ppm\",\"unitName\":\"ppm\"}"}', '二氧化碳浓度', '系统', '1', '1692347065945', '0'),
('4174121521', '', '电源开关_11', 'PowerSwitch_11', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('4174600440', '', '磁盘使用率', 'DiskUsage', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065964', '0'),
('4178874874', '', '夜灯开关', '4', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065903', '0'),
('4181512372', '', '滤芯寿命状态_5', 'FilterStatus_5', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"需要更换\"}"}', '', '系统', '1', '1692347066156', '0'),
('4185971376', '', '车位状态', 'Ifcar', 'R', '1', '{"type":"bool","specs":"{\"0\":\"无车\",\"1\":\"有车\"}"}', '', '系统', '1', '1692347065956', '0'),
('4192993784', '', '传感器名称', 'SensorName', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"SensorLocation\",\"name\":\"传感器名称\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"63\\\"}\"}},{\"code\":\"SensorSerialNumber\",\"name\":\"传感器串码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"9\\\"}\"}}]"}', '', '系统', '1', '1692347066056', '0'),
('4197875249', '', 'MAC地址', 'MACAddress', 'R', '1', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065964', '0'),
('4208660658', '', '风速_11', 'WindSpeed_11', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066145', '0'),
('421151221', '', '左炉工作时间', 'LeftWorkTime', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066164', '0'),
('4215935625', '', '线路名称', 'LineName', 'RW', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066054', '0'),
('4219642745', '', 'BC线电压', 'Ubc', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('4222312596', '', '按摩位置', 'MassagePosition', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"全身\",\"2\":\"局部\",\"3\":\"定点\"}"}', '', '系统', '1', '1692347066048', '0'),
('4223983833', '', 'C相电压总谐波', 'UcTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065878', '0'),
('4226373326', '', '循环定时8', 'PeriodTimer_8', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}},{\"code\":\"RunTime\",\"name\":\"运行时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}},{\"code\":\"SleepTime\",\"name\":\"间隔时间\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"10\\\",\\\"max\\\":\\\"720\\\",\\\"step\\\":\\\"10\\\",\\\"unit\\\":\\\"min\\\",\\\"unitName\\\":\\\"分\\\"}\"}}]"}', '请将此属性 添加到 插座 品类中，可选', '系统', '1', '1692347066205', '0'),
('4227417316', '', '有效电压', 'RMSVoltage', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"250\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347066014', '0'),
('4229719001', '', '节气', 'SolarTerms', 'R', '0', '{"type":"enum","specs":"{\"0\":\"立春\",\"1\":\"雨水\",\"10\":\"小暑\",\"11\":\"大暑\",\"12\":\"立秋\",\"13\":\"处暑\",\"14\":\"白露\",\"15\":\"秋分\",\"16\":\"寒露\",\"17\":\"霜降\",\"18\":\"立冬\",\"19\":\"小雪\",\"2\":\"惊蛰\",\"20\":\"大雪\",\"21\":\"冬至\",\"22\":\"小寒\",\"23\":\"大寒\",\"3\":\"春分\",\"4\":\"清明\",\"5\":\"谷雨\",\"6\":\"立夏\",\"7\":\"小满\",\"8\":\"芒种\",\"9\":\"夏至\",\"99\":\"不存在\"}"}', '', '系统', '1', '1692347066131', '0'),
('4232352046', '', '插孔开关1', 'SocketSwitch_1', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('4240200188', '', '静音', 'Quiet', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0');
INSERT INTO "properties" ("id", "product_id", "name", "code", "access_mode", "require", "type_spec", "description", "tag", "system", "created", "modified") VALUES
('424783646', '', '天气现象', 'Weather', 'R', '0', '{"type":"enum","specs":"{\"0\":\"晴\",\"1\":\"多云\",\"10\":\"暴雨\",\"11\":\"大暴雨\",\"12\":\"特大暴雨\",\"13\":\"阵雪\",\"14\":\"小雪\",\"15\":\"中雪\",\"16\":\"大雪\",\"17\":\"暴雪\",\"18\":\"雾\",\"19\":\"冻雨\",\"2\":\"阴\",\"20\":\"沙尘暴\",\"21\":\"小到中雨\",\"22\":\"中到大雨\",\"23\":\"大到暴雨\",\"24\":\"暴雨到大暴雨\",\"3\":\"阵雨\",\"4\":\"雷阵雨\",\"5\":\"雷阵雨伴有冰雹\",\"6\":\"雨夹雪\",\"7\":\"小雨\",\"8\":\"中雨\",\"9\":\"大雨\"}"}', '', '系统', '1', '1692347066131', '0'),
('4248735213', '', '电源开关_10', 'PowerSwitch_10', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('4251902560', '', '移动侦测开关', 'MotionDetectSwitch', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065797', '0'),
('4257379834', '', '目标温度_10', 'TargetTemperature_10', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('4259698784', '', 'B相无功功率', 'electric_pqb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"kvar\",\"unitName\":\"千乏\"}"}', '', '系统', '1', '1692347065866', '0'),
('4259829171', '', '设备产量', 'E_OutPut_UP', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '设备产量的累加器', '系统', '1', '1692347065907', '0'),
('4264387665', '', '环境湿度高报警阈值', 'EnvHumidity_High_Threshold', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347065887', '0'),
('4269140774', '', '卧室温度', 'RoomTemp', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"50\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065841', '0'),
('4269191885', '', '频率', 'F', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"Hz\",\"unitName\":\"赫兹\"}"}', '', '系统', '1', '1692347065877', '0'),
('427083520', '', '反应速度', 'response_speed', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10\",\"step\":\"0.01\",\"unit\":\"s\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065914', '0'),
('4272879458', '', '蒸箱制作时间设置', 'SteamerTimeSetMinute', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347065846', '0'),
('4277871795', '', '消毒开关', 'DisinfectionSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066130', '0'),
('4286063633', '', '电源开关_3', 'PowerSwitch_3', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066142', '0'),
('4288202888', '', '总氰化物', 'total_cyanide', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"200\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '总氰化物', '系统', '1', '1692347065778', '0'),
('4289222299', '', 'AB线电压', 'Uab', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('4291699340', '', '内置摄像头接口类型', 'FcInterfaceType', 'R', '0', '{"type":"enum","specs":"{\"0\":\"NONE\",\"1\":\"MIPI\",\"2\":\"USB\",\"3\":\"WEBCAM\"}"}', '', '系统', '1', '1692347065819', '0'),
('4294643869', '', '缺水状态', 'WaterShortage', 'R', '0', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"缺水\"}"}', '', '系统', '1', '1692347066119', '0'),
('433582679', '', '加热开关', 'HeatSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066106', '0'),
('435140332', '', '取票信息', 'UploadTicketHistory', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065955', '0'),
('43736649', '', '相对湿度', 'RelativeHumidity', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '空气相对湿度', '系统', '1', '1692347065945', '0'),
('437759905', '', '软件信息', 'SoftwareInfo', 'R', '1', '{"type":"struct","specs":"[{\"code\":\"softVersion\",\"name\":\"软件版本\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"versionInfo\",\"name\":\"版本详细信息\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"2048\\\"}\"}}]"}', '', '系统', '1', '1692347065964', '0'),
('438893133', '', '音乐选择', 'MusicSelect', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"上一首\",\"2\":\"下一首\"}"}', '', '系统', '1', '1692347065991', '0'),
('439031734', '', '防冻运行', 'AntifreezeRunning', 'R', '0', '{"type":"enum","specs":"{\"0\":\"关闭\",\"1\":\"一级防冻\",\"2\":\"二级防冻\"}"}', '', '系统', '1', '1692347065982', '0'),
('439440850', '', '工况累计量', 'WorkingConditionIntegratedFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347065878', '0'),
('442140851', '', '车位总数', 'TotalParkSpace', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"99999999\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065853', '0'),
('444967152', '', '设备编码', 'DeviceCode', 'RW', '0', '{"type":"text","specs":"{\"length\":\"20\"}"}', '', '系统', '1', '1692347066034', '0'),
('448205264', '', '工作状态', 'WorkState', 'R', '0', '{"type":"enum","specs":"{\"1\":\"待机\",\"2\":\"预约\",\"3\":\"和面\",\"4\":\"醒面\",\"5\":\"出面\",\"6\":\"完成\",\"7\":\"报警\"}"}', '', '系统', '1', '1692347065864', '0'),
('449225189', '', '冲压压力', 'E_Craft_PT_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"-1000000\",\"max\":\"1000000\",\"step\":\"0.1\",\"unit\":\"kPa\",\"unitName\":\"千帕\"}"}', '', '系统', '1', '1692347065906', '0'),
('452254109', '', '红外控制模块的输出温度值', 'TemperatureFromIRControlModel', 'R', '0', '{"type":"float","specs":"{\"min\":\"-40.0\",\"max\":\"55.0\",\"step\":\"0.1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066241', '0'),
('458813284', '', '食谱信息', 'RecipeInformation', 'R', '0', '{"type":"enum","specs":"{\"1\":\"本地食谱\",\"2\":\"云食谱\"}"}', '', '系统', '1', '1692347066041', '0'),
('461032712', '', 'IP地址', 'IPAddress', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065796', '0'),
('462748982', '', '一氧化碳浓度', 'CO', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347065979', '0'),
('462888263', '', '位置2状态', 'location2', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无人\",\"1\":\"有人\"}"}', '', '系统', '1', '1692347066232', '0'),
('468006111', '', '易释放氰化物', 'easy_release_cyanide', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '易释放氰化物', '系统', '1', '1692347065778', '0'),
('468035204', '', '当前温度_19', 'CurrentTemperature_19', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('468380498', '', 'wifi开关', 'WifiSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"Fasle\",\"1\":\"Ture\"}"}', '', '系统', '1', '1692347065819', '0'),
('481446387', '', '门铃灯开关', 'RingLEDSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065941', '0'),
('486306100', '', '手动运行时间', 'ManualRunTime', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"″\",\"unitName\":\"秒\"}"}', '', '系统', '1', '1692347065988', '0'),
('486320844', '', '变温室开关', 'VariableSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066185', '0'),
('490185724', '', '右灶状态', 'RStoveStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347065845', '0'),
('4971978', '', '电梯状态', 'ElevatorStatus', 'RW', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065832', '0'),
('497472970', '', 'TDS高值报警阈值', 'TDS_High_Threshold', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"3000\",\"step\":\"1\"}"}', '', '系统', '1', '1692347065888', '0'),
('498550162', '', '工作模式_10', 'WorkMode_10', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('504909645', '', '喷淋水泵状态', 'SprayPumpStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066225', '0'),
('505491855', '', '风速_9', 'WindSpeed_9', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('50689835', '', '流量值', 'FLO_Value', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"9999\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '流量值', '系统', '1', '1692347066068', '0'),
('50745671', '', '运行控制', 'OperationControl', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"启动\",\"1\":\"暂停\",\"2\":\"取消\"}"}', '', '系统', '1', '1692347066010', '0'),
('509417013', '', '过流阈值', 'OverCurrentThreshold', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"9\",\"step\":\"1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066246', '0'),
('510614503', '', '门磁状态', 'ContactState', 'R', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066220', '0'),
('514305414', '', '滤芯剩余寿命百分比_4', 'FilterLifeTimePercent_4', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066154', '0'),
('51481656', '', 'USB开关3', 'USBSwitch_3', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066015', '0'),
('519030183', '', '主码流视频质量', 'StreamVideoQuality', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"流畅\",\"1\":\"标清\",\"2\":\"高清\"}"}', '', '系统', '1', '1692347065783', '0'),
('520720153', '', '左炉开关', 'LeftSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066163', '0'),
('52083457', '', '模块状态', 'ModuleState', 'R', '0', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"通信失败\",\"2\":\"低电量\",\"3\":\"异常\"}"}', '', '系统', '1', '1692347065925', '0'),
('522063705', '', '设备名称', 'DeviceName', 'RW', '0', '{"type":"text","specs":"{\"length\":\"256\"}"}', '设备别名', '系统', '1', '1692347065827', '0'),
('523233443', '', 'CPU内核数量', 'cpu_core_number', 'R', '1', '{"type":"int","specs":"{\"min\":\"1\",\"max\":\"128\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066133', '0'),
('529231595', '', '单次耗电量', 'SinglePowerConsumption', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2.55\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时\"}"}', '', '系统', '1', '1692347066109', '0'),
('53127339', '', '告警角度阈值', 'TiltAlarmThreshold', 'RW', '0', '{"type":"int","specs":"{\"min\":\"5\",\"max\":\"180\",\"step\":\"1\",\"unit\":\"°\",\"unitName\":\"度\"}"}', '', '系统', '1', '1692347066225', '0'),
('533418272', '', '二氧化碳模块状态', 'CO2ModuleStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066238', '0'),
('53642216', '', 'B相视在功率', 'electric_psb', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065866', '0'),
('537006607', '', '剩余存储空间', 'StorageRemainCapacity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065797', '0'),
('540680208', '', '插孔开关6', 'SocketSwitch_6', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('545012360', '', '信噪比', 'WiFI_SNR', 'RW', '1', '{"type":"int","specs":"{\"min\":\"-127\",\"max\":\"127\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066118', '0'),
('545380338', '', '齿轮分配阀润滑次数', 'E_Craft_C1_Oiling_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065906', '0'),
('545473708', '', '二进制开关', 'BinarySwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065913', '0'),
('548539767', '', '上下摆风开关', 'VerticalSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('550832966', '', '滤芯剩余寿命时间_1', 'FilterLifeTimeDays_1', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"day\",\"unitName\":\"日\"}"}', '', '系统', '1', '1692347066153', '0'),
('55137744', '', '对讲机状态', 'IntercomState', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"空闲\",\"1\":\"呼叫中\",\"2\":\"通话中\"}"}', '', '系统', '1', '1692347065861', '0'),
('555639343', '', '红外控制模块指令', 'CommandFromIRControlModel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"空操作\",\"1\":\"打开空调\",\"2\":\"关闭空调\",\"3\":\"设置温度\"}"}', '', '系统', '1', '1692347066241', '0'),
('556680255', '', '扩展网路标识', 'EXT_PAN_ID', 'RW', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347065932', '0'),
('560491564', '', '人脸类型', 'Facetype', 'R', '1', '{"type":"text","specs":"{\"length\":\"16\"}"}', '', '系统', '1', '1692347065978', '0'),
('561150416', '', '继电器复位温度', 'PressureOnTemperature', 'RW', '0', '{"type":"int","specs":"{\"min\":\"90\",\"max\":\"230\",\"step\":\"1\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066053', '0'),
('566336421', '', '电源开关右', 'RightPowerSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066171', '0'),
('57145186', '', '灌溉水泵状态', 'IrrigationPumpStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066225', '0'),
('572061346', '', '水壶温度', 'KettleTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065986', '0'),
('572486490', '', '有机挥发物浓度', 'Tvoc', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"50\",\"step\":\"0.01\",\"unit\":\"ppm\",\"unitName\":\"ppm\"}"}', 'TVOCValue', '系统', '1', '1692347065977', '0'),
('573563215', '', '小槽工作模式', 'Small_Work_Mode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"普通洗碗\",\"1\":\"普通果蔬\",\"2\":\"高温除菌\",\"3\":\"超声波\",\"4\":\"智能模式\"}"}', '', '系统', '1', '1692347066110', '0'),
('575313929', '', '当前电压', 'volt', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '当前电压', '系统', '1', '1692347065919', '0'),
('575364543', '', '目标温度_11', 'TargetTemperature_11', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('578139948', '', 'A相无功功率', 'Qa', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"KVA\",\"unitName\":\"千伏安\"}"}', '', '系统', '1', '1692347065876', '0'),
('584031194', '', '智能烹饪参数', 'Auto_Cook_Param', 'RW', '0', '{"type":"text","specs":"{\"length\":\"254\"}"}', '', '系统', '1', '1692347066164', '0'),
('587580940', '', '机芯幅度', 'MassageRange', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"未设定\",\"1\":\"宽\",\"2\":\"中\",\"3\":\"窄\"}"}', '', '系统', '1', '1692347066048', '0'),
('587820094', '', '逗留报警音量', 'StayAlarmVolume', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066075', '0'),
('591035323', '', '溶氧量', 'DO', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '溶氧量', '系统', '1', '1692347065777', '0'),
('597462653', '', '总存储空间', 'StorageTotalCapacity', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"0.01\",\"unit\":\"MB\",\"unitName\":\"兆字节\"}"}', '', '系统', '1', '1692347065797', '0'),
('600058866', '', 'MAC地址', 'MacAddress', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065796', '0'),
('603844969', '', '推窗器位置', 'ActuatorPosition', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066175', '0'),
('606720397', '', 'RGB调色', 'RGBColor', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"Red\",\"name\":\"红色\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"Green\",\"name\":\"绿色\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}},{\"code\":\"Blue\",\"name\":\"蓝色\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"0\\\",\\\"max\\\":\\\"255\\\",\\\"step\\\":\\\"1\\\",\\\"unitName\\\":\\\"无\\\"}\"}}]"}', '', '系统', '1', '1692347065904', '0'),
('608583829', '', '左右耳平衡', 'LeftRightBalance', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065991', '0'),
('61095862', '', '顶置分配阀压润滑次数', 'E_Craft_C2_Oiling_Punch', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000000\",\"step\":\"0.1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065906', '0'),
('612393194', '', '风速_20', 'WindSpeed_20', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066146', '0'),
('61319892', '', '总耗水量', 'TotalWater', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"L\",\"unitName\":\"升\"}"}', '', '系统', '1', '1692347066160', '0'),
('617246017', '', '一氧化碳', 'co', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347065916', '0'),
('627647703', '', '控制模式', 'ModeControl', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"烘干\",\"2\":\"消毒\",\"3\":\"杀菌\"}"}', '', '系统', '1', '1692347065872', '0'),
('634774107', '', '纬度', 'Latitude', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"180\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065821', '0'),
('639531873', '', '扫票信息', 'UploadScannerHistory', 'R', '0', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347065955', '0'),
('640720054', '', '主灯亮度', 'LightLuminance', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065981', '0'),
('641303038', '', '心跳', 'Heartbeat', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"停止\",\"1\":\"正常\"}"}', '', '系统', '1', '1692347066212', '0'),
('647307799', '', '大棚空气温度', 'airTemp', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"2000\",\"step\":\"0.01\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065929', '0'),
('652736033', '', '当前温度右', 'RightCurrentTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"70\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066170', '0'),
('655466583', '', '节能开关', 'EnergySavingSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066168', '0'),
('6565962', '', '柔顺剂自投放', 'TargetSoftener', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347066051', '0'),
('66147270', '', '燃气泄漏检测状态', 'GasSensorState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"泄漏\"}"}', '', '系统', '1', '1692347066163', '0'),
('664444077', '', '甲醛浓度', 'HCHO', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1\",\"step\":\"0.01\",\"unit\":\"ppm\",\"unitName\":\"ppm\"}"}', 'HCHOValue', '系统', '1', '1692347065976', '0'),
('667998539', '', 'CA线电压', 'Uca', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065875', '0'),
('668415223', '', '标况流量', 'StandardConditionInstantaneousFlow', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"m³/h\",\"unitName\":\"立方米每小时\"}"}', '', '系统', '1', '1692347065879', '0'),
('668741980', '', '预约时间', 'AppointmentTime', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"720\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分\"}"}', '', '系统', '1', '1692347065870', '0'),
('669966357', '', '变温室目标温度', 'VariableTargetTemperature', 'RW', '0', '{"type":"float","specs":"{\"min\":\"-18\",\"max\":\"0\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066185', '0'),
('66998172', '', '室内温度', 'IndoorTemperature', 'R', '0', '{"type":"float","specs":"{\"min\":\"-100\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065983', '0'),
('671916548', '', 'TVOC_VOC浓度', 'TVOC', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"3\",\"step\":\"0.01\",\"unit\":\"mg/m³\",\"unitName\":\"毫克每立方米\"}"}', '', '系统', '1', '1692347066154', '0'),
('687148348', '', '预约定时', 'ReservationTimer', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"720\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066051', '0'),
('68914104', '', '左灶关火', 'LPowerOff', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065845', '0'),
('689955195', '', '睡眠', 'Sleep', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('692315244', '', '考勤图片地址', 'AttendancePictureAddress', 'R', '0', '{"type":"text","specs":"{\"length\":\"128\"}"}', '', '系统', '1', '1692347066034', '0'),
('700089167', '', '道闸设备状态', 'GateState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"已打开\",\"1\":\"已关闭\",\"2\":\"开闸中\",\"3\":\"关闸中\"}"}', '道闸设备状态', '系统', '1', '1692347065784', '0'),
('700931809', '', '目标温度_12', 'TargetTemperature_12', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('70114757', '', '加水', 'AddWater', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"停止加水\",\"1\":\"开启加水\"}"}', '', '系统', '1', '1692347065924', '0'),
('701932967', '', '空开电表电流值', 'AirConCurrent', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"30\",\"step\":\"0.1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347066240', '0'),
('704995452', '', '冷冻门状态', 'FreezerDoorStatus', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"打开\"}"}', '', '系统', '1', '1692347066184', '0'),
('706754987', '', '烟感状态', 'SmokeState', 'R', '1', '{"type":"enum","specs":"{\"0\":\"正常\",\"1\":\"火警\"}"}', '', '系统', '1', '1692347066235', '0'),
('707868386', '', '工作模式_11', 'WorkMode_11', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"制冷\",\"2\":\"制热\",\"3\":\"通风\",\"4\":\"除湿\"}"}', '', '系统', '1', '1692347066147', '0'),
('713416083', '', '氨氮', 'ammonia_nitrogen', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1000\",\"step\":\"0.1\",\"unit\":\"mg/L\",\"unitName\":\"毫克每升\"}"}', '氨氮', '系统', '1', '1692347065778', '0'),
('719600956', '', '报警开关', 'AlarmSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065784', '0'),
('723728251', '', '音乐播放模式', 'MusicPlayMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"列表顺序\",\"1\":\"列表循环\",\"2\":\"单曲循环\",\"3\":\"随机\"}"}', '', '系统', '1', '1692347065859', '0'),
('724068540', '', '夜汗', 'Sweat', 'R', '0', '{"type":"enum","specs":"{\"1\":\"无汗或微汗\",\"2\":\"出汗\",\"3\":\"大汗\"}"}', '', '系统', '1', '1692347065840', '0'),
('726190714', '', '强力', 'Turbo', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('730059022', '', '外窗帘打开位置', 'OuterCurtainPosition', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066188', '0'),
('731433345', '', '吊扇开关', 'FanSwitch', 'RW', '1', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065980', '0'),
('732236412', '', '是否支持二维码', 'IsSurportQrCode', 'R', '1', '{"type":"bool","specs":"{\"0\":\"不支持\",\"1\":\"支持\"}"}', '是否支持二维码', '系统', '1', '1692347065784', '0'),
('737847850', '', '环境光照度', 'Env_lux', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"150000\",\"step\":\"0.01\",\"unit\":\"Lux\",\"unitName\":\"照度\"}"}', 'lightValue', '系统', '1', '1692347065977', '0'),
('740211909', '', '随机定时5', 'RandomTimer_5', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"StartTime\",\"name\":\"开始时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"EndTime\",\"name\":\"结束时间\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Repeat\",\"name\":\"重复\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"1024\\\"}\"}},{\"code\":\"Enable\",\"name\":\"启用\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}},{\"code\":\"TimeZoneOffset\",\"name\":\"时差\",\"data_type\":{\"type\":\"int\",\"specs\":\"{\\\"min\\\":\\\"-43200\\\",\\\"max\\\":\\\"50400\\\",\\\"step\\\":\\\"1\\\",\\\"unit\\\":\\\"s\\\",\\\"unitName\\\":\\\"秒\\\"}\"}}]"}', '将此属性添加到“插座”品类中，可选', '系统', '1', '1692347066197', '0'),
('742237249', '', '目标温度_3', 'TargetTemperature_3', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066140', '0'),
('759441868', '', '溶液瓶体积', 'BottleVolume', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0.1\",\"max\":\"60000.0\",\"step\":\"0.01\",\"unit\":\"mL\",\"unitName\":\"毫升\"}"}', '', '系统', '1', '1692347065989', '0'),
('76404179', '', '风速_4', 'WindSpeed_4', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"静音档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347066144', '0'),
('764834358', '', '场景触发', 'SceneTrigger', 'R', '0', '{"type":"bool","specs":"{\"0\":\"场景无触发\",\"1\":\"场景触发\"}"}', '', '系统', '1', '1692347065994', '0'),
('766969989', '', '继电器常闭触点', 'NC', 'R', '0', '{"type":"bool","specs":"{\"0\":\"打开\",\"1\":\"闭合\"}"}', '', '系统', '1', '1692347065846', '0'),
('767801614', '', '电子围栏', 'ElectronicFence', 'RW', '0', '{"type":"int","specs":"{\"min\":\"100\",\"max\":\"1000\",\"step\":\"1\",\"unit\":\"m\",\"unitName\":\"米\"}"}', '', '系统', '1', '1692347066003', '0'),
('768179746', '', '二氧化碳含量', 'CO2Content', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066222', '0'),
('771921360', '', '屏幕颜色', 'ScreenColour', 'R', '1', '{"type":"enum","specs":"{\"0\":\"黑白\",\"1\":\"黑白红\",\"2\":\"黑白黄\",\"3\":\"全彩\"}"}', '', '系统', '1', '1692347065953', '0'),
('780872787', '', '全自动', 'AutomaticSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"开启全自动\",\"1\":\"关闭全自动\"}"}', '', '系统', '1', '1692347065924', '0'),
('782413660', '', '周四定时', 'ThursdayTiming', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"2147483647\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065982', '0'),
('782827623', '', '实际位置', 'ActPos', 'R', '0', '{"type":"int","specs":"{\"min\":\"-210000000\",\"max\":\"210000000\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065808', '0'),
('78397606', '', '当前温度_11', 'CurrentTemperature_11', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('784429575', '', '干燥', 'Blo', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('785075181', '', '总视在功率', 'S', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('787210555', '', '道闸状态', 'Brake_state', 'R', '1', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '25', '系统', '1', '1692347065978', '0'),
('787983203', '', '频道', 'Channel', 'RW', '1', '{"type":"enum","specs":"{\"0\":\"频道减\",\"1\":\"频道加\"}"}', '', '系统', '1', '1692347066019', '0'),
('790923016', '', '烘干时长', 'DryTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066051', '0'),
('792494524', '', '通用-RSA公钥', 'RSAPublicKey', 'RW', '0', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '加密二维码', '系统', '1', '1692347065803', '0'),
('809221450', '', '水平摆风开关', 'HorizontalSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066149', '0'),
('809577716', '', '米种选择', 'RiceType', 'RW', '0', '{"type":"enum","specs":"{\"1\":\"浙江米\",\"10\":\"湖南米\",\"2\":\"糯米\",\"3\":\"糙米\",\"4\":\"长粒米\",\"5\":\"东北米\",\"6\":\"丝苗米\",\"7\":\"珍珠米\",\"8\":\"泰国香米\",\"9\":\"秋田小町\"}"}', '', '系统', '1', '1692347066102', '0'),
('81825972', '', '插孔开关7', 'SocketSwitch_7', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066013', '0'),
('824665335', '', '传感器工作模式', 'SensorWorkMode', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"SensorSerialNumber\",\"name\":\"传感器串码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"9\\\"}\"}},{\"code\":\"SensorWorkMode\",\"name\":\"传感器布防模式\",\"data_type\":{\"type\":\"enum\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347066057', '0'),
('827662684', '', '中水位状态', 'MiddleWaterLevel', 'R', '0', '{"type":"bool","specs":"{\"0\":\"不到中水位\",\"1\":\"达到中水位\"}"}', '', '系统', '1', '1692347066226', '0'),
('82981291', '', '井盖状态', 'CoverStatus', 'R', '1', '{"type":"bool","specs":"{\"0\":\"正常\",\"1\":\"井盖被打开\"}"}', '井盖状态，1代表井盖被打开，0代表井盖状态正常', '系统', '1', '1692347066224', '0'),
('830213', '', '门铃音量', 'RingVolume', 'RW', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065942', '0'),
('831506143', '', 'ADAS开关', 'ADASSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"False\",\"1\":\"Ture\"}"}', '', '系统', '1', '1692347065819', '0'),
('834602144', '', '红外模块的通信状态', 'IRControlModelCommStatus', 'R', '0', '{"type":"enum","specs":"{\"0\":\"通信正常\",\"1\":\"通信失败\",\"2\":\"设备异常\"}"}', '', '系统', '1', '1692347066241', '0'),
('838336251', '', '暂停开关', 'PauseSwitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347065993', '0'),
('845771282', '', '功率档位', 'PowerLevel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"自动\",\"1\":\"最低档\",\"2\":\"低档\",\"3\":\"中档\",\"4\":\"高档\",\"5\":\"最高档\"}"}', '', '系统', '1', '1692347065993', '0'),
('852883003', '', '泵工作模式', 'PumpWorkMode', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"手动\",\"1\":\"自动\"}"}', '', '系统', '1', '1692347065988', '0'),
('857285251', '', '工作电流', 'LightCurrent', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"9\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065936', '0'),
('857457239', '', '行车模式开关', 'DriveModeSwitch', 'R', '0', '{"type":"bool","specs":"{\"0\":\"关\",\"1\":\"开\"}"}', '', '系统', '1', '1692347065823', '0'),
('859595756', '', '当前小时', 'CurrentTime_h', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"24\",\"step\":\"1\",\"unit\":\"h\",\"unitName\":\"时\"}"}', '', '系统', '1', '1692347065867', '0'),
('86519844', '', '电源开关_15', 'PowerSwitch_15', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066143', '0'),
('867974991', '', '卫浴温度', 'BathTemperature', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"99\",\"step\":\"1\",\"unit\":\"℃\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347065982', '0'),
('870087784', '', '电源开关', 'Powerswitch', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066026', '0'),
('880863842', '', '漂洗时长', 'RinshTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066050', '0'),
('889972185', '', '总有功尖电能', 'EP_1', 'R', '0', '{"type":"float","specs":"{\"min\":\"-999999999999999\",\"max\":\"999999999999999\",\"step\":\"0.01\",\"unit\":\"kW·h\",\"unitName\":\"千瓦·时(度)\"}"}', '', '系统', '1', '1692347065877', '0'),
('89214921', '', 'WiFi信号强度', 'WiFiRSSI', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unitName\":\"无\"}"}', 'WiFi信号强度', '系统', '1', '1692347065851', '0'),
('893812959', '', 'C相有功功率', 'Pc', 'R', '0', '{"type":"float","specs":"{\"min\":\"-10000000000\",\"max\":\"10000000000\",\"step\":\"0.01\",\"unit\":\"kW\",\"unitName\":\"千瓦\"}"}', '', '系统', '1', '1692347065876', '0'),
('900888283', '', '运行时间_2', 'Runtime_2', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"h\",\"unitName\":\"小时\"}"}', '', '系统', '1', '1692347066154', '0'),
('903415297', '', '单元格加热开关', 'CellHeatingSwitch', 'RW', '0', '{"type":"struct","specs":"[{\"code\":\"CellCode\",\"name\":\"编号\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"100\\\"}\"}},{\"code\":\"Status\",\"name\":\"状态\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065998', '0'),
('904464974', '', '光照度', 'lightLuxValue', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"60000\",\"step\":\"0.01\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065930', '0'),
('906225156', '', '通道数目', 'ChannelNumber', 'R', '1', '{"type":"int","specs":"{\"min\":\"2\",\"max\":\"256\",\"step\":\"1\",\"unitName\":\"无\"}"}', 'NVR通道数目', '系统', '1', '1692347065827', '0'),
('908099602', '', '错误字', 'ErrorCode', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"32767\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347065808', '0'),
('912021603', '', '音量档位', 'VolumeLevel', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"静音\",\"1\":\"低音\",\"2\":\"中音\",\"3\":\"高音\"}"}', '', '系统', '1', '1692347066076', '0'),
('914824370', '', '人脸比对成功阈值', 'OnMatchThreshOld', 'RW', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066045', '0'),
('917914852', '', '目标温度_13', 'TargetTemperature_13', 'RW', '0', '{"type":"float","specs":"{\"min\":\"16\",\"max\":\"23\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066141', '0'),
('918043419', '', '报警器音量', 'AlarmVolume', 'RW', '0', '{"type":"enum","specs":"{\"0\":\"静音\",\"1\":\"低音量\",\"2\":\"高音量\"}"}', '', '系统', '1', '1692347066004', '0'),
('921768937', '', '当前门位置', 'CurrentDoorPosition', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065851', '0'),
('922398885', '', '网关版本', 'gateway_version', 'R', '1', '{"type":"text","specs":"{\"length\":\"255\"}"}', '', '系统', '1', '1692347066133', '0'),
('928702792', '', 'A相电流', 'nIa', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '', '系统', '1', '1692347065866', '0'),
('931962367', '', 'PM25浓度', 'PM25Value', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"0.01\",\"unit\":\"μg/m³\",\"unitName\":\"微克每立方米\"}"}', '', '系统', '1', '1692347065921', '0'),
('9333499', '', '当前电流', 'curr', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"65535\",\"step\":\"1\",\"unit\":\"A\",\"unitName\":\"安培\"}"}', '插座电流值', '系统', '1', '1692347065919', '0'),
('936404207', '', '静电电压', 'E_Craft_V_Elect_Spray', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100000\",\"step\":\"0.1\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065910', '0'),
('945980139', '', '标准服务响应', 'CommonServiceResponse', 'R', '0', '{"type":"struct","specs":"[{\"code\":\"seq\",\"name\":\"序列号\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"30\\\"}\"}}]"}', '', '系统', '1', '1692347066213', '0'),
('951186734', '', '跑步总时间', 'RunningTotalTime', 'R', '1', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"1\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066089', '0'),
('954902740', '', '当前温度_8', 'CurrentTemperature_8', 'R', '0', '{"type":"float","specs":"{\"min\":\"-20\",\"max\":\"55\",\"step\":\"0.01\",\"unit\":\"°C\",\"unitName\":\"摄氏度\"}"}', '', '系统', '1', '1692347066139', '0'),
('954950365', '', '上室湿度', 'HumidityUpper', 'RW', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"1\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347066000', '0'),
('964252151', '', '设备型号', 'DeviceType', 'R', '0', '{"type":"text","specs":"{\"length\":\"256\"}"}', '设备制造商的设备型号', '系统', '1', '1692347065827', '0'),
('967121992', '', '单曲ID', 'AudioID', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"500\",\"step\":\"1\",\"unitName\":\"无\"}"}', '', '系统', '1', '1692347066089', '0'),
('972154008', '', '设备异常状态', 'DeviceAbnormalState', 'R', '0', '{"type":"enum","specs":"{\"12\":\"异常\"}"}', '', '系统', '1', '1692347065952', '0'),
('978360105', '', '预设完成时间', 'PresetFinishTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066072', '0'),
('981831082', '', '滤芯寿命天数_5', 'FilterLifeTimeDays_5', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1100\",\"step\":\"0.01\",\"unit\":\"day\",\"unitName\":\"日\"}"}', '', '系统', '1', '1692347066157', '0'),
('982358418', '', '插孔开关3', 'SocketSwitch_3', 'RW', '0', '{"type":"bool","specs":"{\"0\":\"关闭\",\"1\":\"开启\"}"}', '', '系统', '1', '1692347066014', '0'),
('984824637', '', '加水模式', 'AddWaterModel', 'R', '0', '{"type":"enum","specs":"{\"0\":\"水量值无意义\",\"1\":\"自动加水\",\"2\":\"手动加水\"}"}', '', '系统', '1', '1692347065864', '0'),
('985130277', '', '洗涤时长', 'WashTime', 'RW', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"1440\",\"step\":\"0.01\",\"unit\":\"min\",\"unitName\":\"分钟\"}"}', '', '系统', '1', '1692347066050', '0'),
('988782590', '', '安全检测', 'SecurityCheck', 'R', '0', '{"type":"bool","specs":"{\"0\":\"无物体\",\"1\":\"有物体\"}"}', '', '系统', '1', '1692347065924', '0'),
('989368735', '', '输出电压', 'OutputVoltage', 'R', '0', '{"type":"int","specs":"{\"min\":\"0\",\"max\":\"3000\",\"step\":\"10\",\"unit\":\"V\",\"unitName\":\"伏特\"}"}', '', '系统', '1', '1692347065809', '0'),
('995072072', '', '网络配置', 'NetworkConfig', 'R', '1', '{"type":"struct","specs":"[{\"code\":\"ipAddr\",\"name\":\"IP地址\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"netmask\",\"name\":\"子网掩码\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"gateway\",\"name\":\"网关\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"mac\",\"name\":\"Mac地址\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"dns1\",\"name\":\"dns1\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"dns2\",\"name\":\"dns2\",\"data_type\":{\"type\":\"text\",\"specs\":\"{\\\"length\\\":\\\"32\\\"}\"}},{\"code\":\"mainCard\",\"name\":\"主网口\",\"data_type\":{\"type\":\"bool\",\"specs\":\"{}\"}}]"}', '', '系统', '1', '1692347065966', '0'),
('995343388', '', 'A相电流总谐波', 'IaTHD', 'R', '0', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"100\",\"step\":\"0.01\",\"unit\":\"%\",\"unitName\":\"百分比\"}"}', '', '系统', '1', '1692347065877', '0'),
('998330106', '', '下发底库信息', 'Pic_storage', 'RW', '1', '{"type":"text","specs":"{\"length\":\"2048\"}"}', '', '系统', '1', '1692347065978', '0'),
('998481891', '', '总耗气量', 'TotalGas', 'R', '1', '{"type":"float","specs":"{\"min\":\"0\",\"max\":\"10000\",\"step\":\"0.01\",\"unit\":\"m³\",\"unitName\":\"立方米\"}"}', '', '系统', '1', '1692347066160', '0');
